<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
require get_template_directory() . '/views/blocks/common-function.php';
$history_controller	=	new DS_History_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$contest_controller	=	new DS_Contest_Controller();

$rj_list	=	$user_controller->get_rj_list();
$programs	=	$program_controller->get_programs(1);
$contests	=	$contest_controller->get_contests_by_date();

//print_r($contests);
$user_numI = $_REQUEST['user_num'];
$currentProgramId = 0;
$currentRjId = 0;

$getInteractionDetail = $wpdb->get_row("SELECT * FROM wp_radio_interactions WHERE id = $user_numI");
$user_num = $getInteractionDetail->sender;
$currentProgramId = $getInteractionDetail->program_id;
$currentRjId = $getInteractionDetail->user_id;
?>

<form>
  <div class="row">
    <div class="col-md-12 col-sm-9 col-xs-10">
      <div class="form-group col-md-12 ">
        <label class="form-label" for="formfield1">Number: *</label>
        <span class="desc"></span>
        <div class="controls">
          <input type="text" class="form-control" id="field_mobile_no_value" name="field_mobile_no_value" value="<?php echo $user_num;?>">
           <input type="hidden" id="interaction_id_block" name="interaction_id" value="<?php if($getInteractionDetail->id) echo $getInteractionDetail->id;?>">
        </div>
      </div>
      <div class="form-group col-md-4 ">
        <label class="form-label" for="formfield1">Program: </label>
        <span class="desc"></span>
        <div class="controls">
          <select name="field_program_nid" id="field_program_nid" class="form-control">
            <?php 
													if($programs){
													foreach ($programs as $program){
														$program	instanceof  DS_Program_SetGet;
													?>
            <option value="<?php echo $program->getProgram_id(); ?>" <?php if($currentProgramId == $program->getProgram_id()) {?> selected="selected" <?php } ?>><?php echo $program->getProgram_title(); ?></option>
            <?php } }?>
          </select>
        </div>
      </div>
      <div class="form-group col-md-4 ">
        <label class="form-label" for="formfield1">Rj: </label>
        <span class="desc"></span>
        <div class="controls">
          <select name="field_rj_uid" id="field_rj_uid" class="form-control">
            <?php 
														if($rj_list){
															foreach ($rj_list->results as $user){
														?>
            <option value="<?php echo $user->ID; ?>" <?php if($currentRjId == $user->ID) {?> selected="selected" <?php } ?> ><?php echo $user->display_name; ?></option>
            <?php } }?>
          </select>
        </div>
      </div>
      <div class="form-group col-md-4 ">
        <label class="form-label" for="formfield1">Contest: </label>
        <span class="desc"></span>
        <div class="controls">
          <select name="contest_id" class="form-control contest-dp" id="contest_id" onchange="return changeContestPrize(this.value);">
            <option value="">- None -</option>
            <?php 
						if($contests){
						foreach ($contests as $contest){
							$contest	instanceof  DS_Contest_SetGet;
						?>
            <option value="<?php echo $contest->getContest_id(); ?>" ><?php echo $contest->getContest_title(); ?></option>
            <?php } }?>
          </select>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <input type="hidden" name="is_quick_block" id="is_quick_block" value="1" />
    <input type="hidden" name="submit_url" id="submit_url" value="<?php echo home_url();?>/wp-content/themes/radiopanel/includes/ajax-quick-block-submit.php" />
    <button type="button" class="btn btn-info" onclick="return submitQuickBlock()">Quick Block Winner</button>
    <button type="button" class="btn btn-info" data-dismiss="modal">Close</button>
  </div>
</form>
