<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
global $wpdb;
$current_user = wp_get_current_user();
//print_r($current_user_contests);
			
require_once get_template_directory() . '/assets/plugins/PHPExcel/PHPExcel.php';
$searchQuery = 'WHERE 1=1 AND ri.blacklist=0 ';



function encrypt_decrypt($action, $string) {
    $output = false;

    $encrypt_method = "AES-256-CBC";
    $secret_key = 'This is my secret key';
    $secret_iv = 'This is my secret iv';

    // hash
    $key = hash('sha256', $secret_key);
    
    // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
    $iv = substr(hash('sha256', $secret_iv), 0, 16);

    if( $action == 'encrypt' ) {
        $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
        $output = base64_encode($output);
    }
    else if( $action == 'decrypt' ){
        $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
    }

    return $output;
	}

if(isset($_GET['search']) && $_GET['search'] != ''){
	$searchQuery = encrypt_decrypt('decrypt', $_GET['search']);
}

$total_records_count = $wpdb->get_row("SELECT COUNT(ri.id) as total FROM wp_radio_interactions ri $searchQuery");
$total_records = $total_records_count->total;

$limitPagi = '';

$page = ($_GET['page']) ? $_GET['page'] : 0;
if($page > 0){
if ($page <= 0) $page = 1;
 
$per_page = 100; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+100;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;

	$limitPagi = "";
}

$sms_rows = $wpdb->get_results("SELECT ri.id, ri.keyword, ri.message, ri.sender, ri.shortcode, ri.timestamp,ih.id as interaction_id FROM wp_radio_interactions ri LEFT JOIN wp_interaction_history ih ON ih.interaction_id = ri.id $searchQuery ORDER BY ri.timestamp DESC $limitPagi");


$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()
	->setCreator('Suno '.$current_user->display_name)
	->setLastModifiedBy('Suno '.$current_user->display_name)
	->setTitle("Suno1024 Radio Panel SMS Interaction")
	->setSubject("Suno1024 Radio Panel SMS Interaction")
	->setCategory("Suno1024 Radio Panel SMS Interaction");
	
// Add some data
$objPHPExcel->setActiveSheetIndex(0);

$objPHPExcel->getActiveSheet()->setCellValue('A1', "S.No");
$objPHPExcel->getActiveSheet()->setCellValue('B1', "Keyword");
$objPHPExcel->getActiveSheet()->setCellValue('C1', "Sender");
$objPHPExcel->getActiveSheet()->setCellValue('D1', "SMS Time");
$objPHPExcel->getActiveSheet()->setCellValue('E1', "SMS");
$objPHPExcel->getActiveSheet()->setCellValue('F1', "Short Code");
//$objPHPExcel->getActiveSheet()->setCellValue('G1', "Is Blocked");

if($sms_rows){
	$i	=	1;
	$iXls = 2;
	foreach($sms_rows as $sms){
		$objPHPExcel->getActiveSheet()->setCellValue('A' . $iXls, $i)
		  ->setCellValue('B' . $iXls, $sms->keyword)
		  ->setCellValue('C' . $iXls, $sms->sender)
		  ->setCellValue('D' . $iXls, date('d/m/Y h:i A',$sms->timestamp))
		  ->setCellValue('E' . $iXls, $sms->message)
		  ->setCellValue('F' . $iXls, $sms->shortcode);
		  // ->setCellValue('G' . $iXls, $sms->shortcode)
		
		$iXls++;
		$i++;
	}
}
$objPHPExcel->getActiveSheet()->setTitle('Uniq Users List');
$objPHPExcel->setActiveSheetIndex(0);

$file_name = date('Y_m_d_H_i_s').'_interaction_list.xlsx';

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$file_name.'"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

// Save Excel 2007 file
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
/*if (file_exists($upload_path.$file_name)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename='.basename($upload_path.$file_name));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($upload_path.$file_name));
    ob_clean();
    flush();
    readfile($upload_path.$file_name);
    exit;
}*/
exit;

?>