<?php
Class DS_Program_Model{
	public function save_program(DS_Program_SetGet	$program_setget){
		global $wpdb;
		$table	=	$wpdb->prefix.'program';
		
		$program_id					=	$program_setget->getProgram_id();
		$program_title				=	$program_setget->getProgram_title();
		$program_description		=	$program_setget->getProgram_description();
		$program_genre				=	$program_setget->getProgram_genre();
		$program_time_span			=	$program_setget->getProgram_time_span();
		$program_start_time			=	$program_setget->getProgram_start_time();
		$program_end_time			=	$program_setget->getProgram_end_time();
		$program_start_date			=	$program_setget->getProgram_start_date();
		$program_end_date			=	$program_setget->getProgram_end_date();
		$program_program_days_id	=	$program_setget->getProgram_program_days_id();
		$program_program_rjs		=	$program_setget->getProgram_program_rjs();
		
		$db_transaction_flag	=	true;
		$data	=	array( 
						'program_title' 			=>	$program_title,
						'program_description'		=>	$program_description,
						'program_genre'				=>	$program_genre,
						'program_time_span'			=>	$program_time_span,
						'program_start_time'		=>	$program_start_time,
						'program_end_time'			=>	$program_end_time,
						'program_start_date'		=>	$program_start_date,
						'program_end_date'			=>	$program_end_date,
						'program_program_rjs'		=>	$program_program_rjs,
						'program_program_days_id'	=>	$program_program_days_id,
						
					);
					
		$wpdb->query('START TRANSACTION');
		
		
		if($program_id){
			$where	=	array('program_id'	=> $program_id);
			$update_flag	=	$wpdb->update( $table,  $data , $where);
			if($update_flag	=== false){
				$db_transaction_flag	=	$program_id	=	false;			
			}
		}else{
			$insert_flag	=	$wpdb->insert( $table,  $data);
			if($insert_flag){
				$program_id	=	$wpdb->insert_id;	
			}else{
				$db_transaction_flag	=	false;
			}
			
		}
		
		if($db_transaction_flag){
			$wpdb->query('COMMIT');		
		}else{
			$wpdb->query('ROLLBACK');
			$program_id	=	false;
		}
		
		return $program_id;
	}
	public function delete(DS_Program_SetGet $program_obj){
		if($program_obj->getProgram_id()){
			global $wpdb;
			$table	=	$wpdb->prefix.'program';
			$program_id	=	$program_obj->getProgram_id();
			$data	=	array( 
						'program_status' 	=> 0 
					);
			$where		=	array('program_id'	=> $program_id);
			$program_update_return		=	$wpdb->update( $table,  $data , $where);
			return $program_update_return;
		}else{
			return false;
		}
	}
}