<?php 
/* Template Name: Selfie Panel */
get_header(); 
global  $wpdb;

	$data = "";
	// Send the POST request with cURL
	$ch = curl_init('http://www.radiopanel.com/new/selfie-api.php?function=selfie_list');
	curl_setopt($ch, CURLOPT_POST, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	$result = curl_exec($ch); //This is the result from Textlocal
	curl_close($ch);
	$result = (array)json_decode($result);

	
?>
<style>
table {
	font: 11px/24px Verdana, Arial, Helvetica, sans-serif;
	border-collapse: collapse;
	width: 320px;
}
th {
	padding: 0 0.5em;
	text-align: left;
}
tr.yellow td {
	border-top: 1px solid #FB7A31;
	border-bottom: 1px solid #FB7A31;
	background: #FFC;
}
td {
	border-bottom: 1px solid #CCC;
	padding: 0 0.5em;
}
td.width {
	width: 190px;
}
td.adjacent {
	border-left: 1px solid #CCC;
	text-align: center;
}
</style>

<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <div class="widget-body">
        <div class="tab-content">
          <header class="panel_header">
            <h2 class="title pull-left" >VIEW SELFIES</h2>
          </header>
          <!-- Tab content -->
          <div id="tabIncome" class=" widget-body-regular innerAll inner-2x text-center">
            <div class="content-body" style="padding:30px;"> 
              <!-- Tabs Heading -->
              <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" >
                  <div class="row form-inline">
                    <div class="col-md-3">
                      <div class="form-group">
                        <label for="selfie_start_date_time">Start Date</label>
                        <input type="text" class="form-control contest_start_date_time"
                                                                           id="selfie_start_date_time"
                                                                           name="selfie_start_date_time"
                                                                           value=""
                                                                           placeholder="" data-timestamp="">
                      </div>
                    </div>
                    <div class="col-md-3">
                      <div class="form-group">
                        <label for="selfie_end_date_time">End Date</label>
                        <input type="text" class="form-control contest_end_date_time"
                                                                           id="selfie_end_date_time"
                                                                           name="selfie_end_date_time"
                                                                           value=""
                                                                           placeholder=""  data-timestamp="">
                      </div>
                    </div>
                    <div class="col-md-3">
                      <div class="form-group "  style="padding-top: 28px;"> <a download="selfie_list.xls" href="javascript:;" class="btn btn-success export-result" onClick="return ExcellentExport.excel(this, 'selfie_list_table', 'Selfie List');">Export to Excel</a> </div>
                    </div>
                    <div class="col-md-3"> </div>
                  </div>
                </div>
              </div>
              <!-- end widget head-->
              <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" > &nbsp;</div>
              </div>
              <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12" > 
                  <!-- ********************************************** -->
                  <table id="selfie_list_table" class=" dataTable" cellspacing="0" width="100%" >
                    <thead>
                      <tr>
                        <th width="12%">TITLE</th>
                        <th width="23%">SELFIE IMAGE</th>
                        <th width="34%">POST DATE</th>
                        <th width="18%">PLATFORM</th>
                        <th width="13%">DELETE</th>
                      </tr>
                    </thead>
                    <tbody class="selfie_datatable_tbody">
                      <?php if($result && count($result) > 0){
						foreach ($result as $res){
						?>
                      <tr role="row">
                        <td><span class="row_title"><?php echo $res->title?></span></td>
                        <td><a title="<?php echo $res->title?>" data-fancybox-image_url="<?php echo $res->image_url?>" data-fancybox-group="gallery" href="http://radiopanel.com/new/timthumb.php?q=100&amp;w=600&amp;src=http://radiopanel.com/new/selfies/<?php echo $res->image_url?>.jpg" class="fancybox"><img alt="" src="http://radiopanel.com/new/timthumb.php?q=100&amp;h=60&amp;w=60&amp;src=http://radiopanel.com/new/selfies/<?php echo $res->image_url?>.jpg" id="image_<?php echo $res->image_url?>" style="height:60px;width:60px;margin:0 auto;" class="img-responsive img-thumbnail img-circle img-inline"></a> <a download="" class="btn btn-default btn-xs" href="http://radiopanel.com/new/selfies/<?php echo $res->image_url?>.jpg" target="_blank">Download</a></td>
                        <td><span data-timestamp="<?php echo $res->created_date_timestamp?>" class="created_date"><?php echo $res->created_date?></span></td>
                        <td><span class="row_platform"><?php echo $res->platform?></span></td>
                        <td><a href="?action=delete&amp;nid=<?php echo $res->nid?>" data-nid="<?php echo $res->nid?>" class="delete_btn"><i style="color:red;" class="glyphicon glyphicon-trash"></i></a></td>
                      </tr>
                      <?php } } ?>
                    </tbody>
                  </table>
                  <!-- ********************************************** --> 
                </div>
              </div>
            </div>
          </div>
          <!-- // Tab content END --> 
        </div>
        <!--end tab content--> 
      </div>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>
<script type="text/javascript" src="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/jquery.fancybox.js?v=2.1.5"></script>
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/jquery.fancybox.css?v=2.1.5" media="screen" />
<!-- Add Button helper (this is optional) -->
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/helpers/jquery.fancybox-buttons.css?v=1.0.5" />
<script type="text/javascript" src="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/helpers/jquery.fancybox-buttons.js?v=1.0.5"></script> 

<!-- Add Thumbnail helper (this is optional) -->
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" />
<script type="text/javascript" src="<?php echo get_template_directory_uri()?>/assets/plugins/fancybox/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script> 
<script src="<?php echo get_template_directory_uri()?>/assets/js/excellentexport.js"></script> 
<script type="text/javascript" src="<?php echo get_template_directory_uri()?>/assets/js/jQueryRotateCompressed.js"></script>
<script type="text/javascript">

$(document).ready(function(){
var value = 0
var value1 = 0
    $(".fancybox-image").rotate({ 
       bind: 
         { 
            click: function(){
				
                value +=90;
				$(this).rotate({ animateTo:value})
				
            }
         } 
       
    });
 
 
    $(document).on('click', '.fancybox-image', function() {
                // alert("Hello");
				value1 += 90;
				var image_id = $(this).data('image_id')
				
				
				$.ajax({
                         url: "http://www.radiopanel.com/new/selfie-api.php?function=rotate_image",
                         dataType: "html",
                         type: 'POST',
                         data: "id="+$(this).data('image_id'), //variable with data
                         success: function(data){
							$("#image_"+image_id).css("transform", "rotate("+value1+"deg)");
						}
                });
    });
});
jQuery(document).ready(function () {


    selfie_list_api_url = "http://www.radiopanel.com/new/selfie-api.php?function=selfie_list";

    selfie_list_table = $('#selfie_list_table').DataTable({
        "order": [[2, "desc"]],
        "processing": true,
		"lengthMenu": [[10, 25, 50,100, -1], [10, 25, 50,100, "All"]]
    });
    selfie_datatable_tbody = $('.selfie_datatable_tbody');
    //alert(41);
    $('.dataTables_empty', selfie_datatable_tbody).html("Loading <span class='loading_span'></span>");
    myFilteredRows = selfie_list_table.rows({filter: 'applied'});
    //alert(myFilteredRows);

    $('.export-result').click(function () {
        
     
    });

    
    $(document).on('click', '.delete_btn', function () {
        delete_selfie_list_api_url = "http://www.radiopanel.com/new/selfie-api.php?function=delete_selfie";

        nid = $(this).attr('data-nid');
        selfie_list_table_deleted_row = $(this).parents('tr');
        row_title = $('.row_title', selfie_list_table_deleted_row).text();
        delete_btn = $(this);
        var txt;
        var r = confirm("Do you want to delete " + row_title + "?");
        if (r == true) {
            delete_btn.append("<span class='loading_span'></span>");
            $.post(delete_selfie_list_api_url, {nid: nid}, function (data) {
                selfie_datatable_tbody = $('.selfie_datatable_tbody');
				  myFilteredRows = selfie_list_table.rows({filter: 'applied'});

            });
        } else {

        }



        return false;
    });

    $('.fancybox').fancybox();
    $(document).on('click', '.fancybox-inner', function () {

        angle = $(".fancybox-image", this).attr('data-angle');
        angle = parseInt(angle);

        if (!angle) {
            angle = 0;
        }
        $(".fancybox-image", this).rotate(angle + 90);


        if (angle >= 360) {
            $(".fancybox-image", this).attr('data-angle', 0);
        } else {
            $(".fancybox-image", this).attr('data-angle', angle + 90);
        }

        img_height = $(".fancybox-image", this).height();
        img_width = $(".fancybox-image", this).width();
        if (angle == 90 || angle == 270) {
            width_tt = 'auto';
            top_tt = '0px';
        } else {
            width_tt = img_height + 'px';
            top_tt = '66px';
        }
        $(".fancybox-image", this).css({
            width: width_tt,
            height: 'auto',
            margin: '0 auto',
            top: top_tt,
            position: 'relative'
        });
        //$(".fancybox-wrap").css({width:img_height+"px", height: img_width+"px"});

    });

    $('#selfie_start_date_time').datetimepicker({format: 'YYYY-MM-DD'});
    $('#selfie_end_date_time').datetimepicker({format: 'YYYY-MM-DD'});


    $("#selfie_start_date_time").on("dp.change", function (e) {
        $('#selfie_end_date_time').data("DateTimePicker").minDate(e.date);

        var dateString = $('#selfie_start_date_time').val() + ' 00:00:00';
        dateString = moment(dateString).unix();
        $('#selfie_start_date_time').attr('data-timestamp', dateString);

        selfie_list_table.draw();
    });



    $("#selfie_end_date_time").on("dp.change", function (e) {
        $('#selfie_start_date_time').data("DateTimePicker").maxDate(e.date);

        var dateString = $('#selfie_end_date_time').val() + ' 23:59:59';
        dateString = moment(dateString).unix();
        $('#selfie_end_date_time').attr('data-timestamp', dateString);

        selfie_list_table.draw();
    });

    $.fn.dataTable.ext.search.push(
            function (settings, data, dataIndex, rowData, counter) {
                var min = parseInt($('#selfie_start_date_time').attr('data-timestamp'));
                var max = parseInt($('#selfie_end_date_time').attr('data-timestamp'));

                var age = parseInt(data[2]) || 0; // use data for the age column
                rowData = $('<div>' + rowData + '</div>');
                var data_timestamp = $('.created_date', rowData).attr('data-timestamp');

                if ((isNaN(min) && isNaN(max)) ||
                        (isNaN(min) && data_timestamp <= max) ||
                        (min <= data_timestamp && isNaN(max)) ||
                        (min <= data_timestamp && data_timestamp <= max))
                {
                    return true;
                }
                return false;
            }
    );
});

</script>