<?php
/* Template Name: Add User */
get_header(); 

$login_user_details = get_userdata(get_current_user_id());
$user_roles = array();
if($login_user_details->user_roles != '')
	$user_roles = explode(',',trim($login_user_details->user_roles));

if(!in_array(4,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}
$program_controller	=	new DS_Program_Controller();
$programs	=	$program_controller->get_programs(1);
if(isset($_REQUEST['submit'])){
	
	$user_controller	=	new DS_User_Controller();
	$user_registration_flag	=	$user_controller->user_registration();
	
}

?>

<section id="main-content" class=" ">
	<section class="wrapper" >
			<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
				<section class="box main-box">
			    	<header class="panel_header">
			        	<h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
					</header>
			        <div class="content-body">
			      	<?php 
			      	if(isset($user_registration_flag) && $user_registration_flag == true){
						echo '<div class="alert alert-success alert-dismissible fade in">
				                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
				             <strong>Success:</strong> Added!!.</div>';
					}else if(isset($user_registration_flag) && $user_registration_flag == false){
						echo '<div class="alert alert-danger alert-dismissible fade in">
				                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
				             <strong>Error:</strong> Please try again!.</div>';
					}
			      	?>
			      	
			      	<form id="add_user_form" action="#" novalidate="novalidate" method="post"  enctype="multipart/form-data">
							<div class="row">
	                                    <div class="col-md-8 col-sm-9 col-xs-10">
	
												<div class="form-group">
														<div class="col-md-3 col-sm-9 col-xs-10"> 
															<img src="<?php echo home_url();?>/wp-content/themes/radiopanel/assets/images/default-profile-pic.png" class="img-responsive img-circle profile_pic_element" id="profile_pic_element">
														</div>
														<div class="col-md-9 col-sm-9 col-xs-10"> 
															
															<label class="form-label" for="formfield1">Profile Picture</label>
														   <span class="desc">Recomended  Size: 120 X 120</span>
															<div class="controls">
																<input type="file" class="form-control" id="profile_pic_url" name="profile_pic_url">
															</div>
														</div>	
														
													
	                                            </div>
												<div class="clearfix" style="padding: 20px;"></div>
												<div class="form-group">
	                                                <label class="form-label" for="display_name">Name *</label>
	                                                <span class="desc">e.g. "RJ Pallavi"</span>
	                                                <div class="controls">
	                                                    <input type="text" class="form-control" id="display_name" name="display_name">
	                                                </div>
	                                            </div>
												<div class="clearfix" ></div>
	                                            <div class="form-group">
	                                                <label class="form-label" for="user_email">Email *</label>
	                                                <span class="desc">e.g. "some@example.com"</span>
	                                                <div class="controls">
	                                                    <input type="text" class="form-control" id="user_email" name="user_email">
	                                                </div>
	                                            </div>
                                                 <div class="clearfix" ></div>
                								<div class="form-group">
                  <label class="form-label" for="user_name">Username *</label>
                  <span class="desc">e.g. "admin"</span>
                  <div class="controls">
                    <input type="text" class="form-control" id="user_login" name="user_login">
                  </div>
                </div>
												<div class="clearfix" ></div>
	                                            <div class="form-group">
	                                                <label class="form-label" for="user_pass">Password *</label>
	                                                <span class="desc">e.g. "hello123"</span>
	                                                <div class="controls">
	                                                    <input type="password" class="form-control" id="user_pass" name="user_pass">
	                                                </div>
	                                            </div>
												<div class="clearfix" ></div>
	                                            <div class="form-group">
	                                                <label class="form-label" for="user_conf_pass">Confirm Password *</label>
	                                                <span class="desc">e.g. "hello123"</span>
	                                                <div class="controls">
	                                                    <input type="password" class="form-control" id="user_conf_pass" name="user_conf_pass">
	                                                </div>
	                                            </div>
	                                            <div class="clearfix" ></div>
												<div class="form-group">
	                                                <label class="form-label" for="formfield9">Designation</label>
	                                                <span class="desc"></span>
	                                                <div class="controls">
	                                                    <input type="text" class="form-control" id="designation" name="designation">
	                                                </div>
	                                            </div>
												<div class="clearfix" ></div>
												<div class="form-group">
													<label class="form-label" for="formfield1">User Status:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="user_status_active" value="1" name="user_status" class="skin-flat-blue" checked>
															<label class="iradio-label form-label" for="user_status_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="user_status_deactive" value="0" name="user_status" class="skin-flat-blue">
															<label class="iradio-label form-label" for="user_status_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                <div class="clearfix" ></div>
												<div class="form-group">
													<label class="form-label" for="formfield1">Email Notification:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="email_notification_active" value="1" name="receive_email_noti" class="skin-flat-blue">
															<label class="iradio-label form-label" for="user_status_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="email_notification_deactive" value="0" name="receive_email_noti" class="skin-flat-blue"  checked="checked" >
															<label class="iradio-label form-label" for="user_status_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                 <div class="clearfix" ></div>
												<div class="form-group">
													<label class="form-label" for="formfield1">Login From Outside Office:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="is_login_outside_active" value="1" name="is_login_outside" class="skin-flat-blue">
															<label class="iradio-label form-label" for="is_login_outside_active">Yes</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="is_login_outside_deactive" value="0" name="is_login_outside" class="skin-flat-blue"  checked="checked" >
															<label class="iradio-label form-label" for="is_login_outside_deactive">No</label>
														</li>
													</ul>
												</div>
                                                
                                                <div class="clearfix" ></div>
												<div class="form-group">
													<label class="form-label" for="formfield1">Do not logout after current program over:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="is_auto_logout_active" value="1" name="is_auto_logout" class="skin-flat-blue">
															<label class="iradio-label form-label" for="is_auto_logout_active">Yes</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="is_auto_logout_deactive" value="0" name="is_auto_logout" class="skin-flat-blue"  checked="checked" >
															<label class="iradio-label form-label" for="is_auto_logout_deactive">No</label>
														</li>
													</ul>
												</div>
												<div class="clearfix" ></div>	
												<div class="form-group">
	                                                <label class="form-label" for="role_chk">Roles </label>
													<select class="form-control" name="role_id" id="role_id">
														<option value="">None</option>
														<?php
															$roles = $wpdb->get_results('SELECT * FROM `wp_roles` WHERE 1=1 ORDER BY `id` ASC');
															
															foreach($roles as $role){
																echo "<option value='".$role->id."'>".stripslashes($role->role_title)."</option>";
															}
														?>
													</select>
                                                     <input type="hidden" name="role" id="role" value="0" />
	                                               	<a href="<?php echo home_url();	?>/manage-roles/" type="button" class="btn btn-info btn-sm " style="margin-top:5px;">Create Manual Role</a>
	                                            </div>
                                                <div class="clearfix" ></div>
                                                <div class="form-group">
	                                                <label class="form-label" for="role_chk">Roles </label>
	                                                
													<select class="" id="user_programs" name="user_programs[]" multiple>
													 <?php 
													if($programs){
													foreach ($programs as $program){
														$program	instanceof  DS_Program_SetGet;
														
														
													?>
													<option value="<?php echo $program->getProgram_id(); ?>"><?php echo $program->getProgram_title(); ?></option>	
														
													<?php 
													} }?>
													</select>
													<input type="hidden" id="user_programs_prev" name="user_programs_prev" value='<?php if($user_programs) echo $user_programs;?>'/>
	                                               	
	                                            </div>
												<div class="form-group">
													<button type="submit" class="btn btn-info btn-lg" name="submit">Submit</button>
												</div>
	                                     </div>
	                                </div>
							</form>
					</div>
				</section>
			
			</div>     
	</section>
</section>          



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/user-form-validation.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
<script>

function readURL(input) {

    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#profile_pic_element').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
}

$("#profile_pic_url").change(function(){
    readURL(this);
});
$(document).ready(function() {
	$("#user_programs").select2({
        placeholder: 'Select Program\'s',
        allowClear: true
    }).on('select2-open', function() {
        // Adding Custom Scrollbar
        $(this).data('select2').results.addClass('overflow-hidden').perfectScrollbar();
    });
});
</script>