<?php
/* Template Name: Edit Keyword */
get_header(); 


$keyword_controller	=	new DS_Keyword_Controller();
if(isset($_POST['keyword_submit'])){
	
	$oldDetails = $wpdb->get_row("SELECT * FROM wp_keyword WHERE keyword_id = ".$_REQUEST['keyword_id']);
	$new_keyword_id		=	$keyword_controller->save_keyword();
	$newDetails = $wpdb->get_row("SELECT * FROM wp_keyword WHERE keyword_id = ".$_REQUEST['keyword_id']);
	
	$activity_type = 'update';
	$activity_on = 'keyword';
	$activity_id = $new_keyword_id;
	$activity_desc = 'Update Keywords';
	$updatedVal = 0;
	$updatedDetails = array();
	if($oldDetails->keyword_title != $newDetails->keyword_title){
		$updatedVal = 1;
		$updatedDetails['keyword_title'] = $oldDetails->keyword_title;
	}
	if($oldDetails->keyword_start_date != $newDetails->keyword_start_date){
		$updatedVal = 1;
		$updatedDetails['keyword_start_date'] = $oldDetails->keyword_start_date;
	}
	if($oldDetails->keyword_end_date != $newDetails->keyword_end_date){
		$updatedVal = 1;
		$updatedDetails['keyword_end_date'] = $oldDetails->keyword_end_date;
	}
	if($oldDetails->keyword_smsuid != $newDetails->keyword_smsuid){
		$updatedVal = 1;
		$updatedDetails['keyword_smsuid'] = $oldDetails->keyword_smsuid;
	}
	$activityId = currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	header('location: ' . home_url().'/view-keywords');
	exit;			
	
}
if(isset($_REQUEST['keyword_id'])){
	$keyword_id	=	$_REQUEST['keyword_id'];
	
	$keyword_setget	=	new DS_Keyword_SetGet();
	$keyword_setget->setKeyword_id($keyword_id);
	
	$keyword	=	$keyword_controller->get_keyword_details_by_id($keyword_setget);
	
	if($keyword){
		$keyword instanceof DS_Keyword_SetGet;
		
		$keyword_title				=	$keyword->getKeyword_title();
		$keyword_response			=	$keyword->getKeyword_response();
		$keyword_active				=	$keyword->getKeyword_active();
		$keyword_admin_only			=	$keyword->getKeyword_admin_only();
		$keyword_auto_replay		=	$keyword->getKeyword_auto_replay();
		$keyword_start_date			=	$keyword->getKeyword_start_date();
		$keyword_end_date			=	$keyword->getKeyword_end_date();
		$is_special					= 	$keyword->getKeyword_special();
		$keyword_smsuid			=	$keyword->getKeyword_smsuid();
	}
}

?>


 <section id="main-content" class=" ">
                <section class="wrapper" >

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                        <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left">Edit Keyword</h2>
                               <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                            </header>
                            <div class="content-body">
                                <?php 
						      	if(isset($new_keyword_id) && $new_keyword_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Added!!.</div>';
								}else if(isset($new_keyword_id) && $new_keyword_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
                                <div class="row">
                                	<form id="add_keyword_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-8">
                                                <label class="form-label" for="keyword_title">Keyword: *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input value="<?php if($keyword_title) echo $keyword_title; ?>" type="text" class="form-control keyword_input" id="keyword_title" name="keyword_title">
                                                </div>
                                            </div>
											<div class="clearfix"></div>
											<div class="form-group col-md-4">
												
												<input <?php if($keyword_admin_only == 1) echo 'checked value="1"'; else echo 'value="0"';?> tabindex="5" type="checkbox" id="keyword_admin_only" name="keyword_admin_only" class="icheck-minimal-green"  ><label class="icheck-label form-label" for="keyword_admin_only">Only View for Admin</label>
											</div>
                                              <div class="clearfix"></div>
                <div class="form-group col-md-4">
                <input <?php if($is_special == 1) echo 'checked';?> value="1" tabindex="5" type="checkbox" id="is_special" name="is_special" class="icheck-minimal-green"  >
                  <label class="icheck-label form-label" for="is_special">Special Keyword</label>
                </div>
                
											<div class="clearfix"></div>
											<div class="form-group col-md-4">
                                                <label class="form-label" for="formfield1">Auto Reply:</label>
                                                <ul class="list-unstyled">
													<li>
														<input tabindex="1" type="radio" id="keyword_auto_replay_na" name="keyword_auto_replay" value="na" class="thin-flat-blue auto-replay" checked>
														<label class="thin-label form-label"	for="keyword_auto_replay_na">N/A</label>
													</li>
													<li>
														<input tabindex="2" type="radio" id="keyword_auto_replay_smsuid"  name="keyword_auto_replay" value="<?php if($keyword_auto_replay == 1){ echo 1;}?>" class="thin-flat-blue auto-replay" <?php if($keyword_auto_replay == 1){ echo 'checked="checked"';}?> >
														<label class="thin-label form-label"	for="keyword_auto_replay_smsuid">SMSUID</label>
													</li>
												
												</ul>
												<input type="hidden" name="keyword_auto_replay_hidden" id="keyword_auto_replay_hidden" value="<?php if(isset($keyword_auto_replay)) echo $keyword_auto_replay; ?>"/> 
                                            </div>
                                            <div class="form-group col-md-4">
                                                <label class="form-label" for="formfield1">Keyword Status:</label>
                                                <ul class="list-unstyled">
													
													<li>
														<input tabindex="3" type="radio" id="keyword_active_enabled"  name="keyword_active" value="publish" class="thin-flat-blue" checked="checked">
														<label class="thin-label form-label"	for="keyword_active_enabled">Enabled</label>
													</li>
													<li>
														<input tabindex="4" type="radio" id="keyword_active_disabled"  name="keyword_active" value="draft" class="thin-flat-blue" <?php if(isset($keyword_active) && $keyword_active == 0) echo 'checked="checked"'; ?>>
														<label class="thin-label form-label"	for="keyword_active_disabled">Disabled</label>
													</li>
												</ul>
											</div>
											<div class="clearfix"></div>
											
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="keyword_start_date">Start Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date keyword_start_date' id=''>
														<input value="<?php if(isset($keyword_start_date)) echo date('d/m/Y',strtotime($keyword_start_date)); ?>" type='text' class="form-control" name="keyword_start_date" id="keyword_start_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="keyword_end_date">End Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date keyword_end_date' id=''>
														<input value="<?php if(isset($keyword_end_date)) echo date('d/m/Y',strtotime($keyword_end_date)); ?>" type='text' class="form-control" id="keyword_end_date" name="keyword_end_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="clearfix"></div>
											<div class="form-group col-md-12">
												<label class="form-label" for="keyword_response">Response:</label>
												<button class="btn btn-success btn-icon btn-xs pull-right  get_new_smsid" type="button">
													<div class="col-md-12"><i class="fa fa-refresh "></i> &nbsp; <span>SMS UID</span></div>
												</button>
												<span class="desc"></span>
												<div class="controls">
													<textarea style="width: 100%; height: 250px; font-size: 14px; line-height: 23px;padding:15px;" class="response_textarea" id="keyword_response" name="keyword_response"><?php echo $keyword_response; ?></textarea>
													<input type="hidden" name="keyword_smsuid" id="keyword_smsuid" value="<?php echo $keyword_smsuid; ?>"/>
												</div>
											</div>
											
											<div class="clearfix"></div>
											<div class="form-group col-md-8">
												<input type="submit" class="btn btn-info btn-lg" name="keyword_submit" value="Save"/>
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->
             



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/keyword-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 

