$(document).ready(function(){
	
	 $('#contest_form').validate({
         focusInvalid: false,
         ignore: "",
         rules: {
		 	contest_title: {
     			minlength	:	2,
     			maxlength	:	100,
                 required	:	true
             },
			 contest_answer: {
              	required	:	true
              },
             contest_keyword: {
              	required	:	true
              },
             
              contest_response: {
             	maxlength	:	160,
             }
             
        
			}
     });
 
	
	
	$('.add-choice-btn').click(function(){
		choice_row_clone	=	$('.choice-row-clone').html();
		$('.choice-rows-list').append(choice_row_clone);
		var i = 1;
		$('.choice-rows-list .contest_choice_title').each(function(){
			p_c_t	=	'contest_choice_title_'+i;
			$(this).attr({'name':p_c_t, 'id':p_c_t});
			$('#'+p_c_t).addClass('required');
			i++;
		});	
		var i = 1;
		$('.choice-rows-list .contest_choice_vote_count').each(function(){
			p_c_v	=	'contest_choice_vote_count_'+i;
			$(this).attr({'name':p_c_v, 'id':p_c_v});
			$('#'+p_c_v).addClass('required');
			i++;
		});	
	});
	
	
	
	
	$('.contest_start_date').datetimepicker({
    	format: 'DD/MM/YYYY HH:mm '
    });
    
	$('.contest_end_date').datetimepicker({
    	format: 'DD/MM/YYYY HH:mm',
        useCurrent: false 
    });
    
	$(".contest_start_date").on("dp.change", function (e) {
        $('.contest_end_date').data("DateTimePicker").minDate(e.date);
    });
    
	$(".contest_end_date").on("dp.change", function (e) {
        $('.contest_start_date').data("DateTimePicker").maxDate(e.date);
    });
	view_programs_table	=	$("#view_contest_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false
	});
	
	 
	if(!$('.choice-rows-list .choice-row').size()){
		$('.add-choice-btn').trigger('click');
	}
	if($('.contest_keyword_hidden').size()){
		$('.contest_keyword option[value="'+$('.contest_keyword_hidden').val()+'"]').attr('selected','selected');
	}
	if($('#contest_active_hidden').size() && $('#contest_active_hidden').val() != ''){
		$('[name="contest_active"][value="'+$('#contest_active_hidden').val()+'"]').attr('checked','checked');
	}
	$(document).on('blur','.contest_choice_title,.contest_choice_vote_count',function(){
		//update_contest_choice_json();
	});
	$('#contest_form').submit(function(){
		//update_contest_choice_json();
	});
	
	$(document).on('click', '.delete_post_row_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var contest_id			=	$('.row_id',current_tr).val();
		var contest_title	=	$(this).data('contest_title');
		
		var confirm_flag = confirm("Are you sure, Do you want to delete On Air Contest - "+contest_title+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	get_template_directory_uri()+'/includes/ajax-delete-on-air-contest.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: { contest_id : contest_id}
			}).done(function( data ) {
				if(data){
			    	view_programs_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		
		
		
		} else {
		   
		}
		return false;
	});
	$(document).on('click', '.select-random-winner',  function(){

		
	
			var person = prompt("Total number of winner selection", "1");
			 var num1 = parseInt(person);
			if (num1 != null) {
			var contest_id		=	$(this).data('contest_id');
			$("#divLoading").addClass('show');
			var delete_ajax_url	=	get_template_directory_uri()+'/includes/ajax-select-random-winner-on-air-contest.php';
		
			 $.ajax({
			  method: "POST",
			  url: delete_ajax_url,
			  data: { contest_id : contest_id, winnerTot :person},
				success: function(data) {
					$("#divLoading").removeClass('show');
				  if (data != '') {
					if (data.trim() == 'SUCCESS') {
						$('.select-random-winner'+contest_id).hide();
						 showSuccess("Winner selected successfully!");
					}else{
						showSuccess('Please try again!');
					}
				  }
				}
			  });
  
			}
		return false;
	});	
	
});
