<?php

define ('TEMPLATE_PATH',get_template_directory());
define ('TEMPLATE_PATH_URI',get_template_directory_uri());


require TEMPLATE_PATH . '/controller/ajax-controller.php';

require TEMPLATE_PATH . '/controller/login-controller.php';
require TEMPLATE_PATH . '/model/login-model.php';

require TEMPLATE_PATH . '/controller/on-air-controller.php';
require TEMPLATE_PATH . '/model/on-air-model.php';


require TEMPLATE_PATH . '/controller/setget/user-setget.php';
require TEMPLATE_PATH . '/controller/user-controller.php';
require TEMPLATE_PATH . '/model/user-model.php';

require TEMPLATE_PATH . '/controller/setget/role-setget.php';
require TEMPLATE_PATH . '/controller/role-controller.php';
require TEMPLATE_PATH . '/model/role-model.php';

require TEMPLATE_PATH . '/controller/setget/program-setget.php';
require TEMPLATE_PATH . '/controller/program-controller.php';
require TEMPLATE_PATH . '/model/program-model.php';

require TEMPLATE_PATH . '/controller/contest-controller.php';
require TEMPLATE_PATH . '/model/contest-model.php';
require TEMPLATE_PATH . '/controller/setget/contest-setget.php';
require TEMPLATE_PATH . '/controller/setget/contest-prizes-setget.php';

require TEMPLATE_PATH . '/controller/poll-controller.php';
require TEMPLATE_PATH . '/model/poll-model.php';
require TEMPLATE_PATH . '/controller/setget/poll-setget.php';
require TEMPLATE_PATH . '/controller/setget/poll-choice-setget.php';

require TEMPLATE_PATH . '/controller/setget/keyword-setget.php';
require TEMPLATE_PATH . '/controller/keyword-controller.php';
require TEMPLATE_PATH . '/model/keyword-model.php';

require TEMPLATE_PATH . '/controller/setget/quiz-setget.php';
require TEMPLATE_PATH . '/controller/quiz-controller.php';
require TEMPLATE_PATH . '/model/quiz-model.php';

require TEMPLATE_PATH . '/controller/setget/quiz-question-setget.php';
require TEMPLATE_PATH . '/controller/setget/quiz-answer-setget.php';

require TEMPLATE_PATH . '/controller/setget/history-setget.php';
require TEMPLATE_PATH . '/controller/history-controller.php';
require TEMPLATE_PATH . '/model/history-model.php';

require TEMPLATE_PATH . '/includes/menu-func.php';

require TEMPLATE_PATH . '/admin/role-capabilities.php';

require TEMPLATE_PATH . '/admin/programs.php';

require TEMPLATE_PATH . '/admin/keywords.php';

require TEMPLATE_PATH . '/includes/date-time-func.php';

require TEMPLATE_PATH . '/model/notification-func.php';

require TEMPLATE_PATH . '/controller/help-controller.php';
require TEMPLATE_PATH . '/model/help-model.php';


/*
require TEMPLATE_PATH . '/includes/role-permissions.php';



require TEMPLATE_PATH . '/includes/datatable-func.php';




// Admin Required Files Start

require TEMPLATE_PATH . '/admin/role-capabilities.php';

require TEMPLATE_PATH . '/admin/programs.php';

require TEMPLATE_PATH . '/admin/keywords.php';



// Admin Required Files End


// Page Setter Getter Required Files Start



// Page Setter Getter Required Files End

// Page Functions Required Files Start

require TEMPLATE_PATH . '/pages/page-functions/program-func.php';
require TEMPLATE_PATH . '/pages/page-functions/keyword-func.php';
require TEMPLATE_PATH . '/pages/page-functions/notification-func.php';
require TEMPLATE_PATH . '/pages/page-functions/contest-func.php';

// Page Functions Required Files End


*/

function ds_styles() {
	// Add custom fonts, used in the main stylesheet.
	//  CORE CSS FRAMEWORK - START 
	wp_enqueue_style( 'pace-theme-flash-css', 				TEMPLATE_PATH_URI . '/assets/plugins/pace/pace-theme-flash.css', array(), false, 'screen' );
	wp_enqueue_style( 'bootstrap-min-css', 					TEMPLATE_PATH_URI . '/assets/plugins/bootstrap/css/bootstrap.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'bootstrap-theme-min-css', 			TEMPLATE_PATH_URI . '/assets/plugins/bootstrap/css/bootstrap-theme.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'font-awesome-css', 					TEMPLATE_PATH_URI . '/assets/fonts/font-awesome/css/font-awesome.css', array(), false, 'screen' );
	wp_enqueue_style( 'animate-min-css', 					TEMPLATE_PATH_URI . '/assets/css/animate.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'perfect-scrollbar-css', 				TEMPLATE_PATH_URI . '/assets/plugins/perfect-scrollbar/perfect-scrollbar.css', array(), false, 'screen' );
	//  CORE CSS FRAMEWORK - END 
	
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - START  
	wp_enqueue_style( 'jquery-dataTables-css', 				TEMPLATE_PATH_URI . '/assets/plugins/datatables/css/jquery.dataTables.css', array(), false, 'screen' );
	wp_enqueue_style( 'dataTables-tableTools-min-css', 		TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/TableTools/css/dataTables.tableTools.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'dataTables-responsive-css', 			TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/Responsive/css/dataTables.responsive.css', array(), false, 'screen' );
	wp_enqueue_style( 'dataTables-bootstrap-css', 			TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/Responsive/bootstrap/3/dataTables.bootstrap.css', array(), false, 'screen' );  
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - END  
	
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - START  
	wp_enqueue_style( 'messenger-css', 						TEMPLATE_PATH_URI . '/assets/plugins/messenger/css/messenger.css', array(), false, 'screen' );
	wp_enqueue_style( 'messenger-theme-future-css',			TEMPLATE_PATH_URI . '/assets/plugins/messenger/css/messenger-theme-future.css', array(), false, 'screen' );
	wp_enqueue_style( 'messenger-theme-flat-css', 			TEMPLATE_PATH_URI . '/assets/plugins/messenger/css/messenger-theme-flat.css', array(), false, 'screen' );        
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - END  
	
	
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - START  
	wp_enqueue_style( 'morris-css', 						TEMPLATE_PATH_URI . '/assets/plugins/morris-chart/css/morris.css', array(), false, 'screen' );
	wp_enqueue_style( 'jquery-ui-min-css', 					TEMPLATE_PATH_URI . '/assets/plugins/jquery-ui/smoothness/jquery-ui.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'graph-css', 							TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/graph.css', array(), false, 'screen' );
	wp_enqueue_style( 'detail-css', 						TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/detail.css', array(), false, 'screen' );
	wp_enqueue_style( 'legend-css', 						TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/legend.css', array(), false, 'screen' );
	wp_enqueue_style( 'extensions-css', 					TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/extensions.css', array(), false, 'screen' );
	wp_enqueue_style( 'rickshaw-min-css', 					TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/rickshaw.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'lines-css', 							TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/css/lines.css', array(), false, 'screen' );
	//  wp_enqueue_style( 'aaaa', TEMPLATE_PATH_URI . '/assets/plugins/jvectormap/jquery-jvectormap-2.0.1.css', array(), false, 'screen' ); 
	wp_enqueue_style( 'white-css', 							TEMPLATE_PATH_URI . '/assets/plugins/icheck/skins/minimal/white.css', array(), false, 'screen' );       
	//  FORM ELEMENTS STARTS 
	
	wp_enqueue_style( 'bootstrap-datetimepicker-min-css', 	TEMPLATE_PATH_URI . '/assets/plugins/bootstrap-datetimepicker/css/bootstrap-datetimepicker.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'bootstrap-colorpicker-min-css', 		TEMPLATE_PATH_URI . '/assets/plugins/colorpicker/css/bootstrap-colorpicker.min.css', array(), false, 'screen' );
	wp_enqueue_style( 'switch-css', 						TEMPLATE_PATH_URI . '/assets/plugins/ios-switch/css/switch.css', array(), false, 'screen' );
	wp_enqueue_style( 'bootstrap-tagsinput-css', 			TEMPLATE_PATH_URI . '/assets/plugins/tagsinput/css/bootstrap-tagsinput.css', array(), false, 'screen' );
	wp_enqueue_style( 'select2-css', 						TEMPLATE_PATH_URI . '/assets/plugins/select2/select2.css', array(), false, 'screen' );
	wp_enqueue_style( 'typeahead-css', 						TEMPLATE_PATH_URI . '/assets/plugins/typeahead/css/typeahead.css', array(), false, 'screen' );
	wp_enqueue_style( 'multi-select-css', 					TEMPLATE_PATH_URI . '/assets/plugins/multi-select/css/multi-select.css', array(), false, 'screen' );  
	//  FORM ELEMENTS ENDS 
	wp_enqueue_style( 'menu-vertical', 		TEMPLATE_PATH_URI . '/assets/css/menu-vertical.css', array(), false, 'screen' );
	//  RICH EDITER - START  
	wp_enqueue_style( 'bootstrap3-wysihtml5-min-css', 		TEMPLATE_PATH_URI . '/assets/plugins/bootstrap3-wysihtml5/css/bootstrap3-wysihtml5.min.css', array(), false, 'screen' );
		wp_enqueue_style( 'tipsy', 		TEMPLATE_PATH_URI . '/assets/css/tipsy.css', array(), false, 'screen' );
	   
	//  RICH EDITER - END  
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - END  
	
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - START  
	wp_enqueue_style( 'all-css', 							TEMPLATE_PATH_URI . '/assets/plugins/icheck/skins/all.css', array(), false, 'screen' );        
	//  OTHER SCRIPTS INCLUDED ON THIS PAGE - END  
	
	//  CORE CSS TEMPLATE - START 
	wp_enqueue_style( 'style-css', get_stylesheet_uri() );
	
	//  CORE CSS TEMPLATE - END 
}
add_action( 'wp_enqueue_scripts', 'ds_styles' );

function ds_scripts() {
	


// CORE JS FRAMEWORK - START
wp_enqueue_script( 'jquery-1-11-2-min-js',					TEMPLATE_PATH_URI . '/assets/js/jquery-1.11.2.min.js', array(), '1.0',false );
wp_enqueue_script( 'jquery-easing-min-js',					TEMPLATE_PATH_URI . '/assets/js/jquery.easing.min.js', array(), '1.0',true );
wp_enqueue_script( 'bootstrap-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/bootstrap/js/bootstrap.min.js', array(), '1.0',false );
wp_enqueue_script( 'pace-min-js', 							TEMPLATE_PATH_URI . '/assets/plugins/pace/pace.min.js', array(), '1.0',true );
wp_enqueue_script( 'perfect-scrollbar-min-js', 				TEMPLATE_PATH_URI . '/assets/plugins/perfect-scrollbar/perfect-scrollbar.min.js', array(), '1.0',true );
wp_enqueue_script( 'viewportchecker-js', 					TEMPLATE_PATH_URI . '/assets/plugins/viewport/viewportchecker.js', array(), '1.0',true );
// CORE JS FRAMEWORK - END
// CORE VALIDATION JS - START
wp_enqueue_script( 'jquery-validation-min-js', 				TEMPLATE_PATH_URI . '/assets/plugins/jquery-validation/js/jquery.validate.min.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-validation-additional-min-js', 	TEMPLATE_PATH_URI . '/assets/plugins/jquery-validation/js/additional-methods.min.js', array(), '1.0',true );
// CORE VALIDATION JS - END
// OTHER SCRIPTS INCLUDED ON THIS PAGE - START
wp_enqueue_script( 'd3-v3-js', 								TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/vendor/d3.v3.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-ui-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/jquery-ui/smoothness/jquery-ui.min.js', array(), '1.0',true );
wp_enqueue_script( 'Rickshaw-All-js', 						TEMPLATE_PATH_URI . '/assets/plugins/rickshaw-chart/js/Rickshaw.All.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-sparkline-min-js', 				TEMPLATE_PATH_URI . '/assets/plugins/sparkline-chart/jquery.sparkline.min.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-easypiechart-min-js', 			TEMPLATE_PATH_URI . '/assets/plugins/easypiechart/jquery.easypiechart.min.js', array(), '1.0',true );
wp_enqueue_script( 'raphael-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/morris-chart/js/raphael-min.js', array(), '1.0',true );
wp_enqueue_script( 'morris-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/morris-chart/js/morris.min.js', array(), '1.0',true );
// FORM ELEMENTS STARTS
wp_enqueue_script( 'moment-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/daterangepicker/js/moment.min.js', array(), '1.0',true );
wp_enqueue_script( 'bootstrap-datetimepicker-min-js',	 	TEMPLATE_PATH_URI . '/assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.min.js', array(), '1.0',true );
wp_enqueue_script( 'bootstrap-colorpicker-min-js', 			TEMPLATE_PATH_URI . '/assets/plugins/colorpicker/js/bootstrap-colorpicker.min.js', array(), '1.0',true );
wp_enqueue_script( 'bootstrap-tagsinput-min-js', 			TEMPLATE_PATH_URI . '/assets/plugins/tagsinput/js/bootstrap-tagsinput.min.js', array(), '1.0',true );
wp_enqueue_script( 'select2-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/select2/select2.min.js', array(), '1.0',true );
wp_enqueue_script( 'typeahead-bundle-js', 					TEMPLATE_PATH_URI . '/assets/plugins/typeahead/typeahead.bundle.js', array(), '1.0',true );
wp_enqueue_script( 'handlebars-min-js', 					TEMPLATE_PATH_URI . '/assets/plugins/typeahead/handlebars.min.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-multi-select-js', 				TEMPLATE_PATH_URI . '/assets/plugins/multi-select/js/jquery.multi-select.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-quicksearch-js',					TEMPLATE_PATH_URI . '/assets/plugins/multi-select/js/jquery.quicksearch.js', array(), '1.0',true );
// FORM ELEMENTS ENDS
// RICH EDITER - START
wp_enqueue_script( 'bootstrap3-wysihtml5-all-min-js', 		TEMPLATE_PATH_URI . '/assets/plugins/bootstrap3-wysihtml5/js/bootstrap3-wysihtml5.all.min.js', array(), '1.0',true );
// RICH EDITER - END
// OTHER SCRIPTS INCLUDED ON THIS PAGE - END
//wp_enqueue_script( 'jquery-jvectormap-2-0-1-min-js', TEMPLATE_PATH_URI . '/assets/plugins/jvectormap/jquery-jvectormap-2.0.1.min.js', array(), '1.0',true );
//wp_enqueue_script( 'jquery-jvectormap-world-mill-en-js', TEMPLATE_PATH_URI . '/assets/plugins/jvectormap/jquery-jvectormap-world-mill-en.js', array(), '1.0',true );
wp_enqueue_script( 'gauge-min-js', 							TEMPLATE_PATH_URI . '/assets/plugins/gauge/gauge.min.js', array(), '1.0',true );
wp_enqueue_script( 'icheck-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/icheck/icheck.min.js', array(), '1.0',true );
wp_enqueue_script( 'dashboard-js', 							TEMPLATE_PATH_URI . '/assets/js/dashboard.js', array(), '1.0',true );
// OTHER SCRIPTS INCLUDED ON THIS PAGE - END
// OTHER SCRIPTS INCLUDED ON THIS PAGE - START
wp_enqueue_script( 'jquery-dataTables-min-js', 				TEMPLATE_PATH_URI . '/assets/plugins/datatables/js/jquery.dataTables.min.js', array(), '1.0',true );
wp_enqueue_script( 'dataTables-tableTools-min-js', 			TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/TableTools/js/dataTables.tableTools.min.js', array(), '1.0',true );
wp_enqueue_script( 'dataTables-responsive-min-js', 			TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/Responsive/js/dataTables.responsive.min.js', array(), '1.0',true );
wp_enqueue_script( 'dataTables-bootstrap-js', 				TEMPLATE_PATH_URI . '/assets/plugins/datatables/extensions/Responsive/bootstrap/3/dataTables.bootstrap.js', array(), '1.0',true );
// OTHER SCRIPTS INCLUDED ON THIS PAGE - END
// OTHER SCRIPTS INCLUDED ON THIS PAGE - START
wp_enqueue_script( 'autosize-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/autosize/autosize.min.js', array(), '1.0',true );
wp_enqueue_script( 'icheck-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/icheck/icheck.min.js', array(), '1.0',true );
// OTHER SCRIPTS INCLUDED ON THIS PAGE - END
// OTHER SCRIPTS INCLUDED ON THIS PAGE - START
wp_enqueue_script( 'messenger-min-js', 						TEMPLATE_PATH_URI . '/assets/plugins/messenger/js/messenger.min.js', array(), '1.0',true );
wp_enqueue_script( 'messenger-theme-future-js',				TEMPLATE_PATH_URI . '/assets/plugins/messenger/js/messenger-theme-future.js', array(), '1.0',true );
wp_enqueue_script( 'messenger-theme-flat-js', 				TEMPLATE_PATH_URI . '/assets/plugins/messenger/js/messenger-theme-flat.js', array(), '1.0',true );
wp_enqueue_script( 'messenger-js', 							TEMPLATE_PATH_URI . '/assets/js/messenger.js', array(), '1.0',true );
// OTHER SCRIPTS INCLUDED ON THIS PAGE - END
// CORE TEMPLATE JS - START
wp_enqueue_script( 'scripts-js', 							TEMPLATE_PATH_URI . '/assets/js/scripts.js', array(), '1.0',true );
wp_enqueue_script( 'jquery-tipsy', 							TEMPLATE_PATH_URI . '/assets/js/jquery-tipsy.js', array(), '1.0',true );
// END CORE TEMPLATE JS - END
// Sidebar Graph - START
wp_enqueue_script( 'jquery-sparkline-min-js', 				TEMPLATE_PATH_URI . '/assets/plugins/sparkline-chart/jquery.sparkline.min.js', array(), '1.0',true );
wp_enqueue_script( 'chart-sparkline-js', 					TEMPLATE_PATH_URI . '/assets/js/chart-sparkline.js', array(), '1.0',true );
wp_enqueue_script( 'jquery.ajaxq-0-0-1-js', 				TEMPLATE_PATH_URI . '/assets/js/jquery.ajaxq-0.0.1.js', array(), '1.0',true );
wp_enqueue_script( 'common-js',					TEMPLATE_PATH_URI . '/assets/js/common.js', array(), '1.0',false );
wp_enqueue_script( 'menu-vertical.js',					TEMPLATE_PATH_URI . '/assets/js/menu-vertical.js', array(), '1.0',true );
	
}

add_action( 'wp_enqueue_scripts', 'ds_scripts' );

function add_my_favicon() {
   $favicon_path = TEMPLATE_PATH_URI . '/assets/images/favicon-dashboard.png';
   echo '<link rel="shortcut icon" href="' . $favicon_path . '" />';
}

add_action( 'admin_head', 'add_my_favicon' ); //admin end

add_action('wp_login', 'suno_set_last_login');
 
//function for setting the last login
function suno_set_last_login($login) {
	
   $user_id = get_current_user_id();
   //add or update the last login value for logged in user
   update_user_meta( $user_id, '_last_login', current_time('mysql') );
   
   
}

$login_controller = new DS_Login_Controller(); 
add_action( 'wp_login_failed', array( $login_controller, 'login_failed') );  // hook failed login

add_action('init', 'do_output_buffer');
function do_output_buffer() {
        ob_start();
}

function suno_check_permissions(){
	
}

add_action('check_admin_referer', 'logout_without_confirm', 10, 2);
function logout_without_confirm($action, $result)
{
    /**
     * Allow logout without confirmation
     */
    if ($action == "log-out" && !isset($_GET['_wpnonce'])) {
        $redirect_to = isset($_REQUEST['redirect_to']) ? $_REQUEST['redirect_to'] : '';
        $location = str_replace('&amp;', '&', wp_logout_url($redirect_to));;
        header("Location: $location");
        die;
    }
}

add_action('wp_logout','go_home');
function go_home(){
  wp_redirect( home_url() );
  exit();
}
