<?php

function ds_format_date($date){
// formating date 31/12/1990 to 1990-12-31
	$date = DateTime::createFromFormat('d/m/Y H:i:s', $date.' 00:00:00');
	$mysql_date_string = $date->format('Y-m-d H:i:s');
	if($date):
		return $mysql_date_string;
	else:
		return false;
	endif;
}

function ds_format_date_time($date){
// formating date 31/12/1990 to 1990-12-31
	$date = DateTime::createFromFormat('d/m/Y H:i:', $date.'00');
	$mysql_date_string = $date->format('Y-m-d H:i:s');
	if($date):
		return $mysql_date_string;
	else:
		return false;
	endif;
}

function ds_format_only_time($time){
// formating time 31/12/1990 to 1990-12-31
	$time = DateTime::createFromFormat('H:i A', $time);
	$mysql_time_string = $time->format('H:i:s');
	if($time):
		return $mysql_time_string;
	else:
		return false;
	endif;
}

function ds_format_only_date($date){
// formating date 31/12/1990 to 1990-12-31
	$date = DateTime::createFromFormat('d/m/Y', $date);
	$mysql_date_string = $date->format('Y-m-d');
	if($date):
		return $mysql_date_string;
	else:
		return false;
	endif;
}

function ds_end_date_time_setup($date){
// formating end date with last second of the day
	$date =	date("Y-m-d", strtotime($date));	
	$date = DateTime::createFromFormat('Y-m-d H:i:s', $date.' 23:59:59');
	$mysql_date_string = $date->format('Y-m-d H:i:s');
	if($date):
		return $mysql_date_string;
	else:
		return false;
	endif;
}

function ds_current_date_time(){
	return date('Y-m-d H:i:s');
}