<?php
Class DS_Help_Model{
	public function update_help(){
		global $wpdb;
		$table	=	$wpdb->prefix.'help';
		$db_transaction_flag	=	true;
		$data	=	array( 
			'help_title'		=>	$_REQUEST['help_title'],
			'help_description'	=>	addslashes($_REQUEST['help_description']),
			'help_status'		=>	$_REQUEST['help_status'],
			'module_id'		=>	$_REQUEST['module_id'],
			'createdon'		=>	time(),
			
		);
					
		
		//$wpdb->query('START TRANSACTION');
		 			
		if($_REQUEST['help_id']){
			$help_id	=	$_REQUEST['help_id'];
			$where	=	array('help_id'	=> $help_id);
			$update_flag	=	$wpdb->update( $table,  $data , $where);
			if($update_flag	=== false){
				$db_transaction_flag	=	$help_id	=	false;			
			}
		}else{
			$insert_flag	=	$wpdb->insert(	$table,	$data	);
			if($insert_flag){
				$help_id	=	$wpdb->insert_id;	
			}else{
				$db_transaction_flag	=	false;
			}
			
		}
		
		if($db_transaction_flag){
			//$wpdb->query('COMMIT');		
		}else{
			//$wpdb->query('ROLLBACK');
			$help_id	=	false;
		}
		return $help_id;
	}
	
	public function get_helps(){
		global $wpdb;
		$help_list_arr	=	array();
		$table	=	$wpdb->prefix.'help';
		
		$help_list = $wpdb->get_results( 
			"SELECT 
			h.* , m.name
			FROM $table h, wp_module m WHERE h.module_id = m.id AND  help_status != 2
			ORDER BY h.help_id desc"	);
		
		return $help_list;
	}
	public function get_help_details_by_id($help_id){
		if($help_id){
			global $wpdb;
			$table	=	$wpdb->prefix.'help';
			$help_list_arr	=	array();
			$poll = $wpdb->get_row( 
				"SELECT 
				
				*
				
				FROM $table
				WHERE help_id = $help_id and help_status = 1 "	);
			
			
			return $poll;
			
		}else{
			return false;
		}
	}
	
	public function delete($help_id){
		
		
	}
	
	public function help_vote($userId,$help_id,$help_choice_id){
		
			global $wpdb;
			$table	=	$wpdb->prefix.'help_votes';
		
		
		$data	=	array( 
						'help_id' 		=> $help_id, 
						'help_choice_id' 		=> $help_choice_id,
						'user_id' 	=> $userId,
						'ip_address' 	=> $_SERVER['REMOTE_ADDR'],
						'created' 	=> time(),	
					);
					$this->update_help_vote_count($help_choice_id,'add');
			$help_update_return		=	$wpdb->insert( $table,  $data);
			return $help_update_return;
		
	}
	
	public function help_vote_cancel($userId,$help_id,$help_choice_id){
		
			global $wpdb;
			$this->update_help_vote_count($help_choice_id,'remove');
			$wpdb->query( "DELETE FROM wp_help_votes WHERE user_id=$userId AND help_id = $help_id");
			return 1;
		
	}
	
}
?>