<?php
Class DS_History_Model{
	public function update_history(){
		global $wpdb;
		$table	=	$wpdb->prefix.'interaction_history';
		$db_transaction_flag	=	true;
		$data	=	array( 
						'field_name_value'		=>	$_POST['field_name_value'],
						'field_history_email_value'		=>	$_POST['field_history_email_value'],
						'field_mobile_no_value'		=>	$_POST['field_mobile_no_value'],
						'field_program_nid'		=>	$_POST['field_program_nid'],
						'field_rj_uid'		=>	$_POST['field_rj_uid'],
						'contest_id'		=>	$_POST['contest_id'],
						'contest_prize_id'		=>	$_POST['contest_prize_id'],
						'field_country_value'		=>	$_POST['field_country_value'],
						'field_gender_value'		=>	$_POST['field_gender_value'],
						'field_blocked_winner_value'		=>	$_POST['field_blocked_winner_value'],
						'field_blocked_time_value'		=>	$_POST['field_blocked_time_value'],
						'field_blocked_winner_from_date'		=>	$_POST['field_blocked_winner_from_date'],
						'field_blocked_winner_to_date'		=>	$_POST['field_blocked_winner_to_date'],
						'field_remarks_value'		=>	$_POST['field_remarks_value'],
						'field_win_date_value'		=>	$_POST['field_win_date_value'],
						'interaction_id'		=>	$_POST['interaction_id'],
						'field_blocked_time_type'		=>	$_POST['field_blocked_time_type'],
						'is_quick_block'		=>	0,
						'timestamp'		=>	time(),
					);
					
					
		//$wpdb->query('START TRANSACTION');
		 			
		if($_POST['history_id']){
			$history_id	=	$_POST['history_id'];
			$where	=	array('id'	=> $history_id);
			$update_flag	=	$wpdb->update( $table,  $data , $where);
			if($update_flag	=== false){
				$db_transaction_flag	=	$history_id	=	false;			
			}
		}else{
			
			$insert_flag	=	$wpdb->insert(	$table,	$data	);
			if($insert_flag){
				$history_id	=	$wpdb->insert_id;	
			}else{
				$db_transaction_flag	=	false;
			}
			
		}
		
		return $history_id;
	}
	public function update_history_quick(){
		global $wpdb;
		$table	=	$wpdb->prefix.'interaction_history';
		$db_transaction_flag	=	true;
		$data	=	array( 
						
						'field_mobile_no_value'		=>	$_POST['field_mobile_no_value'],
						'field_program_nid'		=>	$_POST['field_program_nid'],
						'field_rj_uid'		=>	$_POST['field_rj_uid'],
						'contest_id'		=>	$_POST['contest_id'],
						'field_blocked_winner_value'		=>	'Yes',
						'field_blocked_time_value'		=>	$_POST['field_blocked_time_value'],						
						'is_quick_block'		=>	$_POST['is_quick_block'],
						'field_win_date_value'		=>	$_POST['field_win_date_value'],
						'interaction_id'		=>	$_POST['interaction_id'],
						'field_blocked_time_type'		=>	$_POST['field_blocked_time_type'],
						'timestamp'		=>	time(),
					);
					
					
		//$wpdb->query('START TRANSACTION');
		 			
		if($_POST['history_id']){
			$history_id	=	$_POST['history_id'];
			$where	=	array('id'	=> $history_id);
			$update_flag	=	$wpdb->update( $table,  $data , $where);
			if($update_flag	=== false){
				$db_transaction_flag	=	$history_id	=	false;			
			}
		}else{
			
			$insert_flag	=	$wpdb->insert(	$table,	$data	);
			if($insert_flag){
				$history_id	=	$wpdb->insert_id;	
			}else{
				$db_transaction_flag	=	false;
			}
			
		}
		
		return $history_id;
	}
	public function update_history_choice(DS_History_Choice_SetGet $choice_obj){
		global $wpdb;
		$table	=	$wpdb->prefix.'history_choice';
		
		
		$data	=	array( 
						'history_choice_history_id' 		=> $choice_obj->getHistory_choice_history_id(), 
						'history_choice_title' 		=> $choice_obj->getHistory_choice_title(),
						'history_choice_vote_count' 	=> $choice_obj->getHistory_choice_vote_count(),
					);
		if($choice_obj->getHistory_choice_status() == 0 && $choice_obj->getHistory_choice_id()){
			$choice_id	=	$choice_obj->getHistory_choice_id();
			$where		=	array('history_choice_id'	=> $choice_id);
			$choice_delete_return	=	$wpdb->delete( $table,  $where);
			if($choice_delete_return === false){
				$choice_id	=	false;
			}
		}else if($choice_obj->getHistory_choice_id()){
			$choice_id	=	$choice_obj->getHistory_choice_id();
			$where		=	array('history_choice_id'	=> $choice_id);
			
			$choice_update_return	=	$wpdb->update( $table,  $data , $where);
			if($choice_update_return === false){
				$choice_id	=	false;
			}
		}else{
			$choice_id	=	$wpdb->insert( $table,  $data);
			if($choice_id) $choice_id	=	$wpdb->insert_id;
		}
		
		return $choice_id;
		
	}
	public function get_historys(){
		global $wpdb;
		$history_list_arr	=	array();
		$table	=	$wpdb->prefix.'history';
		
		$history_list = $wpdb->get_results( 
			"SELECT 
			
			history_id, 
			history_title, 
			history_start_date, 
			history_end_date, 
			history_keyword, 
			history_response, 
			history_created_date, 
			history_updated_date, 
			history_active,
			timestamp
			
			FROM $table
			WHERE history_status = 1 ORDER BY history_id desc"	);
		if($history_list){
			foreach ($history_list as $history){
				
				$history_id			=	$history->history_id; 
				$history_title 		=	$history->history_title; 
				$history_start_date 	=	$history->history_start_date; 
				$history_end_date 		=	$history->history_end_date; 
				$history_keyword 		=	$history->history_keyword; 
				$history_response 		=	$history->history_response; 
				$history_created_date 	=	$history->history_created_date; 
				$history_updated_date 	=	$history->history_updated_date; 
				$history_active 		=	$history->history_active;
								
				$history_obj	=	new DS_History_SetGet();
				
				$history_obj->setHistory_id				($history_id); 
				$history_obj->setHistory_title 			($history_title); 
				$history_obj->setHistory_start_date 		($history_start_date); 
				$history_obj->setHistory_end_date 		($history_end_date); 
				$history_obj->setHistory_keyword 			($history_keyword); 
				$history_obj->setHistory_response 		($history_response); 
				$history_obj->setHistory_created_date 	($history_created_date); 
				$history_obj->setHistory_updated_date 	($history_updated_date); 
				$history_obj->setHistory_active 			($history_active);
					$history_obj->setHistory_timestamp 			($history->timestamp);
				
				$history_list_arr[]	=	$history_obj;
				
			}
		}
		return $history_list_arr;
	}
	public function get_history_by_user_num(DS_History_SetGet $userNum){
		global $wpdb;
		$history_list_arr	=	array();
		$table	=	$wpdb->prefix.'history';
		
		$history_list = $wpdb->get_results( 
			"SELECT 
			
			history_id, 
			history_title, 
			history_start_date, 
			history_end_date, 
			history_keyword, 
			history_response, 
			history_created_date, 
			history_updated_date, 
			history_active,
			timestamp
			
			FROM $table
			WHERE history_id = $history_id and ORDER BY history_id desc"	);
		if($history_list){
			foreach ($history_list as $history){
				
				$history_id			=	$history->history_id; 
				$history_title 		=	$history->history_title; 
				$history_start_date 	=	$history->history_start_date; 
				$history_end_date 		=	$history->history_end_date; 
				$history_keyword 		=	$history->history_keyword; 
				$history_response 		=	$history->history_response; 
				$history_created_date 	=	$history->history_created_date; 
				$history_updated_date 	=	$history->history_updated_date; 
				$history_active 		=	$history->history_active;
								
				$history_obj	=	new DS_History_SetGet();
				
				$history_obj->setHistory_id				($history_id); 
				$history_obj->setHistory_title 			($history_title); 
				$history_obj->setHistory_start_date 		($history_start_date); 
				$history_obj->setHistory_end_date 		($history_end_date); 
				$history_obj->setHistory_keyword 			($history_keyword); 
				$history_obj->setHistory_response 		($history_response); 
				$history_obj->setHistory_created_date 	($history_created_date); 
				$history_obj->setHistory_updated_date 	($history_updated_date); 
				$history_obj->setHistory_active 			($history_active);
				$history_obj->setHistory_timestamp 			($history->timestamp);
				
				$history_list_arr[]	=	$history_obj;
				
			}
		}
		return $history_list_arr;
	}
	public function get_history_details_by_id($history_id){
		
			
			global $wpdb;
			$table	=	$wpdb->prefix.'interaction_history';
			$history_list_arr	=	array();
			
			$history = $wpdb->get_row( 
				"SELECT * FROM $table
				WHERE id = $history_id"	);
			
			return $history;
			
		
	}
	public function get_history_choice_by_history_id(DS_History_Choice_SetGet $choice_obj){
		if($choice_obj->getHistory_choice_history_id()){
			$history_id	=	$choice_obj->getHistory_choice_history_id();
			$choice_arr	= false;
			global $wpdb;
			$table	=	$wpdb->prefix.'history_choice';
			$choice_list_arr	=	array();
			$choice_rquery = $wpdb->get_results( 
				"SELECT 
				
				history_choice_id, 
				history_choice_title,				
				history_choice_vote_count
				
				FROM $table
				WHERE history_choice_history_id = $history_id and history_choice_status = 1 "	);
			if($choice_rquery){
				$choice_arr	=	array();
				foreach($choice_rquery as $choice_row){
					$history_choice_id			=	$choice_row->history_choice_id;
					$history_choice_title		=	$choice_row->history_choice_title;
					$history_choice_vote_count	=	$choice_row->history_choice_vote_count;
					
					$choice_obj	= new DS_History_Choice_SetGet();
					$choice_obj->setHistory_choice_id($history_choice_id);
					$choice_obj->setHistory_choice_title($history_choice_title);
					$choice_obj->setHistory_choice_vote_count($history_choice_vote_count);
					
					
					$choice_arr[]	=	$choice_obj;
				}
				return $choice_arr;
			}
		}else{
			return false;
		}
	}
	public function delete(DS_History_SetGet $history_obj){
		if($history_obj->getHistory_id()){
			global $wpdb;
			$table	=	$wpdb->prefix.'history';
			$history_id	=	$history_obj->getHistory_id();
			$data	=	array( 
						'history_status' 	=> 0 
					);
			$where		=	array('history_id'	=> $history_id);
			$history_update_return		=	$wpdb->update( $table,  $data , $where);
			return $history_update_return;
		}else{
			return false;
		}
	}
}
?>