<?php
/* Template Name: Edit History */
get_header(); 

$history_controller	=	new DS_History_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$contest_controller	=	new DS_Contest_Controller();

if(isset($_POST['history_submit'])){	
	$id	=	$_REQUEST['history_id'];
	$oldDetails	=	$history_controller->get_history_details_by_id($id);
	$new_id		=	$history_controller->save_history();
	$newDetails	=	$history_controller->get_history_details_by_id($id);
	
	$updatedDetails = array();
	
	$activity_type = 'update';
	$activity_on = 'block';
	$activity_id = $new_id;
	$activity_desc = 'Block';
	$updatedVal = 0;
	if($oldDetails->field_name_value != $newDetails->field_name_value){
		$updatedVal = 1;
		$updatedDetails['field_name_value'] = $oldDetails->field_name_value;
	}
	if($oldDetails->field_country_value != $newDetails->field_country_value){
		$updatedVal = 1;
		$updatedDetails['field_country_value'] = $oldDetails->field_country_value;
	}
	if($oldDetails->field_history_email_value != $newDetails->field_history_email_value){
		$updatedVal = 1;
		$updatedDetails['field_history_email_value'] = $oldDetails->field_history_email_value;
	}
	if($oldDetails->contest_id != $newDetails->contest_id){
		$updatedVal = 1;
		$contestDetais = $wpdb->get_row("SELECT contest_title FROM wp_contests WHERE contest_id = $oldDetails->contest_id");
		$updatedDetails['contest'] = $contestDetais->contest_title;
	}
	if($oldDetails->contest_prize_id != $newDetails->contest_prize_id){
		$updatedVal = 1;
		$contestDetais = $wpdb->get_row("SELECT contest_title FROM wp_contest_prize WHERE contest_prize_id = $oldDetails->contest_prize_id");
		$updatedDetails['contest_prize'] = $contestDetais->contest_prize_type.' -> '.$contestDetais->contest_prize_title;
	}
	if($oldDetails->field_program_nid != $newDetails->field_program_nid){
		$updatedVal = 1;
		$contestDetais = $wpdb->get_row("SELECT program_title FROM wp_program WHERE program_id = $oldDetails->field_program_nid");
		$updatedDetails['program'] = $contestDetais->program_title;
	}
	if($oldDetails->field_rj_uid != $newDetails->field_rj_uid){
		$updatedVal = 1;
		$contestDetais = $wpdb->get_row("SELECT display_name FROM wp_users WHERE ID = $oldDetails->field_rj_uid");
		$updatedDetails['rj_name'] = $contestDetais->display_name;
	}
	if(($oldDetails->field_blocked_time_value != $newDetails->field_blocked_time_value) || ($oldDetails->field_blocked_time_type != $newDetails->field_blocked_time_type)){
		$updatedVal = 1;
		$updatedDetails['block_time'] = $oldDetails->field_blocked_time_value.' '.$oldDetails->field_blocked_time_type;
	}
	
	if($oldDetails->field_remarks_value != $newDetails->field_remarks_value){
		$updatedVal = 1;
		$updatedDetails['contest_prize'] = $oldDetails->field_remarks_value;
	}
	
	if(count($updatedDetails) > 0 && $updatedVal == 1){
		currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	}
	header('location: ' . home_url().'/sms-interactions');
	exit;
}
$rj_list	=	$user_controller->get_rj_list();
$programs	=	$program_controller->get_programs(1);
$contests	=	$contest_controller->get_contests();
if(isset($_REQUEST['history_id'])){
	$id	=	$_REQUEST['history_id'];
	
	$history_details	=	$history_controller->get_history_details_by_id($id);
		
	$contest_id = $history_details->contest_id;
	$contest_prize_list = $wpdb->get_results("SELECT * FROM wp_contest_prize WHERE contest_prize_contest_id = $contest_id");
	$continent_list = $wpdb->get_results("SELECT * FROM wp_continents ORDER BY order_by ASC");
	//print_r($continent_list);	
}
?>

<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left">Edit History </h2>
          <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
        <?php 
					      	if(isset($new_id) && $new_id == true){
								echo '<div class="alert alert-success alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Success:</strong> Updated!!.</div>';
							}else if(isset($new_id) && $new_id == false){
								echo '<div class="alert alert-danger alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Error:</strong> Please try again!.</div>';
							}
					      	?>
          <div class="row">
          <form id="edit_history_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
            <div class="col-md-12 col-sm-9 col-xs-10">
            <?php //print_r($history_details);?>
              <div class="form-group col-md-6">
                <label class="form-label" for="formfield1">Name *</label>
                <span class="desc"></span>
                <div class="controls">
                  <input type="text" class="form-control" id="field_name_value" name="field_name_value" value="<?php echo $history_details->field_name_value?>">
                  <input type="hidden" id="history_id" name="history_id" value="<?php if($history_details->id) echo $history_details->id;?>">
                   <input type="hidden" id="interaction_id" name="interaction_id" value="<?php if($history_details->interaction_id) echo $history_details->interaction_id;?>">
                </div>
              </div>
              <div class="form-group col-md-6 ">
                <label class="form-label" for="formfield1">Number: *</label>
                <span class="desc"></span>
                <div class="controls">
                  <input type="text" class="form-control" id="field_mobile_no_value" name="field_mobile_no_value" value="<?php echo $history_details->field_mobile_no_value ;?>">
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Program: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="field_program_nid" id="field_program_nid" class="form-control">
                    <?php 
													if($programs){
													foreach ($programs as $program){
														$program	instanceof  DS_Program_SetGet;
													?>
                    <option value="<?php echo $program->getProgram_id(); ?>" <?php if($history_details->field_program_nid == $program->getProgram_id()) {?> selected="selected" <?php } ?>><?php echo $program->getProgram_title(); ?></option>
                    <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Rj: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="field_rj_uid" id="field_rj_uid" class="form-control">
                    <?php 
														if($rj_list){
															foreach ($rj_list->results as $user){
														?>
                    <option value="<?php echo $user->ID; ?>" <?php if($history_details->field_rj_uid == $user->ID) {?> selected="selected" <?php } ?> ><?php echo $user->display_name; ?></option>
                    <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Contest: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="contest_id" class="form-control contest-dp" id="contest_id" onchange="return changeContestPrize(this.value);">
                    <option value="">- None -</option>
                    <?php 
						if($contests){
						foreach ($contests as $contest){
							$contest	instanceof  DS_Contest_SetGet;
						?>
                        <option value="<?php echo $contest->getContest_id(); ?>" <?php if($history_details->contest_id == $contest->getContest_id()) {?> selected="selected" <?php } ?>><?php echo $contest->getContest_title(); ?></option>
                        <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 contest-prize-block" style="display:block;">
                <label class="form-label" for="formfield1">Contest Prizes: </label>
                <span class="desc"></span>
                <div class="controls" id="contest_price_block">
                  <select name="contest_prize_id" class="form-control contest-dp" id="contest_prize_id">
                     <option value="">- None -</option>
                     <?php 
                     if($contest_prize_list && count($contest_prize_list) > 0) {
                         foreach ($contest_prize_list as $contest_prize){
                    ?>
                        
                    <option value="<?php echo $contest_prize->contest_prize_id?>" <?php if($history_details->contest_prize_id == $contest_prize->contest_prize_id) {?> selected="selected" <?php } ?>><?php echo $contest_prize->contest_prize_title?></option>
                    <?php } } ?>
                    
                    </select>

                </div>
              </div>
              <div class="form-group col-md-6 ">
                    <label class="form-label" for="formfield1">Email:</label>
                    <span class="desc"></span>
                   <input type="text" class="form-control" id="field_history_email_value" name="field_history_email_value" value="<?php echo $history_details->field_history_email_value?>">
                  </div>
              <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Wining/Block Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1W' id=''>
                        <input type='text' name="field_win_date_value" id="field_win_date_value" class="form-control date-block1" value="<?php if(isset($history_details->field_win_date_value) && $history_details->field_win_date_value > 0){ echo date('d/m/Y',$history_details->field_win_date_value); } ?>"/>
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
              <div class="clearfix">
                <div>
                  
                  <div class="form-group col-md-6">
                <label class="form-label" for="formfield1">Country:</label>
                <span class="desc"></span>
                <div class="controls">
                <select name="field_country_value" class="form-control" id="field_country_value">
                 <?php 
                     if($continent_list && count($continent_list) > 0) {
                         foreach ($continent_list as $continent){
                    ?>
                      <optgroup label="<?php echo $continent->name?>">
                      <?php $country_list = $wpdb->get_results("SELECT * FROM wp_countries WHERE continent_code = '$continent->code' ORDER BY name ASC"); 
						   if($history_details->field_country_value == ''){
							  	$history_details->field_country_value = 'United Arab Emirates';
							  }
						   if($country_list && count($country_list) > 0) {
							 foreach ($country_list as $country){ ?>
							<option value="<?php echo $country->name?>" <?php if(strtolower($history_details->field_country_value) == strtolower($country->name)) {?> selected="selected" <?php } ?>><?php echo $country->name?></option>
							<?php }
						}
					  ?>
                      </optgroup>  
                    
                    <?php } } ?>
                </select>
                  
                </div>
              </div>
                  <div class="form-group col-md-6 ">
                    <label class="form-label" for="formfield1">Gender:</label>
                    <span class="desc"></span>
                      <div class="controls">
                    <input tabindex="5" type="radio" value="Male" id="flat-radio-1" name="field_gender_value" class="skin-flat-blue" <?php if($history_details->field_gender_value == 'Male'){ echo ' checked="checked"';} ?>>
                    <label class="iradio-label form-label" for="flat-radio-1" >Male</label>
                    <input tabindex="5" type="radio" value="Female" id="flat-radio-2"  name="field_gender_value" class="skin-flat-blue" <?php if($history_details->field_gender_value == 'Female'){ echo ' checked="checked"';} ?>>
                    <label class="iradio-label form-label" for="flat-radio-2">Female</label>
                    </div>
                  </div>
                  <div class="form-group col-md-12">
                    <label class="form-label" for="formfield1">Block Winner: *</label>
                    <span class="desc"></span>
                    <input tabindex="5" type="radio" value="Yes" id="flat-radio-1" name="field_blocked_winner_value" class="skin-flat-blue" <?php if($history_details->field_blocked_winner_value == 'Yes'){ echo ' checked="checked"';} ?>>
                    <label class="iradio-label form-label" for="flat-radio-1" >Yes</label>
                    <input tabindex="5" type="radio" value="No" id="flat-radio-2"  name="field_blocked_winner_value" class="skin-flat-blue"  <?php if($history_details->field_blocked_winner_value == 'No'){ echo ' checked="checked"';} ?>>
                    <label class="iradio-label form-label" for="flat-radio-2">No</label>
                  </div>
                  <div class="form-group col-md-5">
                    <label class="form-label" for="formfield1">Block Winner By Days / Weeks / Months / Years: </label>
                    <span class="desc"></span>
                    <div class="controls form-inline">
                      <div class="form-group">
                        <input type="text" class="form-control date-block2" style="width:100px;" id="field_blocked_time_value" name="field_blocked_time_value" value="<?php if($history_details->field_blocked_time_value > 0) echo $history_details->field_blocked_time_value;?>" placeholder="Ex: 10">
                        <select name="field_blocked_time_type" id="field_blocked_time_type" class="form-control input-md date-block2">
                          <option value="0" selected="selected">-- Select --</option>
                          <option value="Days" <?php if($history_details->field_blocked_time_type == 'Days' && $history_details->field_blocked_time_value > 0){ echo 'selected="selected"';}?> >Day/Days</option>
                          <option value="Weeks" <?php if($history_details->field_blocked_time_type == 'Weeks' && $history_details->field_blocked_time_value > 0){ echo 'selected="selected"';}?> >Week/Weeks</option>
                          <option value="Months" <?php if($history_details->field_blocked_time_type == 'Months' && $history_details->field_blocked_time_value > 0){ echo 'selected="selected"';}?> >Month/Months</option>
                          <option value="Years" <?php if($history_details->field_blocked_time_type == 'Years' && $history_details->field_blocked_time_value > 0){ echo 'selected="selected"';}?> >Year/Years</option>
                        </select>
                      </div>
                      <span style="float:right;">OR</span>
                    </div>
                  </div>
                  <?php // field_blocked_winner_from_date ?>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Block Winner From: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1S' id=''>
                        <input type='text' name="field_blocked_winner_from_date" id="field_blocked_winner_from_date" class="form-control date-block1" value="<?php if(isset($history_details->field_blocked_winner_from_date) && $history_details->field_blocked_winner_from_date > 0 && $history_details->field_blocked_time_value <= 0){ echo date('d/m/Y',$history_details->field_blocked_winner_from_date); } ?>"/>
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">To: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1E' id=''>
                        <input type='text' class="form-control date-block1" name="field_blocked_winner_to_date" id="field_blocked_winner_to_date" value="<?php if(isset($history_details->field_blocked_winner_to_date) && $history_details->field_blocked_winner_to_date > 0  && $history_details->field_blocked_time_value <= 0){ echo date('d/m/Y',$history_details->field_blocked_winner_to_date); } ?>" />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <!--<div class="form-group col-md-4 ">
                    <label class="form-label" for="formfield1">Prize Won: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <input type='text' class="form-control"  />
                    </div>
                  </div>-->
                  <div class="form-group col-md-12">
                    <label class="form-label" for="field-6">Remark:</label>
                    <span class="desc"></span>
                    <div class="controls">
                      <textarea name="field_remarks_value" id="field_remarks_value" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"><?php echo $history_details->field_remarks_value;?></textarea>
                    </div>
                  </div>
                  <div class="form-group col-md-8">
                    <input type="submit" class="btn btn-info btn-lg" name="history_submit" value="Save"/>
                  </div>
                </div>
              </div>
            </div>
          </form>
          </div>
        </div>
        <!-- End .row --> 
        
      </section>
    </div>
  </section>
</section>

<!-- END CONTENT -->

<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/history-page.js" type="text/javascript"></script> 
<script>
	
	function changeContestPrize(contest_id){
		$.ajax({
			url: '<?php echo home_url();?>/wp-content/themes/radiopanel/includes/change-contest-prize-list.php',
			type: 'POST',
			data: {contest_id:contest_id},
			success: function(data) {
				if (data != '')
				{
					$('#contest_price_block').html(data);
					
				}
			}
		});
						
	}
</script> 

<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 

