

<?php
/* Template Name: Edit Notification */
get_header(); 



if(isset($_POST['notification_submit'])){
	
	$new_notification_id		=	ds_save_notification();
	
}
if(isset($_REQUEST['notification_id'])){
	$notification_id	=	$_REQUEST['notification_id'];
	
	
	$notification_details	=	ds_get_notification_details_by_id($notification_id);
	
	if($notification_details){
		
		
		$notification_title			=	$notification_details->post_title;
		$notification_description	=	$notification_details->post_content;
		$notification_status		=	$notification_details->post_status;
		
		$notification_time			=	$notification_details->notification_time;
		$notification_date			=	$notification_details->notification_date;
		
	}
}
?>


 <section id="main-content" class=" ">
                <section class="wrapper" >

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                        <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left">Edit Notification</h2>
                               <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                            </header>
                            <div class="content-body">
                           
                                <?php 
						      	if(isset($new_notification_id) && $new_notification_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Updated!!.</div>';
								}else if(isset($new_notification_id) && $new_notification_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
                                <div class="row">
                                	<form id="add_notification_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-8">
                                                <label class="form-label" for="notification_title">Notification: *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input type="text" class="form-control notification_title" id="notification_title" name="notification_title" value="<?php if(isset($notification_title)) echo $notification_title;?>">
                                                    <input type="hidden" id="notification_id" name="notification_id" value="<?php if(isset($notification_id)) echo $notification_id;?>">
                                                </div>
                                            </div>
											
											<div class="clearfix"></div>
											
                                            <div class="form-group col-md-4">
                                                <label class="form-label" for="formfield1">Notification Status:</label>
                                                <ul class="list-unstyled">
													
													<li>
														<input tabindex="3" type="radio" id="notification_status_enabled"  name="notification_status" value="publish" class="thin-flat-blue">
														<label class="thin-label form-label"	for="notification_status_enabled">Enabled</label>
													</li>
													<li>
														<input tabindex="4" type="radio" id="notification_status_disabled"  name="notification_status" value="draft" class="thin-flat-blue">
														<label class="thin-label form-label"	for="notification_status_disabled">Disabled</label>
													</li>
												</ul>
												<input type="hidden" name="notification_status_hidden" id="notification_status_hidden" value="<?php if(isset($notification_status)) echo $notification_status; ?>"/>
                                            </div>
											<div class="clearfix"></div>
											
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="notification_start_date">Time: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group time notification_time' id=''>
														<input type='text' class="form-control notification_time" name="notification_time" id="notification_time" value="<?php if(isset($notification_time)) echo $notification_time; ?>"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-time"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="notification_end_date">Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date notification_date' id=''>
														<input type='text' class="form-control notification_date" id="notification_date" name="notification_date" value="<?php if(isset($notification_date)) echo $notification_date; ?>"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="clearfix"></div>
											<div class="form-group col-md-12">
												<label class="form-label" for="notification_response">Descrition:</label>
												<span class="desc"></span>
												<div class="controls">
													<textarea style="width: 100%; height: 250px; font-size: 14px; line-height: 23px;padding:15px;" class="notification_description" id="notification_description" name="notification_description"><?php if(isset($notification_description)) echo $notification_description; ?></textarea>
													
												</div>
											</div>
											
											<div class="clearfix"></div>
											<div class="form-group col-md-8">
												<input type="submit" class="btn btn-info btn-lg" name="notification_submit" value="Save"/>
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->
             



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/notification-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 


