<?php
/* Template Name: View Keywords */
get_header(); 

$keyword_controller	=	new DS_Keyword_Controller();
$keywords	=	$keyword_controller->get_keywords();

?>

<section id="main-content" class="">
  <section class="wrapper">
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="table-responsive" data-pattern="priority-columns">
            <table id="view_keywords_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
              <thead>
                <tr>
                  <th>Keyword</th>
                  <th data-priority="1">Response</th>
                  <th data-priority="2">Status</th>
                  <th data-priority="3">Actions</th>
                </tr>
              </thead>
              <tbody>
                <?php 

if($keywords)
foreach ($keywords as $keyword){
	$keyword instanceof DS_Keyword_SetGet;

?>
                <tr>
                  <td class="row_title_td"><input type="hidden" class="row_id" value="<?php echo $keyword->getKeyword_id(); ?>"/>
                    <?php echo $keyword->getKeyword_title(); ?></td>
                  <td class="keyword_response_td"><?php echo $keyword->getKeyword_response(); ?></td>
                  <td class="keyword_status_td"><?php 
																if($keyword->getKeyword_active() == 1){
																	echo 'Enable';
																}else if($keyword->getKeyword_active() == 0){
																	echo 'Disable';
																}
															?></td>
                  <td class="actions_td"><a href="<?php echo home_url();?>/edit-keyword?keyword_id=<?php echo $keyword->getKeyword_id(); ?>" class="label label-default"><i class="fa fa-pencil"></i></a> <a  href="#"  class="label label-danger delete_btn delete_post_row_btn"><i class="fa fa-trash"></i></a></td>
                </tr>
                <?php }?>
              </tbody>
            </table>
          </div>
        </div>
      </section>
    </div>
  </section>
</section>
<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/keyword-page.js" type="text/javascript"></script> 
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 