<?php
/* Template Name: View Programs */
get_header(); 

$user_roles = currentUserRoleIds();

if(!in_array(9,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}
$statusArray = array('active','inactive');
if(isset($_REQUEST['status']) && in_array($_REQUEST['status'],$statusArray)){
	$id = $_REQUEST['program_id'];
	$status = ($_REQUEST['status'] == 'active') ? 1 : 0;
	
	$result = $wpdb->query("UPDATE wp_program SET program_active = $status WHERE program_id = $id");
	wp_redirect( home_url().'/view-programs');
	exit;
}
$program_controller	=	new DS_Program_Controller();
$programs	=	$program_controller->get_programs();
date_default_timezone_set(date_default_timezone_get());
$current_day =  strtolower(date("D"));


?>

<section id="main-content" class="">
	<section class="wrapper">
			<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
				<section class="box main-box">
			    	<header class="panel_header">
			        	<h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
					</header>
			        <div class="content-body">
			      	<?php //print_r($today_sms_list);?>
			      	
			      	<div class="table-responsive" data-pattern="priority-columns">
                                          
											 
											
											 <table id="view_programs_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
												<thead>
													<tr>
                                                        <th	data-priority="1">Title</th>
                                                        <th	data-priority="2">Genre</th>
                                                        <th data-priority="3">SMS Today</th>
														<th data-priority="4">RJ's</th>   
														<th data-priority="5">Timimgs</th>   
                                                        <th data-priority="6">Status</th>  
														<th data-priority="7">Actions</th>														
                                                    </tr>
												</thead>
												<tbody>
												
<?php 

if($programs)
foreach ($programs as $program){
	
	$program	instanceof  DS_Program_SetGet;
	$programStartTime = strtotime(date('Y-m-d H:i:s',strtotime($program->getProgram_start_time())));
	
	$programEmdTime = strtotime(date('Y-m-d H:i:s',strtotime($program->getProgram_end_time())));
	$programDayList = $program->getProgram_program_days_id();
	$program_program_days_id = array();
	if($programDayList != ''){
		$program_program_days_id	=	json_decode($program->getProgram_program_days_id()); 
	}
	$status = $program->getProgram_active();
	$today_sms_list = $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE (timestamp >= $programStartTime AND timestamp < $programEmdTime)");
	
?>	
	<tr>
														<td class="row_title_td">
															<input type="hidden" class="row_id" value="<?php echo $program->getProgram_id(); ?>"/>
															<?php echo $program->getProgram_title(); ?>
														</td>
														<td class="genre_td"><?php echo $program->getProgram_genre(); ?></td>
														<td class="sms_count_td"><?php echo (in_array($current_day,$program_program_days_id)) ? $today_sms_list : 0;?></td>
														<td class="rjs_td">
															<?php 
																$program_rjs	=	json_decode($program->getProgram_program_rjs()); 
																if(is_array($program_rjs)){
																	$rj_names_arr	=	array();
																	$user_controller	=	new DS_User_Controller();
																	$user_setget		=	new DS_User_SetGet();
																	foreach ($program_rjs as $program_rj){
																		$user_setget->setUser_id($program_rj);
																		
																		$user_d	=	$user_controller->get_user_details_by_id($user_setget);
																		$rj_names_arr[]	=	 $user_d->display_name;
																	}
																	echo implode(', ',$rj_names_arr);
																}
															?>
														</td>
														<td class="timings_td"><?php echo  date('h:i A',strtotime($program->getProgram_start_time())) .' - '.  date('h:i A',strtotime($program->getProgram_end_time())) ;?></td>
                                                        <td class="timings_td"><?php echo ($status == 1) ? 'Active' : 'Inactive';
														echo '<br>';
														echo ($status == 1) ? '<a href="'.home_url().'/view-programs?program_id='.$program->getProgram_id().'&status=inactive" class="label label-danger">Force Inactive</a>' : '<a href="'.home_url().'/view-programs?program_id='.$program->getProgram_id().'&status=active" class="label label-success">Force Active</a>';
														?></td>
														<td class="actions_td">
															<a href="<?php echo home_url();?>/edit-program?program_id=<?php echo  $program->getProgram_id(); ?>" class="label label-default"><i class="fa fa-pencil"></i></a>
															<a  href="#"  class="label label-danger delete_btn delete_post_row_btn"><i class="fa fa-trash"></i></a>
														</td>
														
														
													</tr>
<?php }?>													
													


												</tbody>
											</table>
									
                                        </div>  
					</div>
				</section>
			
			</div>     
	</section>
</section>          



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/program-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
