<!DOCTYPE html>
<html class=" ">
<head>
<!-- 
         * @Package: Ultra Admin - Responsive Theme
         * @Subpackage: Bootstrap
         * @Version: 1.0
         * This file is part of Ultra Admin Theme.
        -->
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<meta charset="utf-8" />
<title>
<?php if(get_the_title()) echo get_the_title().' | ';?>
<?php echo get_bloginfo('name')?></title>
<meta name="viewport"
	content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
<meta content="" name="description" />
<meta content="" name="author" />
<link rel="shortcut icon"
	href="<?php echo home_url();?>/wp-content/themes/suno1024/assets/images/favicon.png"
	type="image/x-icon" />
<!-- Favicon -->
<link rel="apple-touch-icon-precomposed"
	href="/wp-content/themes/suno1024/assets//images/favicon.png">
<!-- For iPhone -->
<link rel="apple-touch-icon-precomposed" sizes="114x114"
	href="/wp-content/themes/suno1024/assets/images/favicon.png">
<!-- For iPhone 4 Retina display -->
<link rel="apple-touch-icon-precomposed" sizes="72x72"
	href="/wp-content/themes/suno1024/assets/images/favicon.png">
<!-- For iPad -->
<link rel="apple-touch-icon-precomposed" sizes="144x144"
	href="/wp-content/themes/suno1024/assets/images/favicon.png">
<!-- For iPad Retina display -->
<?php
if(is_user_logged_in()){
	$current_user_ID = get_current_user_id();
}else{
	if(!is_page('login')){
		$login_controller	=	new DS_Login_Controller();
		$login_controller->if_user_not_logged_in();
	}
}
require get_template_directory() . '/views/blocks/common-function.php';
wp_head();
show_admin_bar( false );
$user_roles = array();
$user_controller	=	new DS_User_Controller();
$user_setget		=	new DS_User_SetGet();
$user_setget->setUser_id($current_user_ID);
$user_details	=	$user_controller->get_user_details_by_id($user_setget);
$user_data		=	$user_details->data;
if($current_user_ID != 1){
	$query = "SELECT * FROM wp_roles WHERE id = ". $user_data->user_role_id;
	$user_roles_list = $wpdb->get_row( $query );
	$user_rolesList  = $user_roles_list->role_fields;
	$user_roles = explode(',',$user_rolesList);
}
$currentProgram = getCurrentProgramDetail();
$currentProgram	instanceof  DS_Program_SetGet;
$currentProgramId = $currentProgram->getProgram_id();
$currentProgramEndTime = $currentProgram->getProgram_end_time();
$date = date('Y-m-d').' '.$currentProgramEndTime;
$currentDate = strtotime($date);
$futureDate = $currentDate+(60*5);
$currentProgramEndTime = date("H:i:s", $futureDate);
?>
<script>
	<?php if($current_user_ID != 1){
		if($user_data->is_auto_logout == 0){
		
		?>
function createCookie(name,value,days) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
  }
  else var expires = "";
  document.cookie = name+"="+value+expires+"; path=/";
}
function getCookie(name) {
   var value = "; " + document.cookie;
  var parts = value.split("; " + name + "=");
  if (parts.length == 2) return parts.pop().split(";").shift();
}
var currentEndTime = '<?php echo $currentProgramEndTime?>';
if(getCookie('currentProgramEnd') == undefined){
		createCookie('currentProgramEnd',currentEndTime,'');
}else if(getCookie('currentProgramEnd') != currentEndTime){
		createCookie('currentProgramEnd','',-1);
	    window.location="<?php echo home_url();?>/wp-login.php?action=logout";
}
<?php }
 } ?>
function home_url(){
	return '<?php echo home_url();?>';
}
function get_template_directory_uri(){
	return '<?php echo get_template_directory_uri();?>';
}
$( document ).ready(function() {
	
	<?php if($current_user_ID != 1){
		if($user_data->is_auto_logout == 0){
		
		?>
	 
 $(function(){var calcNewYear = setInterval(function(){
	var checkLogin	=	get_template_directory_uri()+'/includes/check-program-login.php';
	 $.ajax({
		  method: "POST",
		  url: checkLogin,
		  data: { },
			success: function(data) {
				if(data.trim() == 'ERROR'){
					createCookie('currentProgramEnd','',-1);
					window.location="<?php echo wp_logout_url( home_url() ); ?>";
				}
				
		}
	  });
 },1 * 60 * 1000);});
 
 <?php }
 } ?>
						  
	<?php if(is_user_logged_in()){?>
   		getNotificationData(<?php echo $current_user_ID;?>);
	
	
	$(document).on('click', '.list-notification',  function(){
	var notification	=	get_template_directory_uri()+'/includes/list-notification.php';
	 $.ajax({
	  method: "POST",
	  url: notification,
	  data: { user_id : <?php echo $current_user_ID;?>},
		success: function(data) {
			//console.log(data);
			$('.notification-data').html(data);	  
		}
	  });
});	
	<?php } ?>
});
function getBirthDayUserDetails(){
 $.ajax({
	  method: "POST",
	  url: 'http://www.suno1024.com/new/apiv3.php?f=smspanel_birthday_userdetails',
	  data: { type : 'count'},
		success: function(data) {
			if (data != '') {
					
			}
		}
	  });
}
				
//getBirthDayUserDetails();			
				
function getNotificationData(user_id){
	var notification	=	get_template_directory_uri()+'/includes/notification.php';
	 $.ajax({
	  method: "POST",
	  url: notification,
	  data: { user_id : user_id},
		success: function(data) {
			if(data > 0){
				$('.notification_count').addClass('badge-orange');
		 		$('.notification_count').html(data);	 
			}
		}
	  });
}
</script>
<style>
#divLoading
{
  
}
#divLoading.show
{
    display : block;
    position : fixed;
    z-index: 100;
    background-image : url('<?php echo TEMPLATE_PATH_URI; ?>/assets/images/suno-loader.gif');
    background-color:#666;
    opacity : 0.9;
    background-repeat : no-repeat;
    background-position : center;
    left : 0;
    bottom : 0;
    right : 0;
    top : 0;
}
#loadinggif.show
{
    left : 50%;
    top : 50%;
    position : absolute;
    z-index : 101;
    width : 32px;
    height : 32px;
    margin-left : -16px;
    margin-top : -16px;
}
/*-----------------------------------------------------------
    Logo
----------------------------------------------------------*/
.page-topbar .logo-area {
	background-image: url('<?php echo home_url();?>/wp-content/themes/suno1024/assets/images/logo.png');
	background-repeat: no-repeat;
}
.page-topbar.sidebar_shift .logo-area {
	background-image: url('<?php echo home_url();?>/wp-content/themes/suno1024/assets/images/logo-folded.png');
	background-repeat: no-repeat;
	background-position: right top;
}
.page-topbar.chat_shift .logo-area {
	background-image: url('<?php echo home_url();?>/wp-content/themes/suno1024/assets/images/logo-folded.png');
	background-repeat: no-repeat;
	background-position: right top;
}
</style>
<style>
.title{font-family: 'Oswald', Arial, Helvetica, sans-serif;
    font-weight: 300;
    font-size: 16px;}
/* Tooltip container */
.tooltip {
	position:relative;
    display: inline-block;
    /*border-bottom: 1px dotted black;*/ /* If you want dots under the hoverable text */
}
</style>
</head>
<!-- END HEAD -->
<body class=" ">
<div id="divLoading"> 
    </div>
<!-- BEGIN BODY -->
<?php if(is_user_logged_in()): 
$login_user_details = get_userdata($current_user_ID);
?>
<!-- START TOPBAR -->
<div class='page-topbar '>
  <div class='logo-area'></div>
  <div class='quick-area'>
    <div class='pull-left'>
      <ul class="info-menu left-links list-inline list-unstyled">
        <li class="sidebar-toggle-wrap"><a href="javascript:;" data-toggle="sidebar"
		class="sidebar_toggle"> <i class="fa fa-bars"></i> </a></li>
        
        <li class=""><a href="javascript:;" data-toggle="dropdown" class="toggle list-notification tooltip" > <i
		class="fa fa-bell"></i> <span class="badge notification_count">0</span> </a>
        
          <ul class="dropdown-menu notifications animated fadeIn notification-data" >
          
          </ul>
        </li>
        <li class="hidden-sm hidden-xs searchform">
          <div class="input-group"><span class="input-group-addon input-focus"> <i
		class="fa fa-search"></i> </span>
            <form action="http://jaybabani.com/ultra-admin/search-page.html"
		method="post">
              <input type="text" class="form-control animated fadeIn"
		placeholder="Search & Enter">
              <input type='submit' value="">
            </form>
          </div>
        </li>
      </ul>
    </div>
    <div class='pull-right'>
      <ul class="info-menu right-links list-inline list-unstyled">
        <li class="profile"><a href="javascript:;" data-toggle="dropdown" class="toggle"> <img src="<?php echo $user_data->_upload_profile_image_url; ?>"
		alt="user-image" class="img-circle img-inline"> <span><?php echo $user_data->display_name;?> <i class="fa fa-angle-down"></i></span> </a>
        
       
          <ul class="dropdown-menu profile animated fadeIn">
            <li><a
			href="<?php echo home_url().'/edit-panel-user?userid='.$current_user_ID ;?>"> <i class="fa fa-user"></i> Profile  </a></li>
           <?php if($current_user_ID == 1){?>
            <li><a
			href="<?php echo home_url().'/general-settings';?>" > <i class="fa fa-user"></i> General Settings  </a></li>
             <li><a
			href="<?php echo home_url().'/email-notification';?>"> <i class="fa fa-user"></i> Email Notifications  </a></li>
           <?php } ?>
           <li><a href="<?php echo home_url().'/general-activty?id='.$current_user_ID;?>" > <i class="fa fa-user"></i> Activity </a> </li>
            <li class="last"><a href="<?php echo wp_logout_url( home_url().'/login?logout=success' ); ?>" class="logout-button " > <i class="fa fa-lock"></i> Logout  </a></li>
          </ul>
        </li>
        <li class="chat-toggle-wrapper"><a href="javascript:;" data-toggle="chatbar"
		class="toggle_chat"> <i class="fa fa-comments"></i> <span
		class="badge badge-warning">9</span> </a></li>
      </ul>
    </div>
  </div>
</div>
<!-- END TOPBAR --> 
<!-- START CONTAINER -->
<div class="page-container row-fluid"><!-- SIDEBAR - START --></div>
<div class="page-sidebar "><!-- MAIN MENU - START -->
  <div class="page-sidebar-wrapper" id="main-menu-wrapper"><!-- USER INFO - START -->
    <!-- USER INFO - END -->
    <?php 
		//wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'wraplist', 'menu_id' => 'primary' ) );
		//print_r($user_roles);
	?>
    <div class="menu-main_menu-container">  
      <ul class="wraplist" id="menu-v" style="height: auto;">
        <li class="menu-item menu-item-type-post_type menu-item-object-page menu-item-0" id="menu-item-0">  <a href="<?php echo home_url()?>/"><i class="fa fa-dashboard"></i> <span class="title">Dashboard</span></a></li>
        <?php $parentModules = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = 0 AND status = 1 ORDER BY `order_by` ASC');
		 foreach($parentModules as $parent) {
			 $iCon = 'fa-dashboard';
			$childModules = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = '.$parent->id.'  AND status = 1 ORDER BY `id` ASC'); 
			 $paramNameArray = array('SMS Interaction','Unique Users','Shortlisted Users','SMS Reports','Import Users','Free SMS Panel','Selfie Panel');
			 if(!in_array($parent->name,$paramNameArray)){
				$permaLink = 'javascript:;';
				if(count($childModules) > 0){
					$children = 'menu-item-has-children ';
				}
			 }else{
				$permaLink = home_url().'/'.$childModules[0]->permalink.'/';
				$children = '';
			 }
			$noPermission = true;
			if(count($childModules) > 0){ 
				foreach($childModules as $child) {
					if(in_array($child->id,$user_roles) || $current_user_ID == 1){
						$noPermission = false;
					}
				}
			}
		if($noPermission == false){
			if($parent->icon_name != '')
			 $iCon = $parent->icon_name;
				
		?>
		
        <li class="menu-item menu-item-type-post_type menu-item-object-custom <?php echo $children;?>current-menu-item page_item page-item-<?php echo $parent->id;?> current_page_item menu-item-<?php echo $parent->id;?>" id="menu-item-<?php echo $parent->id;?>" ><a href="<?php echo $permaLink?>" class="menu-hover-effect" data-menu_id="<?php echo $parent->id;?>" > <i class="fa <?php echo $iCon;?>"></i> <span class="title"><?php echo $parent->name;?></span> </a>
        <?php if(count($childModules) > 0 && !in_array($parent->name,$paramNameArray)){ ?>
		<ul class="sub-menu" id="sub-menu-<?php echo $parent->id;?>" style="margin-left: -10px !important;">
        <?php foreach($childModules as $child) {
		if((in_array($child->id,$user_roles) || $current_user_ID == 1) && $child->permalink != ''){
			?>
            <li class="menu-item menu-item-type-post_type menu-item-object-page menu-item-<?php echo $child->id?>" id="menu-item-<?php echo $child->id?>"><a href="<?php echo home_url()?>/<?php echo $child->permalink?>/" ><?php echo $child->name?> </a></li>
            <?php
			}
		 } ?>
          </ul>
		<?php }?>
        </li>
        
		<?php 
		}
		} ?>
     
      
      </ul>
    </div>
  </div>
  <!-- MAIN MENU - END -->
  
  <div class="project-info"><a href="http://dataslices.com/" target="_blank" class="devleoped-by"> <span>Developed by</span><img src="<?php echo home_url();?>/wp-content/themes/suno1024/assets/images/developed-by-dataslices.png"></a></div>
</div>
<?php endif;?>