<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
require get_template_directory() . '/views/blocks/common-function.php';

global $wpdb;
$emailQuickBlockContent = '';
$todayStart = strtotime(date('Y-m-d 00:00:00'));
$todayEnd = strtotime(date('Y-m-d 23:59:59'));
$currentDateTime = strtotime(date('Y-m-d H:i:s'));

$receiveEmailList = $wpdb->get_results( 'SELECT ID,user_email,display_name  FROM wp_users WHERE receive_email_noti = 1' );


$getQuickBlock = $wpdb->get_results("SELECT ih.id as quick_block_id, ih.field_program_nid,  ri.sender,  ih.field_rj_uid,ih.timestamp as block_time,ri.message, ih.interaction_id, p.program_title,u.display_name FROM  wp_interaction_history ih, wp_radio_interactions ri, wp_program p, wp_users u WHERE 1 = 1 AND ih.is_quick_block = 1 AND ri.id = ih.interaction_id AND ih.timestamp >= $todayStart AND ih.timestamp <= $todayEnd AND ih.field_program_nid = p.program_id AND ih.field_rj_uid = u.ID");

$getBlockList = $wpdb->get_results("SELECT ih.id as quick_block_id, ih.field_program_nid,  ri.sender,  ih.field_rj_uid,ih.timestamp as block_time,ri.message, ih.interaction_id, p.program_title,u.display_name FROM  wp_interaction_history ih, wp_radio_interactions ri, wp_program p, wp_users u WHERE 1 = 1 AND ri.id = ih.interaction_id AND ih.timestamp >= $todayStart AND ih.timestamp <= $todayEnd AND ih.field_program_nid = p.program_id AND ih.field_rj_uid = u.ID");

$emailQuickBlockContent .= "Below are the list of today's quick block users<br><br>";

$emailQuickBlockContent .= "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
    <html xmlns='http://www.w3.org/1999/xhtml'>
    <head>
    <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
    <title>Email Notification For Quick Block</title>
    </head>
    
    <body bgcolor='#DCEEFC'>
    <table width='100%' cellpadding='2' cellspacing='2' border='1' align='center'>
      <tr>
        <th width='5%' scope='col'>ID</th>
        <th width='11%' scope='col'>Sender</th>
        <th width='31%' align='left' scope='col'>Sender message</th>
        <th width='22%' align='left' scope='col'>Show Name</th>
        <th width='17%' align='left' scope='col'>RJ Name</th>
        <th width='14%' scope='col'>Quick Block Time</th>
        
        </tr>";
		foreach($getQuickBlock as $quickBlock){
     $emailQuickBlockContent .= "  <tr>
        <td align='center'>$quickBlock->interaction_id</td>
        <td align='center'>$quickBlock->sender</td>
        <td >$quickBlock->message</td>
       
        <td>$quickBlock->program_title</td>
        <td>$quickBlock->display_name</td>
		 <td align='center'>".date('Y-m-d H:i:s',$quickBlock->block_time)."</td>
      </tr>";
		}
   $emailQuickBlockContent .= " </table>
    
    </body>
    </html>
";

$emailBlockContent .= "Below are the list of today's winners<br><br>";

$emailBlockContent .= "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
    <html xmlns='http://www.w3.org/1999/xhtml'>
    <head>
    <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
    <title>Email Notification For Winners</title>
    </head>
    
    <body bgcolor='#DCEEFC'>
    <table width='100%' cellpadding='2' cellspacing='2' border='1' align='center'>
      <tr>
        <th width='5%' scope='col'>ID</th>
        <th width='11%' scope='col'>Sender</th>
        <th width='31%' align='left' scope='col'>Sender message</th>
        <th width='22%' align='left' scope='col'>Show Name</th>
        <th width='17%' align='left' scope='col'>RJ Name</th>
        <th width='14%' scope='col'>Quick Block Time</th>
        
        </tr>";
		foreach($getBlockList as $block){
     $emailBlockContent .= "  <tr>
        <td align='center'>$block->interaction_id</td>
        <td align='center'>$block->sender</td>
        <td >$block->message</td>
       
        <td>$block->program_title</td>
        <td>$block->display_name</td>
		 <td align='center'>".date('Y-m-d H:i:s',$block->block_time)."</td>
      </tr>";
		}
   $emailBlockContent .= " </table>
    
    </body>
    </html>
";

 $emailContent .= "<br><br> Regards, Team Suno1024";

	// Always set content-type when sending HTML email
	$headers = "MIME-Version: 1.0" . "\r\n";
	$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
	$headers .= 'From: <admin@suno1024.com>' . "\r\n";
	
foreach ($receiveEmailList as $receiver){
	$name = $receiver->display_name;
	$email = $receiver->user_email;	
	$headerBox = "Hi, $name <br/><br/>";
//Send Email for Quick Block start
	$subjectQuickBlock = "Email Notification For Quick Block";
	$quickBlockEmailContent = $headerBox.$emailQuickBlockContent.$emailContent;
	@mail($email,$subjectQuickBlock,$quickBlockEmailContent,$headers);
//Send Email for Quick Block end

//Send Email for  Block start
	$subjectBlock = "Email Notification For Winners";
	$emailBlockContent = $headerBox.$emailBlockContent.$emailContent;
	@mail($email,$subjectBlock,$emailBlockContent,$headers);
//Send Email for  Block end
	
}