<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
global $wpdb;

$sms_rows = $wpdb->get_results("SELECT i.id, i.keyword, i.message, i.sender, i.shortcode, i.timestamp, c.contest_title,cp.contest_prize_title,p.program_title,u.display_name FROM wp_radio_interactions i LEFT JOIN wp_interaction_history ih ON ih.interaction_id = i.id LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = ih.contest_prize_id LEFT JOIN wp_contest c ON c.contest_id = ih.contest_id LEFT JOIN wp_users u ON u.ID = ih.field_rj_uid LEFT JOIN wp_program p ON p.program_id = ih.field_program_nid WHERE ih.is_quick_block = 1 ORDER BY i.id DESC");


$current_user = wp_get_current_user();
			
require_once get_template_directory() . '/assets/plugins/PHPExcel/PHPExcel.php';

$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()
	->setCreator('Suno '.$current_user->display_name)
	->setLastModifiedBy('Suno '.$current_user->display_name)
	->setTitle("Suno1024 Radio Panel Quick Block List")
	->setSubject("Suno1024 Radio Panel Quick Block List")
	->setCategory("Suno1024 Radio Panel Quick Block List");
	
// Add some data
$objPHPExcel->setActiveSheetIndex(0);

$objPHPExcel->getActiveSheet()->setCellValue('A1', "Sr No.");
$objPHPExcel->getActiveSheet()->setCellValue('B1', "Number");
$objPHPExcel->getActiveSheet()->setCellValue('C1', "Message");
$objPHPExcel->getActiveSheet()->setCellValue('D1', "Program");
$objPHPExcel->getActiveSheet()->setCellValue('E1', "Rj Name");
$objPHPExcel->getActiveSheet()->setCellValue('F1', "Contest");
$objPHPExcel->getActiveSheet()->setCellValue('G1', "Added On");

if($sms_rows){
	$i	=	1;
	$iXls = 2;
	foreach($sms_rows as $sms){
		$objPHPExcel->getActiveSheet()->setCellValue('A' . $iXls, $i)
		  ->setCellValue('B' . $iXls, $sms->sender)
		  ->setCellValue('C' . $iXls, $sms->message)
		  ->setCellValue('D' . $iXls, $sms->program_title)
		  ->setCellValue('E' . $iXls, $sms->display_name)
		  ->setCellValue('F' . $iXls, $sms->contest_title)
		  ->setCellValue('G' . $iXls, date('d/m/Y h:i A',$sms->timestamp));
		
		$iXls++;
		$i++;
	}
}
$objPHPExcel->getActiveSheet()->setTitle('Quick Block List Users');
$objPHPExcel->setActiveSheetIndex(0);

$file_name = date('Y_m_d_H_i_s').'_quick_block_list.xlsx';

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$file_name.'"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

// Save Excel 2007 file
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
/*if (file_exists($upload_path.$file_name)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename='.basename($upload_path.$file_name));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($upload_path.$file_name));
    ob_clean();
    flush();
    readfile($upload_path.$file_name);
    exit;
}*/
exit;

?>