<?php
/* Template Name: Manage Roles*/
get_header(); 
if(isset($_POST['action']) && $_POST['action'] == 'add_new_role'){
	
		$data	=	array( 
			'created_date' 	=>	date('Y-m-d H:i:s'),
			'updated_date' 	=>	date('Y-m-d H:i:s'),
			'status' 	=>	1,
			'role_title' 	=>	$_POST['role_name'], 
			'role_fields' 	=>	'',  
			'created_by'	=>	get_current_user_id(),
			'updated_by'	=>	get_current_user_id()
		);
		$insert_id_flag	=	$wpdb->insert(	'wp_roles',	$data	);
		$role_id	=	$wpdb->insert_id;
		
		$updatedDetails['role_name'] = $_POST['role_name'];
		$activity_type = 'insert';
		$activity_on = 'role';
		$activity_id = $role_id;
		$activity_desc = 'Added New Role';
		currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
		
	
}
if(isset($_POST['action']) && $_POST['action'] == 'duplicate_role'){
	$role_id = $_POST['duplicate_role_id'];
	$roleDetail = $wpdb->get_row("SELECT * FROM wp_roles WHERE 1=1 AND id=$role_id");
		$data	=	array( 
			'created_date' 	=>	date('Y-m-d H:i:s'),
			'updated_date' 	=>	date('Y-m-d H:i:s'),
			'status' 	=>	1,
			'role_title' 	=>	$_POST['role_name'], 
			'role_fields' 	=>	$roleDetail->role_fields,  
			'created_by'	=>	get_current_user_id(),
			'updated_by'	=>	get_current_user_id()
		);
		$insert_id_flag	=	$wpdb->insert(	'wp_roles',	$data	);
		
		$role_id	=	$wpdb->insert_id;
		$updatedDetails['role_name'] = $_POST['role_name'];
		$activity_type = 'insert';
		$activity_on = 'role';
		$activity_id = $role_id;
		$activity_desc = 'Added New Role';
		currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	
}

	$parentRoles = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = 0  AND status = 1 ORDER BY `id` ASC');
	
	$roles = $wpdb->get_results('SELECT * FROM `wp_roles` WHERE 1=1 ORDER BY `id` ASC');
?>

<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class='col-lg-12 col-md-12 col-sm-12 col-xs-12'>
      <div class="page-title">
        <div class="pull-left">
          <h1 class="title"><?php echo get_the_title(); ?></h1>
        </div>
        <div class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </div>
        <a data-toggle="modal" href="#new-role-modal" class="btn btn-info btn-md pull-right" style="margin-bottom: 10px;" onclick="return addDuplicate(0,'new')">Create a New Role</a> </div>
    </div>
    <div class="clearfix"></div>
    <div class="col-lg-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left">Roles</h2>
        </header>
        <div class="content-body">
          <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="row"> 
                
                <!-- Accordion START -->
                <div class="col-md-12">
                  <div class="panel-group primary" id="manage-roles-accordion" role="tablist" aria-multiselectable="false">
                    <?php foreach($roles as $role) {
						$childRoleArray = explode(',',trim($role->role_fields));
						?>
                    <div class="panel panel-default">
                      <div class="panel-heading" role="tab" id="headingOne">
                        <h4 class="panel-title"> <a data-toggle="collapse" data-parent="manage-roles-accordion" href="#collapse-<?php echo $role->id?>" aria-expanded="false" aria-controls="collapseOne-2"> <i class='fa fa-dot-circle-o'></i> <?php echo stripslashes($role->role_title)?> </a> 
                          <!--div class="actions panel_actions pull-right"> <a data-toggle="modal" href="#ultraModal-7"  rel="tooltip" data-color-class="info" data-animate=" animated fadeIn " data-toggle="tooltip" data-original-title="Info tooltip" id="duplicate_collapse-1"><i title="Duplicate This Role" class="fa fa-copy duplicate-manage-role"></i></a> </div--> 
                          <span class="pull-right" style=" margin-top: -48px !important;"><b> <a data-toggle="modal" href="#new-role-modal" class="btn btn-info btn-md pull-right" onclick="return addDuplicate('<?php echo $role->id?>','duplicate')"><i title="Duplicate This Role" class="fa fa-copy duplicate-manage-role"></i></a></b></span> </h4>
                      </div>
                      <div id="collapse-<?php echo  $role->id?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne" aria-expanded="false">
                        <div class="panel-body">
                          <div class="row">
                            <?php foreach($parentRoles as $parent) {?>
                            <div class="col-md-4">
                              <h4><strong><?php echo $parent->name;?></strong></h4>
                              <?php 
							  $childRoles = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = '.$parent->id.' AND status = 1 ORDER BY `id` ASC');
							  ?>
                              <ul class="list-unstyled list-box">
                                <?php foreach($childRoles as $child) {?>
                                <li>
                                  <input tabindex="1" data-role_id="<?php echo $role->id?>" type="checkbox" id="add_role<?php echo $child->id?>" name="roles[]" value="<?php echo $child->id?>" <?php  if(in_array($child->id,$childRoleArray)){ echo 'checked="checked"';}?> class="thin-checkbox click-role-box">
                                  <label class="thin-check-label form-label"><?php echo $child->name?></label>
                                </li>
                                <?php } ?>
                              </ul>
                            </div>
                            <?php } ?>
                          </div>
                        </div>
                      </div>
                    </div>
                    <?php } ?>
                  </div>
                </div>
                <!-- Accordion END --> 
                
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    <!-- End .row --> 
    
  </section>
</section>
<!-- modal start -->
<div class="modal fade" id="new-role-modal"  tabindex="-1" role="dialog" aria-labelledby="ultraModal-Label" aria-hidden="true">
  <div class="modal-dialog">
    <form action="" method="post" id="add_new_role_form">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
          <h4 class="modal-title">Create a New Role</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <label for="role_name_input" class="control-label">Role Name</label>
                <input type="text" class="form-control" name="role_name"  id="role_name" required="required" placeholder="Ex: Staff">
                <input type="hidden" name="action" id="action"  value="add_new_role" />
                <input type="hidden" name="role_details" value="0" />
                <input type="hidden" name="duplicate_role_id" id="duplicate_role_id" value="0" />
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-info create-role-btn" >Create Role</button>
          <button type="button" class="btn btn-info" data-dismiss="modal">Close</button>
        </div>
      </div>
    </form>
  </div>
</div>
<!-- modal end -->

<?php

get_footer(); 

?>
<script>
$(document).ready(function(){
	$('#add_new_role_form').validate();
	$( ".click-role-box" ).click(function() {
		if($( this ).prop( "checked" )){
			var checked_status = 1;
		}else{
			checked_status = 0;
		}
		var id = $( this ).val();
		var role = $( this ).data('role_id');
		var delete_ajax_url	=	get_template_directory_uri()+'/includes/update-role.php';
		$.ajax({
			  method: "POST",
			  url: delete_ajax_url,
			  data: {id: id, role : role, status : checked_status }
		})
		.done(function( data ) {
			 if(data){
			//	alert(data);
			}
		});
		return true;
	});
});
function addDuplicate(roleId,type){
	
	if(type == 'duplicate'){
		$(".modal-title").html('Duplicate This Role');
		$("#duplicate_role_id").val(roleId);
		$("#action").val('duplicate_role');
	}else{
		$(".modal-title").html('Add New Role');
		$("#duplicate_role_id").val(0);
		$("#action").val('add_new_role');
	
	}
	return true;
}


</script> 