<?php
Class DS_Program_Controller{
	function __construct( ){
		
	}
	
	public function save_program(){
		// Create post object
		if(isset($_REQUEST['program_id'])){
			$program_id	=	$_REQUEST['program_id'];
		}else{
			$program_id	=	false;
		}
		$program_title				=	$_REQUEST['program_title'];
		$program_description		=	$_REQUEST['program_description'];
		$program_genre				=	$_REQUEST['program_genre'];
		$program_time_span			=	$_REQUEST['program_time_span'];
		$program_start_time			=	$_REQUEST['program_start_time'];
		$program_end_time			=	$_REQUEST['program_end_time'];
		$program_start_date			=	$_REQUEST['program_start_date'];
		$program_end_date			=	$_REQUEST['program_end_date'];
		$program_program_days_id	=	$_REQUEST['program_days'];
		$program_program_rjs		=	$_REQUEST['program_rjs'];
		
		
		$program_setget	=	new DS_Program_SetGet();
		if($program_start_date){
			$program_start_date	=	ds_format_only_date($program_start_date);			
		}
		if($program_end_date){
			$program_end_date	=	ds_format_only_date($program_end_date);			
		}
		if($program_start_time){
			$program_start_time	=	date('H:i:s',strtotime($program_start_time));
			if($program_start_time == '00:00:00')
				$program_start_time = '23:59:59';	
		}
		if($program_end_time){
			
			$program_end_time	=	date('H:i:s',strtotime($program_end_time));
			if($program_end_time == '00:00:00')
				$program_end_time = '23:59:59';
		
		}
		if($program_program_days_id){
			$program_program_days_id	=	json_encode($program_program_days_id);			
		}
		if($program_program_rjs){
			$program_program_rjs		=	json_encode($program_program_rjs);			
		}
		
		$program_setget->setProgram_id($program_id);
		$program_setget->setProgram_title($program_title);
		$program_setget->setProgram_time_span($program_time_span);
		$program_setget->setProgram_description($program_description);
		$program_setget->setProgram_genre($program_genre);
		$program_setget->setProgram_start_time($program_start_time);
		$program_setget->setProgram_end_time($program_end_time);
		$program_setget->setProgram_start_date($program_start_date);
		$program_setget->setProgram_end_date($program_end_date);
		$program_setget->setProgram_program_days_id($program_program_days_id);
		$program_setget->setProgram_program_rjs($program_program_rjs);
		
		
		
		
		$program_model	=	new DS_Program_Model();
		return $program_model->save_program($program_setget);
	}
	public function get_programs($active=0){
			
		global $wpdb;
		$program_list_arr	=	array();
		$table	=	$wpdb->prefix.'program';
		$where = '';
		if($active == 1){
			$where = 'AND program_active=1';
		}
		$program_list = $wpdb->get_results( 
			"SELECT
			
			program_id, program_title, program_genre, program_description, 
			program_time_span, program_start_time, program_end_time, program_start_date, 
			program_end_date, program_program_days_id, program_program_rjs,program_active
			FROM $table
			WHERE program_status = 1 $where ORDER BY program_start_time"	);
		if($program_list){
			foreach ($program_list as $program){
			
				
				$program_id					=	$program->program_id;
				$program_title				=	$program->program_title;
				$program_genre				=	$program->program_genre;
				$program_description		=	$program->program_description;
				$program_time_span			=	$program->program_time_span;
				$program_start_time			=	$program->program_start_time;
				$program_end_time			=	$program->program_end_time;
				$program_start_date			=	$program->program_start_date;
				$program_end_date			=	$program->program_end_date;
				$program_program_days_id	=	$program->program_program_days_id;
				$program_program_rjs		=	$program->program_program_rjs;
				
				$program_setget	=	new DS_Program_SetGet();
				$program_setget->setProgram_id($program_id);
				$program_setget->setProgram_title($program_title);
				$program_setget->setProgram_description($program_description);
				$program_setget->setProgram_genre($program_genre);
				$program_setget->setProgram_time_span($program_time_span);
				$program_setget->setProgram_start_time($program_start_time);
				$program_setget->setProgram_end_time($program_end_time);
				$program_setget->setProgram_start_date($program_start_date);
				$program_setget->setProgram_end_date($program_end_date);
				$program_setget->setProgram_program_days_id($program_program_days_id);
				$program_setget->setProgram_program_rjs($program_program_rjs);
				$program_setget->setProgram_active($program->program_active);
				
				$program_list_arr[]	=	$program_setget;
			}
		}
		return $program_list_arr;
		
	}
	
	
	public function get_program_details_by_id(DS_Program_SetGet $program_setget){
		$program_id	=	$program_setget->getProgram_id();
		
		if($program_id){
	
			global $wpdb;
			$program_list_arr	=	array();
			$table	=	$wpdb->prefix.'program';
			
			$program = $wpdb->get_row( 
				"SELECT
				
				program_id, program_title, program_genre, program_description, 
				program_time_span, program_start_time, program_end_time, program_start_date, 
				program_end_date, program_program_days_id, program_program_rjs,program_active
				
				FROM $table
				WHERE program_id	=	'$program_id' and program_status = 1"	);
			if($program){
				
					$program_id						=	$program->program_id;
					$program_title					=	$program->program_title;
					$program_end_date				=	$program->program_end_date;
					$program_start_date				=	$program->program_start_date;
					
					$program_id					=	$program->program_id;
					$program_title				=	$program->program_title;
					$program_genre				=	$program->program_genre;
					$program_description		=	$program->program_description;
					$program_time_span			=	$program->program_time_span;
					$program_start_time			=	$program->program_start_time;
					$program_end_time			=	$program->program_end_time;
					$program_start_date			=	$program->program_start_date;
					$program_end_date			=	$program->program_end_date;
					$program_program_days_id	=	stripslashes($program->program_program_days_id);
					$program_program_rjs		=	stripslashes($program->program_program_rjs);
					
					$program_setget				=	new DS_Program_SetGet();
					$program_id					=	$program_setget->setProgram_id($program_id);
					$program_title				=	$program_setget->setProgram_title($program_title);
					$program_description		=	$program_setget->setProgram_description($program_description);
					$program_genre				=	$program_setget->setProgram_genre($program_genre);
					$program_time_span			=	$program_setget->setProgram_time_span($program_time_span);
					$program_start_time			=	$program_setget->setProgram_start_time($program_start_time);
					$program_end_time			=	$program_setget->setProgram_end_time($program_end_time);
					$program_start_date			=	$program_setget->setProgram_start_date($program_start_date);
					$program_end_date			=	$program_setget->setProgram_end_date($program_end_date);
					$program_program_days_id	=	$program_setget->setProgram_program_days_id($program_program_days_id);
					$program_program_rjs		=	$program_setget->setProgram_program_rjs($program_program_rjs);
					$program_setget->setProgram_active($program->program_active);
					
				return $program_setget;
			}else{
				return false;
			}
			
		}else{
			return false;
		}
	}
	public function delete($program_id){
		$program_model	=	new DS_Program_Model();
		$program_obj	=	new DS_Program_SetGet();
		$program_obj->setProgram_id($program_id);
		
		$program_details	=	$program_model->delete($program_obj);
		
		
		return $program_details;
	
	}
	public function getProgramDetailById($id){
		global $wpdb;
		$table	=	$wpdb->prefix.'program';
		$program = $wpdb->get_row( 
				"SELECT
				
				program_id, program_title, program_genre, program_description, 
				program_time_span, program_start_time, program_end_time, program_start_date, 
				program_end_date, program_program_days_id, program_program_rjs,program_active
				
				FROM $table
				WHERE program_id	=	'$id' and program_status = 1"	);
		return $program;
	}
}