<?php
define('WP_USE_THEMES', false);

require_once('wp-path.php');
require get_template_directory() . '/views/blocks/common-function.php';

global $wpdb;
// Auto Poll Closed

$polls = $wpdb->get_results( 'SELECT * FROM wp_poll' );
$currentTime = date('Y-m-d');

foreach($polls as $poll){
	$wpdb->query("UPDATE wp_poll SET poll_active = 1 WHERE poll_id = ".$poll->poll_id);
	if($poll->poll_start_date != '0000-00-00' && $poll->poll_end_date != '0000-00-00'){
		
		if($currentTime > $poll->poll_end_date || $currentTime < $poll->poll_start_date){
			//echo "UPDATE wp_poll SET poll_active = 0 WHERE poll_id = ".$poll->poll_id;
			$quizDetail = $wpdb->get_row("SELECT poll_keyword FROM wp_poll WHERE poll_id = ".$poll->poll_id);
			$wpdb->query("UPDATE wp_keyword SET connected_type = '', connected_id = 0 WHERE keyword_id = ".$quizDetail->poll_keyword);
			$wpdb->query("UPDATE wp_poll SET poll_active = 0 WHERE poll_id = ".$poll->poll_id);
		}
	}
}
$currentDateTime = date('Y-m-d H:i:s');

// Auto Contest Closed
$contests = $wpdb->get_results( 'SELECT * FROM wp_contest' );

foreach($contests as $contest){
	$wpdb->query("UPDATE wp_contest SET contest_active = 1 WHERE contest_id = ".$contest->contest_id);
	if($contest->contest_start_date != '0000-00-00' && $contest->contest_end_date != '0000-00-00'){
		
		if($currentDateTime > $contest->contest_end_date || $currentDateTime < $contest->contest_start_date){
			//echo "UPDATE wp_poll SET poll_active = 0 WHERE poll_id = ".$poll->poll_id;
			$quizDetail = $wpdb->get_row("SELECT contest_keyword FROM wp_contest WHERE contest_id = ".$contest->contest_id);
			$wpdb->query("UPDATE wp_keyword SET connected_type = '', connected_id = 0 WHERE keyword_id = ".$quizDetail->contest_keyword);
			$wpdb->query("UPDATE wp_contest SET contest_active = 0 WHERE contest_id = ".$contest->contest_id);
		}
	}
}

$contests = $wpdb->get_results( 'SELECT * FROM wp_on_air_contest' );

foreach($contests as $contest){
	$wpdb->query("UPDATE wp_on_air_contest SET contest_active = 1 WHERE contest_id = ".$contest->contest_id);
	if($contest->contest_start_date != '0000-00-00 00:00:00' && $contest->contest_end_date != '0000-00-00 00:00:00'){
		
		if($currentDateTime > $contest->contest_end_date || $currentDateTime < $contest->contest_start_date){
			//echo "UPDATE wp_poll SET poll_active = 0 WHERE poll_id = ".$poll->poll_id;
			$quizDetail = $wpdb->get_row("SELECT contest_keyword FROM wp_contest WHERE contest_id = ".$contest->contest_id);
			$wpdb->query("UPDATE wp_keyword SET connected_type = '', connected_id = 0 WHERE keyword_id = ".$quizDetail->contest_keyword);
			$wpdb->query("UPDATE wp_on_air_contest SET contest_active = 0 WHERE contest_id = ".$contest->contest_id);
		}
	}
}


// Auto Quiz Closed
$quizList = $wpdb->get_results( 'SELECT * FROM wp_quiz' );

foreach($quizList as $quiz)
{
	$wpdb->query("UPDATE wp_quiz SET quiz_active = 1 WHERE quiz_id = ".$quiz->quiz_id);
	if($quiz->quiz_start_date != '0000-00-00' && $quiz->quiz_end_date != '0000-00-00'){
		
		if($currentTime > $quiz->quiz_end_date || $currentTime < $quiz->quiz_start_date){
			//echo "UPDATE wp_poll SET poll_active = 0 WHERE poll_id = ".$poll->poll_id;
			$quizDetail = $wpdb->get_row("SELECT quiz_keyword FROM wp_quiz WHERE quiz_id = ".$quiz->quiz_id);
			$wpdb->query("UPDATE wp_keyword SET connected_type = '', connected_id = 0 WHERE keyword_id = ".$quizDetail->quiz_keyword);
			$wpdb->query("UPDATE wp_quiz SET quiz_active = 0 WHERE quiz_id = ".$quiz->quiz_id);
			
			
		}
	}
}
$allCampaignQ = "SELECT * FROM wp_campaign WHERE is_compelete = 0 AND status = 1 AND is_force_stop = 0";
$allCampaign = $wpdb->get_results( $allCampaignQ );

if(count($allCampaign) > 0){
	foreach($allCampaign as $campaign){
		
		$totalRec = $wpdb->get_results( "SELECT * FROM wp_campaign_queue WHERE campaign_id = ".$campaign->id." AND is_send = 0 AND status = 1 ORDER BY id ASC LIMIT 0,50" );
		if(count($totalRec) > 0){
			
			foreach($totalRec as $total){
				$status = 'Failed';
				$status = sendRadioPanelSMS($campaign->campaign_text,$total->number,'SUNO1024',0,'cron');
				if($status != 'Failed' && $status != 'SMS limit exceeded'){
					$dataUpd	=	array('is_send' =>	1);
					$where		=	array('id'=>$total->id);
					$wpdb->update( 'wp_campaign_queue',  $dataUpd , $where);
				}else{
					if($status == 'SMS limit exceeded')
					{
						echo 'SMS LIMIT';
					}else
						echo 'ERROR';
				}
				
			}
		}else{
			$dataUpdCamp	=	array('is_compelete' =>	1);
			$where		=	array('id'=>$campaign->id);
			$wpdb->update( 'wp_campaign',  $dataUpdCamp , $where);
		}
	
	}
}