<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
global $wpdb;
$user_num = $_REQUEST['user_num'];

$user_history_list = $wpdb->get_results("SELECT h.*,c.contest_title,cp.contest_prize_title,p.program_title,u.display_name FROM wp_interaction_history h LEFT JOIN wp_contest c ON c.contest_id = h.contest_id LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id LEFT JOIN wp_users u ON u.ID = h.field_rj_uid LEFT JOIN wp_program p ON p.program_id = h.field_program_nid WHERE h.field_mobile_no_value = '+$user_num' ORDER BY h.id DESC");

$current_user = wp_get_current_user();
//print_r($current_user_contests);
			
require_once get_template_directory() . '/assets/plugins/PHPExcel/PHPExcel.php';

$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()
	->setCreator('Suno '.$current_user->display_name)
	->setLastModifiedBy('Suno '.$current_user->display_name)
	->setTitle("Pearl FM Radio Panel SMS Interaction")
	->setSubject("Pearl FM Radio Panel SMS Interaction")
	->setCategory("Pearl FM Radio Panel SMS Interaction");
	
// Add some data
$objPHPExcel->setActiveSheetIndex(0);

$objPHPExcel->getActiveSheet()->setCellValue('A1', "Name");
$objPHPExcel->getActiveSheet()->setCellValue('B1', "Number");
$objPHPExcel->getActiveSheet()->setCellValue('C1', "Gender");
$objPHPExcel->getActiveSheet()->setCellValue('D1', "Email");
$objPHPExcel->getActiveSheet()->setCellValue('E1', "Program");
$objPHPExcel->getActiveSheet()->setCellValue('F1', "RJ");
$objPHPExcel->getActiveSheet()->setCellValue('G1', "Contest");
$objPHPExcel->getActiveSheet()->setCellValue('H1', "Contest Prize");
$objPHPExcel->getActiveSheet()->setCellValue('I1', "Winning Date");

if($user_history_list){
	$i	=	1;
	$iXls = 2;
	foreach($user_history_list as $user_history){
		$objPHPExcel->getActiveSheet()->setCellValue('A' . $iXls, $user_history->field_name_value)
		  ->setCellValue('B' . $iXls, $user_history->field_mobile_no_value)
		  ->setCellValue('C' . $iXls, $user_history->field_gender_value)
		  ->setCellValue('D' . $iXls, $user_history->field_history_email_value )
		  ->setCellValue('E' . $iXls, $user_history->program_title)
		  ->setCellValue('F' . $iXls, $user_history->display_name)
		   ->setCellValue('G' . $iXls, $user_history->contest_title)
		    ->setCellValue('H' . $iXls, $user_history->contest_prize_title)
			 ->setCellValue('I' . $iXls, date('d/m/Y h:i A',$user_history->field_win_date_value));
		
		$iXls++;
		$i++;
	}
}
$objPHPExcel->getActiveSheet()->setTitle('User History');
$objPHPExcel->setActiveSheetIndex(0);

$file_name = date('Y_m_d_H_i_s').'_user_history.xlsx';

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$file_name.'"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

// Save Excel 2007 file
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
/*if (file_exists($upload_path.$file_name)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename='.basename($upload_path.$file_name));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($upload_path.$file_name));
    ob_clean();
    flush();
    readfile($upload_path.$file_name);
    exit;
}*/
exit;

?>