<?php

function ds_save_notification(){
	if(isset($_REQUEST['notification_id'])){
		$notification_id	=	$_REQUEST['notification_id'];
	}else{
		$notification_id	=	false;
	}
	$notification_title					=	$_REQUEST['notification_title'];
	$notification_description			=	$_REQUEST['notification_description'];
	$notification_status				=	$_REQUEST['notification_status'];
	
	$notification_time				=	$_REQUEST['notification_time'];
	$notification_date				=	$_REQUEST['notification_date'];
	
	
	
	$notification_details = array(
		'post_title'    => $notification_title,
		'post_content'  => $notification_description,
		'post_type'		=> 'notification_post',
		'post_status'	=>	$notification_status,
		'post_author'   => get_current_user_id(),
	);
	
	// Insert the post into the database
	if($notification_id){
		$notification_details['ID']	=	$notification_id;
		$notification_id	=	wp_update_post( $notification_details );
	}else{
		$notification_id	=	wp_insert_post( $notification_details );
	}
	if($notification_id){
	
		update_post_meta( $notification_id, '_notification_time'	, $notification_time);
		update_post_meta( $notification_id, '_notification_date'		, $notification_date);
		
	}
	return $notification_id;
}
function ds_get_notifications(){
	
	$args = array(
	 	'posts_per_page'   => 20,
		'offset'           => 0,
		'category'         => '',
		'category_name'    => '',
		'orderby'          => 'date',
		'order'            => 'DESC',
		'include'          => '',
		'exclude'          => '',
		'meta_key'         => '',
		'meta_value'       => '',
		'post_type'        => 'notification_post',
		'post_mime_type'   => '',
		'post_parent'      => '',
		'author'	   => '',
		'post_status'      => 'publish,draft',
		'suppress_filters' => true 
	);
	$notifications_array = get_posts( $args ); 
	if($notifications_array) return $notifications_array; else return false;
}
function ds_get_notification_details_by_id($notification_id){
	if($notification_details	=	get_post($notification_id)){
		
		$notification_details->notification_time		=	get_post_meta($notification_id, '_notification_time', 	true );
		$notification_details->notification_date		=	get_post_meta($notification_id, '_notification_date', 	true );
		
		return $notification_details;
	}else{
		return false;
	}
}