<?php
/* Template Name: Add On Help Text */
get_header(); 

if(isset($_POST['help_submit'])){
	
	$help_controller	=	new DS_Help_Controller();
	$new_help_id		=	$help_controller->save_help();
	$activity_type = 'insert';
	$activity_on = 'help';
	$activity_id = $new_help_id;
	$activity_desc = 'Added New Help Text';
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'');
	header('location: ' . home_url().'/view-help');
	exit;

}
$keyword_controller	=	new DS_Keyword_Controller();
$keyword_list		=	$keyword_controller->get_keywords('help');

?>
</style>
		   <section id="main-content" class=" ">
                <section class="wrapper">
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                         <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                               
                            </header>
                            <div class="content-body">
                            	<?php 
						      	if(isset($new_help_id) && $new_help_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Added!!.</div>';
								}else if(isset($new_help_id) && $new_help_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
                                <div class="row">
                                	<form action="#" method="post" id="help_form">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-10">
                                                <label class="form-label" for="help_title">Title *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input type="text" class="form-control help_title" id="help_title" name="help_title">
                                                </div>
                                            </div>
											
											<div class="form-group col-md-10">
                                                <label class="desc"></label>
                                                <div class="form-label" for="help_description">Description *</label>
                                                <span class="controls"></span>
                                                
                                                    <textarea id="help_description" name="help_description" class="help_description" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
                                                    
                                                </div>
                                            </div>
                                            <div class="form-group col-md-10">
                                                <label class="desc">
                                                <div class="form-label" for="help_description">Module Page For Help *</label>
                                                <span class="controls"></span>
                                                
                                                    <select class="form-control" name="module_id" id="module_id">
														<option value="">None</option>
														
                                                        <?php
															$parentModules = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = 0 AND status = 1 ORDER BY `id` ASC');
															foreach($parentModules as $parent) {
																$childModules = $wpdb->get_results('SELECT * FROM `wp_module` WHERE parent_id = '.$parent->id.'  AND status = 1 AND permalink != "" ORDER BY `id` ASC'); 
																echo "<optgroup  label='".stripslashes($parent->name)."'>";
																foreach($childModules as $child) {
																	echo "<option value='".$child->id."'>".stripslashes($child->name)."</option>";
																}
																echo "</optgroup>";
															}
														?>
													</select>
                                                </div>
                                            </div>
                                            
                                            <div class="form-group col-md-10 ">
													
												
												<div class="row">
													<div class="form-group col-md-4">
														<label class="form-label" for="formfield1">Contest Status:</label>
														<ul class="list-unstyled">
															<li>
																<input tabindex="5" type="radio" id="help_status-1" name="help_status" class="skin-flat-blue" value="1" checked>
																<label class="iradio-label form-label" for="help_status-1">Active</label>
															</li>
															<li>
																<input tabindex="5" type="radio" id="help_status-0"  name="help_status" value="0" class="skin-flat-blue">
																<label class="iradio-label form-label" for="help_status-0">Closed</label>
															</li>
														</ul>
													</div>
												</div>
												
														
													
													
												</div>
											
																				
											<div class="form-group col-md-8">
												<input type="submit" name="help_submit" class="btn btn-info btn-lg" value="Save"/>
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->

<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/help-help-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
