<?php
/* Template Name: Add Poll */
get_header(); 

if(isset($_POST['poll_submit'])){
	
	$poll_controller	=	new DS_Poll_Controller();
	$new_poll_id		=	$poll_controller->save_poll();
	$updateQuiz = $wpdb->query("UPDATE wp_keyword SET connected_type = 'poll', connected_id = $new_poll_id WHERE keyword_id = ".$_POST['poll_keyword']);

$activity_type = 'insert';
	$activity_on = 'poll';
	$activity_id = $new_poll_id;
	$activity_desc = 'Added New Poll';
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'');
		
	header('location: ' . home_url().'/view-polls');
	exit;
	
}
$keyword_controller	=	new DS_Keyword_Controller();
$keyword_list		=	$keyword_controller->get_keywords('poll');

?>
</style>
		   <section id="main-content" class=" ">
                <section class="wrapper">

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                         <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                               
                            </header>
                            <div class="content-body">
                            	<?php 
						      	if(isset($new_poll_id) && $new_poll_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Added!!.</div>';
								}else if(isset($new_poll_id) && $new_poll_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
                                <div class="row">
                                	<form action="#" method="post" id="poll_form">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-10">
                                                <label class="form-label" for="poll_title">Question *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input type="text" class="form-control poll_title" id="poll_title" name="poll_title">
                                                </div>
                                            </div>
											
											
                                            <div class="form-group col-md-10 ">
												<div class="row">
													<div class="col-md-8"><b>Choice</b></div>
													<div class="col-md-4"><b>Vote count</b></div>
												</div>	
												<div class="clearfix"></div>
												<div class="choice-row-clone hide">
													<div class="alert alert-default alert-dismissible fade in choice-row padding10">
														<div class="row">
															<div class="col-md-8"><input type="text" class="form-control poll_choice_title" id="" name=""></div>
															<div class="col-md-3"><input type="text" class="form-control poll_choice_vote_count" id="" name=""></div>
															<div class="col-md-1"><i class="fa fa-remove delete-choice-btn"></i></div>
														</div>
													</div>
												</div>
												<div class="choice-rows-list">
													<input type="hidden" name="poll_choice_json" class="poll_choice_json" id="poll_choice_json" />
												</div>
												<div class="row-fluid">
													<button type="button" class="btn btn-success btn-icon btn-sm pull-right top15 add-choice-btn">
														<div class="col-md-12"><i class="fa fa-plus "></i> &nbsp; <span>Add Choice</span></div>
													</button>
												</div>
												<div class="row">
													<div class="form-group col-md-4">
														<label class="form-label" for="formfield1">Poll Status:</label>
														<ul class="list-unstyled">
															<li>
																<input tabindex="5" type="radio" id="poll_active-1" name="poll_active" class="skin-flat-blue" value="1" checked>
																<label class="iradio-label form-label" for="poll_active-1">Active</label>
															</li>
															<li>
																<input tabindex="5" type="radio" id="poll_active-0"  name="poll_active" value="0" class="skin-flat-blue">
																<label class="iradio-label form-label" for="poll_active-0">Closed</label>
															</li>
														</ul>
													</div>
												</div>
												<div class="row">
														<div class="form-group col-md-12 ">
															<b>Poll duration</b>
														</div>
														
														<div class="form-group col-md-3 ">
															<label class="form-label" for="poll_start_date">From: </label>
															<span class="desc"></span>
															<div class="controls">
																 <div class='input-group date poll_start_date' id=''>
																	<input type='text' class="form-control" id="poll_start_date" name="poll_start_date"  />
																	<span class="input-group-addon">
																		 <span class="glyphicon glyphicon-calendar"></span>
																	</span>
																</div>
															</div>
														</div>
														<div class="form-group col-md-3 ">
															<label class="form-label" for="poll_end_date">To: </label>
															<span class="desc"></span>
															<div class="controls">
																 <div class='input-group date poll_end_date' id=''>
																	<input type='text' class="form-control" id="poll_end_date" name="poll_end_date" />
																	<span class="input-group-addon">
																		 <span class="glyphicon glyphicon-calendar"></span>
																	</span>
																</div>
															</div>
														</div>
														<div class="form-group col-md-3 ">
															<label class="form-label" for="formfield1">Or Select: </label>
															<span class="desc"></span>
															<div class="controls">
																 <select name="search_option" class="form-control input-md" >
																	<option value="0" selected="selected">Unlimited</option>
																	<option value="86400">1 day</option>
																	<option value="172800">2 days</option>
																	<option value="345600">4 days</option>
																	<option value="604800">1 week</option>
																	<option value="1209600">2 weeks</option>
																	<option value="2419200">4 weeks</option>
																	<option value="4838400">8 weeks</option>
																	<option value="9676800">16 weeks</option>
																	<option value="31536000">1 year</option>
																 </select>
															</div>
														</div>
													</div>
													<div class="row">
														<div class="form-group col-md-10">
															<label class="form-label" for="poll_keyword">Keyword *</label>
															<span class="desc"></span>
															<div class="controls">
																<select class="form-control poll_keyword" id="poll_keyword" name="poll_keyword">
																	<option value="">Select Keyword</option>
																	<?php 
																		if($keyword_list)
																		foreach ($keyword_list as $keyword){
																			$keyword instanceof  DS_Keyword_SetGet;
																			echo '<option value="'.$keyword->getKeyword_id().'">'.$keyword->getKeyword_title().'</option>';
																		}
																	?>
																</select>
															</div>
														</div>
													</div>	
													
													<div class="row">
														<div class="form-group col-md-12">
															<label class="form-label" for="poll_response">Response:</label>
															<span class="desc">e.g. "To Generate MIXID Type [MIXID] and for Numberic Type [NUMID]"</span>
															<div class="controls">
																<textarea id="poll_response" name="poll_response" class="poll_response" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
															</div>
														</div>
													</div>
												</div>
											
																				
											<div class="form-group col-md-8">
												<input type="submit" name="poll_submit" class="btn btn-info btn-lg" value="Save"/>
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->

<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/poll-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
