<?php
/* Template Name: Add Program */
get_header(); 



if(isset($_POST['submit'])){
	$program_cls	=	new DS_Program_Controller();
	$new_program_id		=	$program_cls->save_program();	
	
	$activity_type = 'insert';
	$activity_on = 'program';
	$activity_id = $new_program_id;
	$activity_desc = 'Added New Program';
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'');
	header('location: ' . home_url().'/view-programs');
	exit;
}
$user_roles = currentUserRoleIds();
if(!in_array(8,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}
$user_controller	=	new DS_User_Controller();
$user_list	=	$user_controller->get_panel_users();
?>

 <section id="main-content" class=" ">
                <section class="wrapper" >

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                        <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left">Create Program</h2>
                               <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                            </header>
                            <div class="content-body">
                            <?php 
					      	if(isset($new_program_id) && $new_program_id == true){
								echo '<div class="alert alert-success alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Success:</strong> Added!!.</div>';
							}else if(isset($new_program_id) && $new_program_id == false){
								echo '<div class="alert alert-danger alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Error:</strong> Please try again!.</div>';
							}
					      	?>
                                <div class="row">
                                	<form id="add_program_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-8">
                                                <label class="form-label" for="program_title">Program *</label>
                                                <span class="desc">e.g. "New Program Name"</span>
                                                <div class="controls">
                                                    <input type="text" class="form-control" id="program_title" name="program_title">
                                                </div>
                                            </div>
											
											<div class="clearfix"></div>
                                            <div class="form-group col-md-8">
                                                <label class="form-label" for="program_genre">Genre: *</label>
                                                <span class="desc">e.g. "A free-form description of the musical genre"</span>
                                                <div class="controls">
                                                    <input type="text" class="form-control" id="program_genre" name="program_genre">
                                                </div>
                                            </div>
											
                                            
											<div class="clearfix"></div>
											
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_time_span">Time Span: *</label>
                                                <span class="desc">in Mins</span>
                                                <div class="controls">
													 <input type="text" class="form-control" id="program_time_span" name="program_time_span"> 
                                                </div>
                                            </div>
											
											
											<div class="clearfix"></div>
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_start_time">Program Start Time: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group program_start_time' id=''>
														<input type='text' class="form-control" id="program_start_time" name="program_start_time" />
														<span class="input-group-addon">
															<span class="glyphicon glyphicon-time"></span>
														</span>
													</div>
													<div class="errorTxt"></div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_end_time">Program End Time: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group program_end_time' id=''>
														<input type='text' class="form-control"  id="program_end_time" name="program_end_time"/>
														<span class="input-group-addon">
															<span class="glyphicon glyphicon-time"></span>
														</span>
													</div>
                                                </div>
                                            </div>
										
											
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_start_date">Program Start Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date program_start_date' id=''>
														<input type='text' class="form-control"  id="program_start_date" name="program_start_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_end_date">Program End Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date program_end_date' id=''>
														<input type='text' class="form-control" id="program_end_date" name="program_end_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
                                           <div class="clearfix"></div>
											<div class="">
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="sun" id="program_day_sun" name="program_days[]" class="">
													<label class="form-label" for="program_day_sun">Sunday</label>
												</div>	
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="mon" id="program_day_mon" name="program_days[]" class="">
													<label class="form-label" for="program_day_mon">Monday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="tue" id="program_day_tue" name="program_days[]" class="">
													<label class="form-label" for="program_day_tue">Tuesday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="wed" id="program_day_wed" name="program_days[]" class="">
													<label class="form-label" for="program_day_wed">Wednesday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="thu" id="program_day_thu" name="program_days[]" class="">
													<label class="form-label" for="program_day_thu">Thrusday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="fri" id="program_day_fri" name="program_days[]" class="">
													<label class="form-label" for="program_day_fri">Friday</label>
												</div>	
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="sat" id="program_day_sat" name="program_days[]" class="">
													<label class="form-label" for="program_day_sat">Saturday</label>
												</div>	
											
											</div>
											<div class="clearfix margin10"></div>
											<div class="form-group col-md-12">
												<label class="form-label" for="program_description">Description *</label>
												<span class="desc">e.g. "Enter any size of text description here"</span>
												<div class="controls">
													<textarea class="bootstrap-wysihtml5-textarea" id="program_description" name="program_description" placeholder="Enter text ..." style="width: 100%; height: 250px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
												</div>
											</div>
											<div class="form-group col-md-8">
                                                <label class="form-label" for="program_rjs">RJ's *</label>
												<span class="desc"></span>
                                                <div class="controls">
                                                	<select class="" id="program_rjs" name="program_rjs[]" multiple>
													<?php 
														if($user_list)
														foreach ($user_list->results as $user){
															echo '<option value="'.$user->ID.'">'.$user->display_name.'</option>';
														}
													?>
													</select>
                                                </div>
                                            </div>											
											<div class="form-group col-md-8">
												<input type="submit" name="submit"	class="btn btn-info btn-lg" value="Save" />
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->
             



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/program-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 

