<?php 
/* Template Name: User History List */
get_header(); 
global  $wpdb;
$keyword_controller	=	new DS_Keyword_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$searchQuery = 'WHERE 1=1 ';

//SELECT h.*,c.contest_title,cp.contest_prize_title,p.program_title,u.display_name FROM wp_interaction_history h LEFT JOIN wp_contest c ON c.contest_id = h.contest_id LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id LEFT JOIN wp_users u ON u.ID = h.field_rj_uid LEFT JOIN wp_program p ON p.program_id = h.field_program_nid $searchQuery AND h.field_mobile_no_value = '+$user_num' ORDER BY h.id DESC

if(isset($_POST['search_history']) && $_POST['search_history'] == 'search'){
	if(isset($_REQUEST['search_option']) && $_REQUEST['search_option'] == 'name-filter' && $_REQUEST['search_text'] != ''){
		$searchQuery .= "AND h.field_name_value LIKE '%".$_REQUEST['search_text']."%'";
	}else if(isset($_REQUEST['search_option']) && $_REQUEST['search_option'] == 'male-filter'){
		$searchQuery .= "AND h.field_gender_value = 'Male'";
		if( $_REQUEST['search_text'] != ''){
			$searchQuery .= "AND h.field_name_value LIKE '%".$_REQUEST['search_text']."%'";
		}
		
	}else if(isset($_REQUEST['search_option']) && $_REQUEST['search_option'] == 'female-filter'){
		$searchQuery .= "AND field_gender_value = 'Female'";
		if( $_REQUEST['search_text'] != ''){
			$searchQuery .= "AND h.field_name_value LIKE '%".$_REQUEST['search_text']."%'";
		}
		
	}
	if((isset($_REQUEST['start_date']) && $_REQUEST['start_date'] != '') && (isset($_REQUEST['end_date']) && $_REQUEST['end_date'] != '')){
			$startDateArray = explode('/',$_REQUEST['start_date']);
			$startYearArray = explode(' ',$startDateArray[2]);
			$_REQUEST['start_date'] = $startYearArray[0].'-'.$startDateArray[1].'-'.$startDateArray[0].' '.$startYearArray[1];
			$endDateArray = explode('/',$_REQUEST['end_date']);
			$endYearArray = explode(' ',$endDateArray[2]);
			$_REQUEST['end_date'] = $endYearArray[0].'-'.$endDateArray[1].'-'.$endDateArray[0].' '.$endYearArray[1];
			
			$startDate = strtotime($_REQUEST['start_date']);
			$endDate = strtotime($_REQUEST['end_date']);
			
			$searchQuery .= "AND (timestamp BETWEEN $startDate AND $endDate)";
	}else if((isset($_REQUEST['start_date']) && $_REQUEST['start_date'] != '') && (isset($_REQUEST['end_date']) && $_REQUEST['end_date'] == '')){
			$startDateArray = explode('/',$_REQUEST['start_date']);
			$startYearArray = explode(' ',$startDateArray[2]);
			$_REQUEST['start_date'] = $startYearArray[0].'-'.$startDateArray[1].'-'.$startDateArray[0].' '.$startYearArray[1];
			$startDate = strtotime($_REQUEST['start_date']);
			$endDate = time();
			$searchQuery .= "AND (h.timestamp BETWEEN $startDate AND $endDate)";
	}else if((isset($_REQUEST['end_date']) && $_REQUEST['end_date'] != '') && (isset($_REQUEST['start_date']) && $_REQUEST['start_date'] == '')){
			
			$endDateArray = explode('/',$_REQUEST['end_date']);
			$endYearArray = explode(' ',$endDateArray[2]);
			$_REQUEST['end_date'] = $endYearArray[0].'-'.$endDateArray[1].'-'.$endDateArray[0].' '.$endYearArray[1];
			
			$startDate = time();
			$endDate = strtotime($_REQUEST['end_date']);
			$searchQuery .= "AND (h.timestamp BETWEEN $startDate AND $endDate)";
	}
}
if(isset($_GET['search']) && $_GET['search'] != ''){
	//$searchQuery = stripcslashes(urldecode($_GET['search']));
	$searchQuery = encrypt_decrypt('decrypt', $_GET['search']);
}
$total_records = $wpdb->get_var("SELECT COUNT(h.id) FROM wp_interaction_history h $searchQuery");

$page = (get_query_var('page')) ? get_query_var('page') : 1;
if ($page <= 0) $page = 1;
 
$per_page = 20; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+100;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;

$user_history_list = $wpdb->get_results("SELECT h.*,c.contest_title,cp.contest_prize_title,p.program_title,u.display_name FROM wp_interaction_history h LEFT JOIN wp_contest c ON c.contest_id = h.contest_id LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id LEFT JOIN wp_users u ON u.ID = h.field_rj_uid LEFT JOIN wp_program p ON p.program_id = h.field_program_nid $searchQuery ORDER BY h.id DESC LIMIT $startpoint,$per_page");
$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);


?>

<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="row">
            <div> </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
              <form name="history-search" action="<?php echo home_url().'/all-history/';?>" method="post">
                <div class="row">
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Search Words: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <input type="text" class="form-control" id="search_text" name="search_text" value="">
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">From Winning Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datetimepicker1' id=''>
                        <input type='text' class="form-control"  />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">To Winning Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datetimepicker1' id=''>
                        <input type='text' class="form-control"  />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Option: *: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <select name="search_option" class="form-control input-md" >
                        <option value="name-filter">Name</option>
                        <option value="male-filter">Male</option>
                        <option value="female-filter">Female</option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-9">
                    <div class="btn-group pull-left bottom15">
                      <button type="button" class="btn btn-primary">Export</button>
                      <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false"> <span class="fa fa-download"></span> <span class="sr-only">Toggle Dropdown</span> </button>
                      <ul class="dropdown-menu" role="menu">
                        <li><a href="<?php echo get_template_directory_uri().'/includes/export-history.php?user_num='.$user_num?>" class="export-search-all">Export Search Result</a></li>
                        <li><a href="<?php echo get_template_directory_uri().'/includes/export-history.php?user_num='.$user_num?>">Export All </a></li>
                      </ul>
                    </div>
                  </div>
                  <div class="col-md-3">
                    <input type="hidden" name="search_history" id="search_history" value="search" />
                    <button type="submit" class="btn btn-info pull-right bottom15">Search</button>
                  </div>
                </div>
              </form>
              <div class="table-responsive" data-pattern="priority-columns">
                <div id="interactions-table_wrapper" class="dataTables_wrapper form-inline no-footer">
                  <table id="interactions-table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
                    <thead>
                      <tr>
                        <th width="10%" data-priority="1">Name</th>
                        <th width="14%" data-priority="2">Number</th>
                        <th width="8%" data-priority="3">Gender</th>
                        <th width="22%" data-priority="4">Email</th>
                        <th width="13%" data-priority="5">Program</th>
                        <th width="10%" data-priority="6">Rj</th>
                        <th width="12%" data-priority="9">Win Date</th>
                        <th width="11%" data-priority="10">Operations</th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php 
									 if($user_history_list && count($user_history_list) > 0) {
										 foreach ($user_history_list as $user_history){
									?>
                      <tr id="delete-history-<?php echo $user_history->id?>">
                        <td><?php echo $user_history->field_name_value?></td>
                        <td><?php echo $user_history->field_mobile_no_value?></td>
                        <td><?php echo $user_history->field_gender_value?></td>
                        <td><?php echo $user_history->field_history_email_value?></td>
                        <td><?php echo $user_history->program_title?></td>
                        <td><?php echo $user_history->display_name?></td>
                        <td><?php echo date('d:M:Y h:i A',$user_history->field_win_date_value)?></td>
                        <td><a class="label label-default" href="<?php echo home_url();?>/edit-history?history_id=<?php echo $user_history->id;?>"><i class="fa fa-pencil"></i></a>&nbsp;<a class="label label-danger delete_btn delete_user_btn delete_history" data-delete_id="<?php echo $user_history->id;?>"><i class="fa fa-trash"></i></a></td>
                      </tr>
                      <?php } 
                                    }else{ ?>
                      <tr>
                        <td colspan="10"><center>
                            No records found.
                          </center></td>
                      </tr>
                      <?php } ?>
                    </tbody>
                  </table>
                  <div class="row">
                    <div class="col-xs-6">
                      <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                    </div>
                    <div class="col-xs-6">
                      <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                        <?php 
								pagination($total_records, $per_page,$page,urlencode($searchQueryEncode),$keywordsS);
							?>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>
