<?php
/* Template Name: View On Help Text */
get_header(); 

$help_cls	=	new DS_Help_Controller();
$helps		=	$help_cls->get_helps();



?>

<section id="main-content" class="">
  <section class="wrapper">
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
        <div class="table-responsive" data-pattern="priority-columns">
            <table id="view_help_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
              <thead>
                <tr>
                  <th width="9%">Title</th>
                  <th width="60%" data-priority="2">Description</th>
                  <th width="14%" data-priority="2">Module</th>
                  <th width="7%" data-priority="3">Status</th>
                  <th width="10%" data-priority="f">Action</th>
                </tr>
              </thead>
              <tbody>
                <?php 

if($helps)
foreach ($helps as  $help ){
$help_id = $help->help_id;


?>
                <tr>
                  <td class="help_title_td row_title_td"><input type="hidden" class="row_id" value="<?php echo $help_id; ?>"/>
                    <?php echo $help->help_title; ?></td>
                  <td class="help_schedule_td"><?php echo $help->help_description; ?></td>
                   <td class="help_schedule_td"><?php echo $help->name; ?></td>
                  <td class="help_schedule_td"><?php echo ($help->help_status == 1) ? 'Active' : 'Inactive';?></td>
                  <td class="help_actions_td">
                    <a href="<?php echo home_url();?>/edit-help?help_id=<?php echo $help_id; ?>" class="label label-default"><i class="fa fa-pencil"></i></a> <a  href="#" data-help_id="<?php echo $help_id?>" data-help_title="<?php echo $help->help_title?>" class="label label-danger delete_btn delete_post_row_btn"><i class="fa fa-trash"></i></a></td>
                </tr>
                <?php }?>
              </tbody>
            </table>
          </div>
        </div>
      </section>
    </div>
  </section>
</section>
<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/help.js" type="text/javascript"></script> 
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 