

<?php
/* Template Name: View Poll */
get_header(); 

$poll_cls	=	new DS_Poll_Controller();
$polls		=	$poll_cls->get_polls();


?>

<section id="main-content" class="">
	<section class="wrapper">
			<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
				<section class="box main-box">
			    	<header class="panel_header">
			    	
			        	<h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
					</header>
			        <div class="content-body">
			      
			      	
			      	<div class="table-responsive" data-pattern="priority-columns">
                                          
											 
											
											 <table id="view_poll_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
												<thead>
													<tr>
                                                        <th>Poll</th>
														<th data-priority="1">Schedule</th>
                                                        <th data-priority="2">Total Votes</th>
														<th data-priority="3">Status</th>
																<th data-priority="f">Action</th>											
                                                    </tr>
												</thead>
												<tbody>
												
<?php 

if($polls)
foreach ($polls as  $poll ){
$poll instanceof DS_Poll_SetGet;
$poll_id = $poll->getPoll_id();
$votTot = $wpdb->get_row( "SELECT COUNT(*) as total FROM wp_poll_votes WHERE poll_id = $poll_id" );

?>	
<tr>
    <td class="poll_title_td row_title_td">
        <input type="hidden" class="row_id" value="<?php echo $poll->getPoll_id(); ?>"/>
        <?php echo $poll->getPoll_title(); ?>
    </td>
    <td class="poll_schedule_td"><?php 
    if($poll->getPoll_start_date() != 0 && $poll->getPoll_start_date()){
        echo date("jS M, Y",strtotime($poll->getPoll_start_date())).' - ';	
    }
    if($poll->getPoll_end_date() != 0 && $poll->getPoll_end_date()){
        echo date("jS M, Y",strtotime($poll->getPoll_end_date()));
    }
    ?></td>
    <td class="poll_schedule_td"><?php echo $votTot->total;?></td>
    <td class="poll_schedule_td"><?php echo ($poll->getPoll_active() == 1) ? 'Active' : 'Inactive';?></td>
    <td class="poll_actions_td">
        <a href="<?php echo home_url();?>/edit-poll?poll_id=<?php echo $poll->getPoll_id(); ?>" class="label label-default"><i class="fa fa-pencil"></i></a>
        <a href="<?php echo home_url();?>/view-poll?poll_id=<?php echo $poll->getPoll_id(); ?>" class="label label-success">View</a>
        <a  href="#"  class="label label-danger delete_btn delete_post_row_btn"><i class="fa fa-trash"></i></a>
    </td>
</tr>
<?php }?>													
													


												</tbody>
											</table>
									
                                        </div>  
					</div>
				</section>
			
			</div>     
	</section>
</section>          



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/poll-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 