<?php 
/* Template Name: Winner History */
get_header(); 
global  $wpdb;
$user_roles = currentUserRoleIds();
if(!in_array(77,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}

$searchQuery = 'WHERE 1 = 1 ';
if(isset($_REQUEST['search_interaction']) && $_REQUEST['search_interaction'] == 'search'){
	
	if(isset($_REQUEST['search_text']) && $_REQUEST['search_text'] != ''){
		$searchQuery .= "AND (LOWER(h.field_name_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_mobile_no_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_history_email_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_remarks_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_contest_details_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_prize_won_value) LIKE '%".strtolower($_REQUEST['search_text'])."%') OR (LOWER(h.field_remarks_value) LIKE '%".strtolower($_REQUEST['search_text'])."%')";
		
	}
	$startDate = '';
	$endDate = '';
	
	if(isset($_REQUEST['search_number']) && $_REQUEST['search_number'] != ''){
		$searchQuery .= "AND h.field_mobile_no_value LIKE '%".$_REQUEST['search_number']."%'";
		
	}
	
	 if((isset($_REQUEST['start_date']) && $_REQUEST['start_date'] != '')){
		$startDateArray = explode('/',$_REQUEST['start_date']);
		$startYearArray = explode(' ',$startDateArray[2]);
		$start_date = $startYearArray[0].'-'.$startDateArray[1].'-'.$startDateArray[0].' '.$startYearArray[1].':00';
		$startDate = strtotime($start_date);
		//$searchQuery .= "AND (h.timestamp BETWEEN $startDate AND $endDate)";
		
	}
	if((isset($_REQUEST['end_date']) && $_REQUEST['end_date'] != '')){
		
		$endDateArray = explode('/',$_REQUEST['end_date']);
		$endYearArray = explode(' ',$endDateArray[2]);
		$end_date = $endYearArray[0].'-'.$endDateArray[1].'-'.$endDateArray[0].' '.$endYearArray[1].':00';
		$endDate = strtotime($end_date);
		//$searchQuery .= "AND (h.timestamp BETWEEN $startDate AND $endDate)";
	}
	
	if($startDate != '' && $endDate != ''){
		$searchQuery .= "AND (h.field_win_date_value BETWEEN $startDate AND $endDate)";
	}
	if($startDate != '' && $endDate == ''){
		$searchQuery .= "AND h.field_win_date_value > $startDate";
	}
	if($startDate == '' && $endDate != ''){
		$searchQuery .= "AND h.field_win_date_value < $endDate";
	}
	
	if(isset($_REQUEST['search_contest']) && $_REQUEST['search_contest'] != ''){
		$searchQuery .= "AND h.contest_id = ".$_REQUEST['search_contest'];
		
	}
	
	

}

if(isset($_REQUEST['search']) && $_REQUEST['search'] != ''){
	//$searchQuery = stripcslashes(urldecode($_GET['search']));
	$searchQuery = encrypt_decrypt('decrypt', $_GET['search']);
	$searchQuery;
}


$total_records = $wpdb->get_var("SELECT COUNT(h.id) FROM wp_interaction_history h 
LEFT JOIN wp_contest c ON c.contest_id = h.contest_id 
LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id 
LEFT JOIN wp_users u ON u.ID = h.field_rj_uid 
LEFT JOIN wp_program p ON p.program_id = h.field_program_nid 
$searchQuery ORDER BY h.id DESC");
$page = (get_query_var('page')) ? get_query_var('page') : 1;
if ($page <= 0) $page = 1;
 
$per_page = 100; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+100;

if($total_records < $showingend)
	$showingend = $total_records;
	
if($total_records <= 0)
	$showingstart = 0;
	
	

$searchQueryMain = "SELECT h.*,c.contest_title,cp.contest_prize_title,p.program_title,u.display_name FROM wp_interaction_history h LEFT JOIN wp_contest c ON c.contest_id = h.contest_id LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id LEFT JOIN wp_users u ON u.ID = h.field_rj_uid LEFT JOIN wp_program p ON p.program_id = h.field_program_nid $searchQuery  ORDER BY h.id DESC LIMIT $startpoint,$per_page";

$user_history_list = $wpdb->get_results($searchQueryMain);

$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);

$contest_cls	=	new DS_Contest_Controller();
$table_c	=	$wpdb->prefix.'contest';
	
$contest_list = $wpdb->get_results("SELECT contest_id, contest_title, contest_start_date, contest_end_date, contest_author_id,contest_keyword FROM $table_c ORDER BY contest_title ASC"	);

?>

<section id="main-content" class=" ">
  <section class="wrapper" style='display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <?php //print_r($_REQUEST);?>
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2>
          <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a> </h2>
        </header>
        <div class="content-body">
          <div class="row" id="history_box">
            <div class="col-md-12 col-sm-12 col-xs-12">
              <form name="search_form" action="<?php echo get_permalink() ?>" method="post">
                <div class="row">
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Search Words: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <input type="text" class="form-control" id="search_text" name="search_text" value="<?php echo (isset($_REQUEST['search_text']) && $_REQUEST['search_text'] != '') ? $_REQUEST['search_text'] : '';?>">
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Search Number: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <input type="text" class="form-control" id="search_number" name="search_number" value="<?php echo (isset($_REQUEST['search_number']) && $_REQUEST['search_number'] != '') ? $_REQUEST['search_number'] : '';?>">
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">From Winning Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datetimepicker1' id=''>
                        <input type='text' class="form-control" name="start_date" value="<?php echo (isset($_REQUEST['start_date']) && $_REQUEST['start_date'] != '') ? $_REQUEST['start_date'] : '';?>"  />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">To Winning Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datetimepicker1' id=''>
                        <input type='text' class="form-control" name="end_date"  value="<?php echo (isset($_REQUEST['end_date']) && $_REQUEST['end_date'] != '') ? $_REQUEST['end_date'] : '';?>" />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Contests: *: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <select name="search_contest" class="form-control input-sm" >
                        <option value="">None</option>
                        <?php 

						if($contest_list){
						foreach ($contest_list as  $contest ){
						?>
                        <option value="<?php echo $contest->contest_id; ?>" <?php echo (isset($_REQUEST['search_contest']) && $_REQUEST['search_contest'] == $contest->contest_id) ? 'selected="selected"' : '';?> ><?php echo $contest->contest_title; ?></option>
                        <?php } }?>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="row">
                <div class="col-md-3">
                    <input type="hidden" name="search_interaction" id="search_interaction" value="search"/>
                    <button type="submit" class="btn btn-info pull-left bottom15">Filter</button>
                  </div>
                  <div class="col-md-9">
                    <div class="btn-group pull-right bottom15">
                        
                        <a href="<?php echo get_template_directory_uri().'/includes/export-history-list.php?search='.$searchQueryEncode?>" class="export-search-all btn btn-primary">Export </a>
                        
                        
                      </div>
                  </div>
                  
                </div>
              </form>
              <div class="table-responsive" data-pattern="priority-columns">
                <table cellspacing="0" id="tech-companies-1" width="100%" class="table table-small-font table-bordered table-striped">
                  <thead>
                    <tr>
                      <th width="7%" data-priority="1">Name</th>
                      <th width="10%" data-priority="2">Number</th>
                      <th width="6%" data-priority="3">Gender</th>
                      <th width="12%" data-priority="4">Email</th>
                      <th width="10%" data-priority="5">Program</th>
                      <th width="11%" data-priority="6">Rj</th>
                      <th width="12%" data-priority="7">Contest</th>
                      <th width="14%" data-priority="8">Contest Prize</th>
                      <th width="9%" data-priority="9">Win Date</th>
                      <th width="9%" data-priority="10">Operations</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php 
									 if($user_history_list && count($user_history_list) > 0) {
										 foreach ($user_history_list as $user_history){
											 
										if($user_history->display_name  == ''){ 
											$userDetail = $wpdb->get_row("SELECT ID,display_name FROM wp_users WHERE old_id =".$user_history->field_rj_uid);		
											$user_history->display_name = 	$userDetail->display_name;
										}
										if($user_history->program_title  == ''){
										$showDetail = $wpdb->get_row("SELECT program_title FROM `wp_program` WHERE `program_program_rjs` LIKE '%".$userDetail->ID."%' ");
										$user_history->program_title = 	$showDetail->program_title;
										}
									
				
									?>
                    <tr id="delete-history-<?php echo $user_history->id?>">
                      <td><?php echo $user_history->field_name_value?></td>
                      <td><?php echo $user_history->field_mobile_no_value?></td>
                      <td><?php echo $user_history->field_gender_value?></td>
                      <td><?php echo $user_history->field_history_email_value?></td>
                      <td><?php echo $user_history->program_title?></td>
                      <td><?php echo $user_history->display_name?></td>
    				 <td><?php echo ($user_history->contest_title != '') ? $user_history->contest_title : $user_history->field_contest_details_value;?></td>
            		  <td><?php echo ($user_history->contest_prize_title != '') ? $user_history->contest_prize_title : $user_history->field_prize_won_value;?></td>
                      <td><?php echo date('d:M:Y',$user_history->field_win_date_value)?></td>
                      <td><a class="label label-default" href="<?php echo home_url();?>/edit-history?history_id=<?php echo $user_history->id;?>"><i class="fa fa-pencil"></i> </a>&nbsp;&nbsp;<a class="label label-danger delete_btn delete_user_btn delete_history" data-delete_id="<?php echo $user_history->id;?>"><i class="fa fa-times"></i></a></td>
                    </tr>
                    <?php } 
                                    }else{ ?>
                    <tr>
                      <td colspan="10"><center>
                          No records found.
                        </center></td>
                    </tr>
                    <?php } ?>
                  </tbody>
                </table>
                <div class="row">
                  <div class="col-xs-6">
                    <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                  </div>
                  <div class="col-xs-6">
                    <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                      <?php 
								pagination($total_records, $per_page,$page,urlencode($searchQueryEncode),$keywordsS);
							?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>
