$(document).ready(function(){
	
	 $('#help_form').validate({
         focusInvalid: false,
         ignore: "",
         rules: {
		 	help_title: {
     			minlength	:	2,
     			maxlength	:	100,
                 required	:	true
             },
			 help_description: {
              	required	:	true
              }
        
			}
     });
 
	
	
	$('.add-choice-btn').click(function(){
		choice_row_clone	=	$('.choice-row-clone').html();
		$('.choice-rows-list').append(choice_row_clone);
		var i = 1;
		$('.choice-rows-list .help_choice_title').each(function(){
			p_c_t	=	'help_choice_title_'+i;
			$(this).attr({'name':p_c_t, 'id':p_c_t});
			$('#'+p_c_t).addClass('required');
			i++;
		});	
		var i = 1;
		$('.choice-rows-list .help_choice_vote_count').each(function(){
			p_c_v	=	'help_choice_vote_count_'+i;
			$(this).attr({'name':p_c_v, 'id':p_c_v});
			$('#'+p_c_v).addClass('required');
			i++;
		});	
	});
	
	
	
	
	
	
	  view_contest_table	=	$("#view_help_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false,
	});
	
	
	$(document).on('click', '.delete_post_row_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var help_id			=	$('.row_id',current_tr).val();
		var help_title	=	$(this).data('help_title');
		
		var confirm_flag = confirm("Are you sure, Do you want to delete Help - "+help_title+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	get_template_directory_uri()+'/ajax-delete.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {controller: 'help', action: 'delete', id : help_id }
			})
			  .done(function( data ) {
				if(data){
			    	view_contest_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
	$(document).on('click', '.select-random-winner',  function(){

		
	
			var person = prompt("Total number of winner selection", "1");
			 var num1 = parseInt(person);
			if (num1 != null) {
			var help_id		=	$(this).data('help_id');
			$("#divLoading").addClass('show');
			var delete_ajax_url	=	get_template_directory_uri()+'/includes/ajax-select-random-winner-on-air-help.php';
		
			 $.ajax({
			  method: "POST",
			  url: delete_ajax_url,
			  data: { help_id : help_id, winnerTot :person},
				success: function(data) {
					$("#divLoading").removeClass('show');
				  if (data != '') {
					if (data.trim() == 'SUCCESS') {
						$('.select-random-winner'+help_id).hide();
						 showSuccess("Winner selected successfully!");
					}else{
						showSuccess('Please try again!');
					}
				  }
				}
			  });
  
			}
		return false;
	});	
	
});
