<?php 
Class DS_Poll_Controller{
	
	public function save_poll(){
		if(isset($_REQUEST['poll_id'])){
			$poll_id	=	$_REQUEST['poll_id'];
		}else{
			$poll_id	=	false;
		}
		
		$poll_title			=	$_REQUEST['poll_title'		];
		$poll_start_date	=	$_REQUEST['poll_start_date'	];
		$poll_end_date		=	$_REQUEST['poll_end_date'	];
		$poll_keyword		=	$_REQUEST['poll_keyword'	];
		$poll_response		=	$_REQUEST['poll_response'	];
		$poll_active		=	$_REQUEST['poll_active'		];
		$poll_choice_json	=	$_REQUEST['poll_choice_json'];
		$search_option	=	$_REQUEST['search_option'];
		
		
		if($poll_start_date){
			$poll_start_date	=	ds_format_date($poll_start_date);
		}
		if($poll_end_date){
			$poll_end_date	=	ds_format_date($poll_end_date);
			$poll_end_date	=	ds_end_date_time_setup($poll_end_date);
		}
		
		if(isset($search_option) && $search_option > 0){
			$poll_start_date = (isset($poll_start_date) && $poll_start_date != '') ? $poll_start_date : date('Y-m-d');
			$poll_end_date	=  date("Y-m-d", strtotime($poll_start_date) + $search_option);
		}
		
		$poll_obj	=	new DS_Poll_SetGet();
		
	
		$poll_obj->setPoll_title		($poll_title);
		$poll_obj->setPoll_start_date	($poll_start_date);
		$poll_obj->setPoll_end_date		($poll_end_date);
		$poll_obj->setPoll_keyword		($poll_keyword);
		$poll_obj->setPoll_response		($poll_response);
		$poll_obj->setPoll_active		($poll_active);
		$poll_obj->setPoll_choice_json	($poll_choice_json);
		
		if($poll_id){
			$poll_obj->setPoll_id($poll_id);
		}
		
		$poll_model	=	new DS_Poll_Model();
		
		$poll_id	=	$poll_model->update_poll( $poll_obj );
		
		return $poll_id;
	}
	public function poll_vote($userId=0,$poll_id,$poll_choice_id){
		global $wpdb;
		$poll_model	=	new DS_Poll_Model();
		
		$vote_id	=	$poll_model->poll_vote( $userId,$poll_id,$poll_choice_id );
		return $poll_id;
		
	}
	public function poll_vote_cancel($userId,$poll_id,$poll_choice_id){
		global $wpdb;
		$poll_model	=	new DS_Poll_Model();
		
		$vote_id	=	$poll_model->poll_vote_cancel( $userId,$poll_id, $poll_choice_id );
		return $poll_id;
		
	}
	
	public function get_polls(){
		global $wpdb;
		
		$poll_model	=	new DS_Poll_Model();
		
		$poll_list_arr	=	$poll_model->get_polls();
		if(!$poll_list_arr){
			$poll_list_arr	=	false;
		}
		return $poll_list_arr;
	}
	public function get_poll_details_by_id(DS_Poll_SetGet $poll){
		$poll_model	=	new DS_Poll_Model();
		
		$poll_details	=	$poll_model->get_poll_details_by_id($poll);
		
		if(!$poll_details){
			$poll_details	=	false;
		}
		return $poll_details;
	
	}
	public function delete($poll_id){
		$poll_model	=	new DS_Poll_Model();
		$poll_obj	=	new DS_Poll_SetGet();
		$poll_obj->setPoll_id($poll_id);
		
		$poll_details	=	$poll_model->delete($poll_obj);
		
		
		return $poll_details;
	
	}
}

?>