<?php
class DS_Quiz_Controller{
	
	function __construct( ){
		
	}
	
	public function save_quiz(){
		
		if(isset($_REQUEST['quiz_id'])){
			$quiz_id	=	$_REQUEST['quiz_id'];
		}else{
			$quiz_id	=	false;
		}
		$quiz_title					=	$_REQUEST['quiz_title'];
		$quiz_keyword				=	$_REQUEST['quiz_keyword']; 
		$quiz_alternate_keyword 	=	$_REQUEST['quiz_alternate_keyword']; 
		$quiz_response				=	$_REQUEST['quiz_response']; 
		$quiz_start_date			=	$_REQUEST['quiz_start_date']; 
		$quiz_end_date				=	$_REQUEST['quiz_end_date']; 
		$quiz_description			=	$_REQUEST['quiz_description'];
		$quiz_active				=	$_REQUEST['quiz_active'];  
		$quiz_question_answer_json	=	$_REQUEST['quiz_question_answer_json'];  
		
		if($quiz_start_date){
			$quiz_start_date	=	ds_format_date($quiz_start_date);
		}
		if($quiz_end_date){
			$quiz_end_date		=	ds_format_date($quiz_end_date);
			$quiz_end_date		=	ds_end_date_time_setup($quiz_end_date);
		}
		
		$quiz_obj	=	new DS_Quiz_SetGet();
		
		$quiz_obj->setQuiz_title				($quiz_title);
		$quiz_obj->setQuiz_keyword				($quiz_keyword);
		$quiz_obj->setQuiz_alternate_keyword	($quiz_alternate_keyword);
		$quiz_obj->setQuiz_response				($quiz_response);
		$quiz_obj->setQuiz_description			($quiz_description);
		$quiz_obj->setQuiz_start_date			($quiz_start_date);
		$quiz_obj->setQuiz_end_date				($quiz_end_date);
		$quiz_obj->setQuiz_active				($quiz_active);
		$quiz_obj->setQuiz_question_answer_json	($quiz_question_answer_json);
		
		if($quiz_id){
			$quiz_obj->setQuiz_id($quiz_id);
		}
		
		$quiz_model	=	new DS_Quiz_Model();
		$quiz_id	=	$quiz_model->update_quiz( $quiz_obj );
		
		return $quiz_id;
	}
	public function get_quiz(){
		global $wpdb;
		$contest_list_arr	=	array();
		$table	=	$wpdb->prefix.'contest';
		
		$quiz_model	=	new DS_Quiz_Model();
		
		$quiz_list_arr	=	$quiz_model->get_quiz();
		if(!$quiz_list_arr){
			$quiz_list_arr	=	false;
		}
		return $quiz_list_arr;
	}
	public function delete_quiz($quiz_id){
		if($quiz_id){
			global $wpdb;
			$table	=	$wpdb->prefix.'quiz';
			$data	=	array( 
							'quiz_status' 		=> 0
						);
			$where	=	array('quiz_id'	=> $quiz_id);
			$quiz_id	=	$wpdb->update( $table,  $data , $where);
			
			return $quiz_id;
		}else{
			return false;
		}
	}
	public function get_quiz_details_by_id(DS_Quiz_SetGet $quiz){
		$quiz_model	=	new DS_Quiz_Model();
		
		$quiz_details	=	$quiz_model->get_quiz_details_by_id($quiz);
		
		if(!$quiz_details){
			$quiz_details	=	false;
		}
		return $quiz_details;
	
	}
	public function delete($quiz_id){
		$quiz_model	=	new DS_Quiz_Model();
		$quiz_obj	=	new DS_Quiz_SetGet();
		$quiz_obj->setQuiz_id($quiz_id);
		
		$quiz_details	=	$quiz_model->delete($quiz_obj);
		
		
		return $quiz_details;
	
	}
}