<?php
header('Content-type: application/json;');
define('WP_USE_THEMES', false);
require_once('wp-path.php');

//suno_check_permissions();

$role_name	=	$_REQUEST['role_name']; // add or edit


if($role_name){
	//$role_capabilities	=	get_role( $role_name );
	//echo json_encode($role_capabilities,JSON_FORCE_OBJECT);
						
	$args = array(
		'type'                     => 'post',
		'child_of'                 => 0,
		'parent'                   => '',
		'orderby'                  => 'name',
		'order'                    => 'ASC',
		'hide_empty'               => 0,
		'hierarchical'             => 0,
		'exclude'                  => '',
		'include'                  => '',
		'number'                   => '',
		'taxonomy'                 => 'grid_role_capability',
		'pad_counts'               => false 
	
	); 

	$categories = get_categories( $args );

	// First index all categories by parent id, for easy lookup later
	$cats_by_parent = array();
	foreach ($categories as $cat)
	{
	  $parent_id = $cat->category_parent;
	  if (!array_key_exists($parent_id, $cats_by_parent)) 
	  {
	    $cats_by_parent[$parent_id] = array();
	  }
	  $cats_by_parent[$parent_id][] = $cat;
	}
	
	// Then build a hierarchical tree
	$cat_tree = array();
	function add_cats_to_bag(&$child_bag, &$children)
	{
	   global $cats_by_parent;
	   if (is_array($children)) {
		   foreach ($children as $child_cat) 
		   {
		     $child_id = $child_cat->cat_ID;
		     if (array_key_exists($child_id, $cats_by_parent)) 
		     {
		        $child_cat->children = array();
		        add_cats_to_bag($child_cat->children, $cats_by_parent[$child_id]);
		     }
		     $child_bag[$child_id] = $child_cat;
		   }
	   }
	}
	
	add_cats_to_bag($cat_tree['cap'], $cats_by_parent[0]);
	
	$role_cap_vals	=	get_option( $role_name.'_role_cap' );
	$cat_tree['val']	=	json_decode(unserialize(($role_cap_vals)));	
	
	echo json_encode($cat_tree,JSON_FORCE_OBJECT);							
}else{
	echo 'false';
}
?>