<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
require get_template_directory() . '/views/blocks/common-function.php';
$history_controller	=	new DS_History_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$contest_controller	=	new DS_Contest_Controller();

							
$rj_list	=	$user_controller->get_rj_list();
$programs	=	$program_controller->get_programs(1);
$contests	=	$contest_controller->get_contests();

//print_r($contests);
$user_num = '';
if(isset($_REQUEST['user_num'])){
	$user_num = $_REQUEST['user_num'];
	if (substr($user_num, 0, 1) === '+') {
		
	}else{
		$user_num = '+'.$user_num;
	}
}
$shortlist = $wpdb->get_results("SELECT s.*,c.contest_title FROM wp_shortlist s LEFT JOIN wp_contest c ON c.contest_id = s.contest_id WHERE s.number = '+".$_REQUEST['user_num']."' order by s.id desc");
$currentProgramId = 0;
$currentRjId = 0;
$currentProgram = getCurrentProgramDetail();

$currentProgramId = 0;
$currentProgramEndTime = 0;
if(count($currentProgram) > 0){
	$currentProgramId = $currentProgram->program_id;
	$currentProgramEndTime = $currentProgram->program_end_time;
}
$program_rjsC	=	json_decode($currentProgram->program_program_rjs);
$currentRjId = $program_rjsC[0];
?>
<?php if(count($shortlist) > 0){?>
    <div class="form-group col-md-12 ">
       <p class="bg-danger"><strong class="">This number already shorlisted for <?php echo $shortlist[0]->contest_title?> contest</strong></p>
       
        
      </div>
      <?php } ?>
<form name="form-short-list" id="form-short-list" method="post" action="">

  <div class="row">
  
    <div class="col-md-12 col-sm-9 col-xs-10">
    
    <div class="form-group col-md-6 ">
        <label class="form-label" for="formfield1">Name: *</label>
        <span class="desc"></span>
        <div class="controls">
          <input type="text" class="form-control" id="field_mobile_name_value" name="field_mobile_name_value" value="">
        </div>
      </div>
      <div class="form-group col-md-6 ">
        <label class="form-label" for="formfield1">Number: *</label>
        <span class="desc"></span>
        <div class="controls">
          <input type="text" class="form-control" id="field_mobile_no_value" name="field_mobile_no_value" value="<?php echo $user_num;?>">
        </div>
      </div>
      
      <div class="form-group col-md-4 ">
        <label class="form-label" for="formfield1">Rj: </label>
        <span class="desc"></span>
        <div class="controls">
          <select name="field_rj_uid" id="field_rj_uid" class="form-control">
            <?php 
														if($rj_list){
															foreach ($rj_list->results as $user){
														?>
            <option value="<?php echo $user->ID; ?>" <?php if($currentRjId == $user->ID) {?> selected="selected" <?php } ?> ><?php echo $user->display_name; ?></option>
            <?php } }?>
          </select>
        </div>
      </div>
      <div class="form-group col-md-4 ">
        <label class="form-label" for="formfield1">Contest: </label>
        <span class="desc"></span>
        <div class="controls">
          <select name="contest_id" class="form-control contest-dp" id="contest_id">
            <option value="">- None -</option>
            <?php 
						if($contests){
						foreach ($contests as $contest){
							$contest	instanceof  DS_Contest_SetGet;
						?>
            <option value="<?php echo $contest->getContest_id(); ?>" ><?php echo $contest->getContest_title(); ?></option>
            <?php } }?>
          </select>
        </div>
      </div>
      <div class="col-md-12">
              <div class="form-group">
                <label for="field-4" class="control-label">Remarks:</label>
                <textarea name="remark" id="remark" style="width: 100%; height: 100px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
             
              </div>
            </div>
    </div>
  </div>
  <div class="modal-footer">
  <input type="hidden" name="interaction_id" id="interaction_id" value="<?php echo $_POST['interaction_id'];?>" />
     <input type="hidden" name="submit_url" id="submit_url_s" value="<?php echo home_url();?>/wp-content/themes/radiopanel/includes/ajax-short-list-submit.php" />
    <button type="button" class="btn btn-info" onclick="return submitShortList()" <?php if(count($shortlist) > 0){ echo ' disabled="disabled"';}?>>Add to Shortlist</button>
    <button type="button" class="btn btn-info" data-dismiss="modal">Close</button>
  </div>
</form>

