<?php
	function pagination($total_records, $per_page,$page,$searchQuery='',$keywordSearch=''){
		$adjacents = "2"; 
		$url='?';
		$prevlabel = "← Previous";
		$nextlabel = "Next →";
		$page = ($page == 0 ? 1 : $page);  
		$start = ($page - 1) * $per_page;                               
		  
		$prev = $page - 1;                          
		$next = $page + 1;
		$search = '';
		if($searchQuery != '')
		  	$search .= "&search=$searchQuery";
		if($keywordSearch != '')
		  	$search .= "&keywords=$keywordSearch";

		$lastpage = ceil($total_records/$per_page);
		  
		$lpm1 = $lastpage - 1; // //last page minus 1
		  
		$pagination = "";
		if($lastpage > 1){   
			$pagination .= "<ul class='pagination'>";
				  
				if ($page > 1) $pagination.= "<li class='prev'><a href='{$url}page={$prev}$search'>{$prevlabel}</a></li>";
				  
			if ($lastpage < 5 + ($adjacents * 2)){   
				for ($counter = 1; $counter <= $lastpage; $counter++){
					if ($counter == $page)
						$pagination.= "<li class='active'><a>{$counter}</a></li>";
					else
						$pagination.= "<li><a href='{$url}page={$counter}$search'>{$counter}</a></li>";                    
				}
			  
			} elseif($lastpage > 3 + ($adjacents * 2)){
				  
				if($page < 1 + ($adjacents * 2)) {
					  
					for ($counter = 1; $counter < 2 + ($adjacents * 2); $counter++){
						if ($counter == $page)
							$pagination.= "<li class='active'><a>{$counter}</a></li>";
						else
							$pagination.= "<li><a href='{$url}page={$counter}$search'>{$counter}</a></li>";                    
					}
					
						  
				} elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2)) {
					  
					
					for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++) {
						if ($counter == $page)
							$pagination.= "<li class='active'><a>{$counter}</a></li>";
						else
							$pagination.= "<li><a href='{$url}page={$counter}$search'>{$counter}</a></li>";                    
					}
					   
					  
				} else {
					  
					
					for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++) {
						if ($counter == $page)
							$pagination.= "<li class='active'><a>{$counter}</a></li>";
						else
							$pagination.= "<li><a href='{$url}page={$counter}$search'>{$counter}</a></li>";                    
					}
				}
			}
			  
				if ($page < $counter - 1) {
					$pagination.= "<li class='next'><a href='{$url}page={$next}$search'>{$nextlabel}</a></li>";
				}
			  
			$pagination.= "</ul>";        
		}
		echo $pagination;
	}
	function rangeYear($datestr){
		date_default_timezone_set(date_default_timezone_get());
		$year = date('Y',strtotime($datestr)); // Get current year and subtract 1
		$res['start'] = mktime(0, 0, 0, 1, 1, $year);
		$res['end'] = mktime(0, 0, 0, 12, 31, $year);
		return $res;
	}
	function rangeMonth($datestr) {
		date_default_timezone_set(date_default_timezone_get());
		$dt = strtotime($datestr);
		$res['start'] = date('Y-m-d', strtotime('first day of this month', $dt));
		$res['end'] = date('Y-m-d', strtotime('last day of this month', $dt));
		return $res;
    }
	
	/*function rangeWeekByDate($datestr) {
		date_default_timezone_set(date_default_timezone_get());
		$dt = strtotime($datestr);
		$res['start'] = date('N', $dt)==1 ? date('Y-m-d', $dt) : date('Y-m-d', strtotime('last sunday', $dt));
		$res['end'] = date('N', $dt)==7 ? date('Y-m-d', $dt) : date('Y-m-d', strtotime('next saturday', $dt));
		return $res;
    }
	*/
 	function rangeWeek() {
		date_default_timezone_set(date_default_timezone_get());
		if(date('D')!='Sun')
		{    
		 //take the last monday
		  $res['start'] = date('Y-m-d',strtotime('last Sunday'));    
		
		}else{
			$res['start'] = date('Y-m-d');   
		}
		
		//always next saturday
		
		if(date('D')!='Sat')
		{
			$res['end'] = date('Y-m-d',strtotime('next Saturday'));
		}else{
			$res['end'] = date('Y-m-d');
		}
		return $res;
    }
	function previousWeek(){
		$res['start'] = strtotime('last week -1 day');
		$res['end'] = strtotime('this week -2 day');
		return $res;
	}
	function getTotalSMSToday(){
		date_default_timezone_set(date_default_timezone_get());
		global  $wpdb;
		
		$todayStart = strtotime(date('Y-m-d 00:00:00'));
		$todayEnd = strtotime(date('Y-m-d 23:59:59'));
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE (timestamp BETWEEN $todayStart AND $todayEnd) AND blacklist = 0 AND status = 2");
	}
	function getTotalSMSYestrday(){
		date_default_timezone_set(date_default_timezone_get());
		global  $wpdb;
		$prevStart = strtotime(date('Y-m-d 00:00:00').' -1 day');
		$prevEnd = strtotime(date('Y-m-d 23:59:59').' -1 day');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE (timestamp BETWEEN $prevStart AND $prevEnd) AND blacklist = 0 AND status = 2");
	}
	function getTotalSMSWeek($date=''){
		global  $wpdb;
		if($date == '')
			$date = date('Y-m-d');
		$rangeWeek = rangeWeek();
		$weekStart = strtotime($rangeWeek['start'].' 00:00:00');
		$weekEnd = strtotime($rangeWeek['end'].' 23:59:59');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE (timestamp BETWEEN $weekStart AND $weekEnd) AND blacklist = 0 AND status = 2");
	}
	function getTotalSMSMonth($date=''){
		global  $wpdb;
		if($date == '')
			$date = date('Y-m-d');
		$rangeMonth = rangeMonth($date);
		$monthStart = strtotime($rangeMonth['start'].' 00:00:00');
		$monthEnd = strtotime($rangeMonth['end'].' 23:59:59');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE (timestamp BETWEEN $monthStart AND $monthEnd) AND blacklist = 0 AND status = 2");
	}
	
	function getAllSMS($date=''){
		global  $wpdb;
		if($date == '')
			$date = date('Y-m-d');
		$rangeMonth = rangeMonth($date);
		$monthStart = strtotime($rangeMonth['start'].' 00:00:00');
		$monthEnd = strtotime($rangeMonth['end'].' 23:59:59');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions WHERE blacklist = 0 AND status = 2");
	}
	
	function getTotalBlockToday(){
		date_default_timezone_set(date_default_timezone_get());
		global  $wpdb;
		
		$todayStart = strtotime(date('Y-m-d 00:00:00'));
		$todayEnd = strtotime(date('Y-m-d 23:59:59'));
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history WHERE (timestamp BETWEEN $todayStart AND $todayEnd)");
	}
	function getTotalBlockYestrday(){
		date_default_timezone_set(date_default_timezone_get());
		global  $wpdb;
		$prevStart = strtotime(date('Y-m-d 00:00:00').' -1 day');
		$prevEnd = strtotime(date('Y-m-d 23:59:59').' -1 day');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history WHERE (timestamp BETWEEN $prevStart AND $prevEnd)");
	}
	function getTotalBlockWeek($date=''){
		global  $wpdb;
		if($date == '')
			$date = date('Y-m-d');
		$rangeWeek = rangeWeek();
		$weekStart = strtotime($rangeWeek['start'].' 00:00:00');
		$weekEnd = strtotime($rangeWeek['end'].' 23:59:59');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history WHERE (timestamp BETWEEN $weekStart AND $weekEnd)");
	}
	function getTotalBlockMonth($date=''){
		global  $wpdb;
		if($date == '')
			$date = date('Y-m-d');
		$rangeMonth = rangeMonth($date);
		$monthStart = strtotime($rangeMonth['start'].' 00:00:00');
		$monthEnd = strtotime($rangeMonth['end'].' 23:59:59');
		return $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history WHERE (timestamp BETWEEN $monthStart AND $monthEnd)");
	}
	
	function getCurrentProgramDetail(){
		$program_controller	=	new DS_Program_Controller();
		$programs	=	$program_controller->get_programs(1);
		
		$current_day =  strtolower(date("D"));
		$current_time =date("H:i:s");
		$currentProgram = array();
		$currentProgramId = 0;
		foreach ($programs as $programC){
			$programC	instanceof  DS_Program_SetGet;
			$programDayList = $programC->getProgram_program_days_id();
			$program_program_days_id = array();
			if($programDayList != ''){
				$program_program_days_id	=	json_decode($programC->getProgram_program_days_id()); 
			}
			
			
			if(in_array($current_day,$program_program_days_id)){
			$program_start = date("H:i:s",strtotime($programC->getProgram_start_time()));
		
			$program_end = date("H:i:s",strtotime($programC->getProgram_end_time()));
			
				if($current_time >= $program_start && $current_time <= $program_end){
					$currentProgram = $programC;
					$currentProgram	instanceof  DS_Program_SetGet;
					$currentProgramId = $currentProgram->getProgram_id();
					break; 
				}
			} 
		} 
		
		if($currentProgramId > 0){
			$currentProgram	=	$program_controller->getProgramDetailById($currentProgramId);
		}
		//exit;
		//print_r($currentProgram);
		return $currentProgram;
	}
	function currentUserRoleIds(){
		global  $wpdb;
		$user_roles = array();
		$user_controller	=	new DS_User_Controller();
		$user_setget		=	new DS_User_SetGet();
		$user_setget->setUser_id(get_current_user_id());
		$user_details	=	$user_controller->get_user_details_by_id($user_setget);
		$user_data		=	$user_details->data;
		
		
		$query = "SELECT * FROM wp_roles WHERE id = ". $user_data->user_role_id;
		$user_roles_list = $wpdb->get_row( $query );
		$user_rolesList  = $user_roles_list->role_fields;
		
		$user_roles = explode(',',$user_rolesList);
		return $user_roles;
	}
	
	function sendRadioPanelSMS($text='',$number,$sender='Toblerone',$currentUserId=0,$from='web',$replyId=0,$type=0){
		$totalSMS = strlen($text) / 160;
		$smsCount =  ceil($totalSMS);
		global  $wpdb;
		$smsLimitD = $wpdb->get_row("SELECT * FROM wp_general_setting WHERE field = 'sms_quota'");
		$smsLimit = $smsLimitD->value;
		$used_quota = $smsLimitD->used_quota;
		$is_rule_active = $smsLimitD->is_rule_active;
		$totalSendSMS = $used_quota + $smsCount;
		
		if($text != '' && $number > 0){
			global  $wpdb;
			$result = 'Failed';
			
				if($from != 'cron'){
					$wpdb->query("UPDATE wp_general_setting SET used_quota = $totalSendSMS  WHERE field = 'sms_quota'");
				}
				$message = urlencode($text);
				
				//echo $message = urlencode($text);
				//from=<from>&to=<to>&msg=<msg>&user=vf_promo2&password=ds@234&lang=u&camp=test_bulk_ar&dr=1
				//http://smsplus.radiosms.ca/send_sms.php?from=SMSALERT&to=<to>&msg=<msg>&user=vf_trans2&password=ds@234&camp=test_bulk
				//$data = "src=Toblerone&dst=$number&msg=$message&user=toblerone&password=ds@234";
				
				$data = "from=Toblerone&to=$number&msg=$message&user=toblerone&password=ds@234";
				if($type == 1){
					$data .= "&lang=u&camp=test_bulk_ar";
				}else{
					$data .= "&camp=test_bulk";
				}
				//echo $data;
				//exit;
				// Send the POST request with cURL
				$ch = curl_init('http://smsplus.radiosms.ca/send_sms.php');
				curl_setopt($ch, CURLOPT_POST, true);
				curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				$result = curl_exec($ch); //This is the result from Textlocal
				curl_close($ch);
				
				$data	=	array( 
					'timestamp' 	=>	time(),
					'number' 	=>	$number, 
					'sender_id' 	=>	$sender,  
					'msg'	=>	$text,
					'reply_sms_id'	=>	$replyId,
					'uid'	=>	$currentUserId,
					'status'	=>	$result
				);
				
				$insert_id_flag	=	$wpdb->insert('wp_sms_reports',$data);
				
				//return $result;
				return 'Success';
			
		}else{
			return 'Failed';
		}
	}
	
	function encrypt_decrypt($action, $string) {
		$output = false;
	
		$encrypt_method = "AES-256-CBC";
		$secret_key = 'This is my secret key';
		$secret_iv = 'This is my secret iv';
	
		// hash
		$key = hash('sha256', $secret_key);
		
		// iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
		$iv = substr(hash('sha256', $secret_iv), 0, 16);
	
		if( $action == 'encrypt' ) {
			$output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
			$output = base64_encode($output);
		}
		else if( $action == 'decrypt' ){
			$output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
		}
	
		return $output;
	}
	
	function currentUserActivity($activity_type,$activity_on,$activity_id,$login_id,$activity_desc='',$field='',$value=array()){
		global $wpdb;
		$ip = $_SERVER['REMOTE_ADDR'];
		$valueNew = '';
		if(count($value) > 0){
			$valueNew = encrypt_decrypt('encrypt',serialize($value));
		}
		$login_id = get_current_user_id();
		$time = time();
		$data = array( 
			'user_id'		=>	$login_id,
			'activity_type'		=>	$activity_type,
			'activity_on'		=>	$activity_on,
			'activity_id'		=>	$activity_id,
			'field'		=>	$field,
			'value'		=>	$valueNew,
			'activity_desc'		=>	$activity_desc,
			'ip'		=>	$ip,
			'created'		=>	$time,
		);
		//$query = "INSERT INTO `wp_user_activity` (`user_id`, `activity_type`, `activity_on`, `activity_id`, `field`, `value`, `activity_desc`, `ip`, `created`)
			//VALUES ('$login_id', '$activity_type', '$activity_on', '$activity_id', '$field', '$valueNew', '$activity_desc', '$ip', '$time')";
		$insert_flag	=	$wpdb->insert(	'wp_user_activity',	$data	);
		unset($data);
		return $wpdb->insert_id;
}

	
?>	