<?php /* Template Name: Dashboard */
  get_header();
  
  
  
	  $user_controller = new DS_User_Controller();
	  $user_setget = new DS_User_SetGet();
	  $current_day = strtolower(date("D"));
	  $current_time = date("H:i:s");
	$searchQuery = 'WHERE 1=1 AND blacklist=0 ';
	$startTime = strtotime(date('Y-m-d 00:00:00'));
		$endTime = strtotime(date('Y-m-d 23:59:59'));
	$searchQuery .= " AND (timestamp BETWEEN $startTime AND $endTime)";
 	$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);
      ?>

<section id="main-content" class=" ">
  <section class="wrapper" >
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> 
         </header>
        <div class="content-body">
        <div class="row">
          <div class="col-md-3">
            
            <style>
            .text-color a {color:#ffffff;}
            </style>
            <div class="r1_graph2 db_box text-color">
             <a href="<?php echo home_url().'/sms-interactions?search_interaction=search&search_direct_days=today';?>">
             TODAY SMS: <span class='bold'><?php echo getTotalSMSToday(); ?></span></a>
              <div class="clearfix"></div>
               <a href="<?php echo home_url().'/sms-interactions?search_interaction=search&search_direct_days=yesterday';?>">
              YESTERDAY SMS: <span class='bold'><?php echo getTotalSMSYestrday(); ?></span></a>
              <div class="clearfix"></div>
               <a href="<?php echo home_url().'/sms-interactions?search_interaction=search&search_direct_days=current_month';?>">
              THIS MONTH SMS: <span class='bold'><?php echo getTotalSMSMonth(); ?></span></a> </div>
            
          </div>
          
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
            <section class="box ">
              <header class="panel_header">
                <h2 class="title pull-left"> Latest Interactions </h2>
               </header>
              <div class="content-body">
                <div class="row">
                  <div>
                    <div class="col-md-12 col-sm-12 col-xs-12">
                      <div id="interactions-table_wrapper" class="table-responsive" data-pattern="priority-columns">
                        <table cellspacing="0" id="tech-companies-1" class="table table-small-font table-bordered table-striped">
                          <thead>
                            <tr>
                              <th>Settings</th>
                              <th data-priority="1">Keyword</th>
                              <th data-priority="2">Number</th>
                              <th data-priority="2">Time</th>
                              <th data-priority="3">Message</th>
                              <th data-priority="4">Short Code</th>
                            </tr>
                          </thead>
                          <tbody>
                            <?php 
    global  $wpdb;
    //echo "SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC";
	$sms_rows = $wpdb->get_results("SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY timestamp DESC LIMIT 0,15");
    
    foreach ($sms_rows as $sms_row){
                                  $total_history = $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."'");
                                  $button_success = '';
                                  $blockEndDate = '';
                                  $last_block = array();
                                  if($total_history > 0){
                                    $button_success = 'btn-success';
                                    $last_block = $wpdb->get_results("SELECT * FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."' ORDER BY id DESC LIMIT 0,1");
                                    if($last_block[0]->field_blocked_winner_value == 'Yes'){
                                        $currentDate = strtotime(date('Y-m-d 23:59:59'));
                                        $lastWinDate = $last_block[0]->field_win_date_value;
                                        
                                        //$blockEndDate = strtotime($lastWinDate .); 
                                        if($last_block[0]->field_blocked_time_value > 0){
                                            
                                            $blockEndDate = strtotime('+ '.$last_block[0]->field_blocked_time_value.' '.$last_block[0]->field_blocked_time_type, $lastWinDate);
                                            
                                        }else{
                                            $blockEndDate = $last_block[0]->field_blocked_winner_to_date;
                                        }
                                        
                                        
                                        if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
                                            $button_success = 'btn-danger';
                                            if($last_block[0]->is_quick_block == 1){
                                                $button_success = 'btn-warning';
                                            }
                                        }
                                        
                                    }
                                  }
    ?>
                            <tr>
                              <td><div class="btn-group">
                                  <button type="button" class="btn <?php echo $button_success; ?> dropdown-toggle toggle-button<?php echo $sms_row -> id; ?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-cog"></span> </button>
                                  <ul class="dropdown-menu">
                                    
                                   <li><a data-toggle="modal" href="#reply-box" data-sms_id="<?php echo $sms_row->id; ?>" class="reply-btn" data-sender_num="<?php echo $sms_row->sender; ?>">Reply</a></li>
                                  </ul>
                                </div></td>
                              <td><a href="<?php echo home_url(); ?>/sms-interactions/?keywords=<?php echo $sms_row -> keyword; ?>"><?php echo $sms_row -> keyword; ?> </a>
                                <?php // echo ($blockEndDate != '') ? date('Y-m-d',$blockEndDate) : ''; ?></td>
                              <td><a href="<?php echo home_url(); ?>/trace/?no=<?php echo $sms_row -> sender; ?>"><?php echo $sms_row -> sender; ?></a></td>
                              <td><?php echo date('d/m/Y h:i A', $sms_row -> timestamp); ?></td>
                              <td><div><?php echo $sms_row -> message; ?></div></td>
                              <td><?php echo $sms_row -> shortcode; ?></td>
                            </tr>
                            <?php } ?>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <!--end table--> 
        </div>
        
        </div>
      </section>
    </div>
  </section>
</section>
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/jquery.progressTimer.js" type="text/javascript"></script> 
<script type="text/javascript" language="javascript">
      $("#progressTimer").progressTimer({
          timeLimit : 50
      });
  
      function pad(n) {
          return n < 10 ? '0' + n : n
      }
  
      setInterval(function() {
          date_now = new Date();
          var cur_date_j = pad(date_now.getHours()) + ":" + pad(date_now.getMinutes()) + ":" + pad(date_now.getSeconds());
          var end_date_p = $("#current_end_date").val();
          //console.log((end_date_p) + ' <->' +pad(cur_date_j))
          if (end_date_p < cur_date_j) {
              location.reload();
          }
  
      }, 5000);
  
    </script>
<?php
  
  get_footer();
      ?>

<script type="text/javascript" language="javascript">
$( document ).ready(function() {
 $(function(){var calcNewYear = setInterval(function(){
	var checkLogin	=	get_template_directory_uri()+'/includes/get-ajax-interaction.php';
	var searchData = '<?php echo $searchQueryEncode?>';
	 $.ajax({
		  method: "POST",
		  url: checkLogin,
		  data: { searchdata:searchData,from:'dashboard' },
			success: function(data) {
				
			$("#interactions-table_wrapper").html(data);		
		}
	  });
 },1 * 10 * 1000);});
});

</script>