<?php
/* Template Name: General Settings */
get_header(); 


global $wpdb;
$getAllFieldsO = $wpdb->get_results("SELECT * FROM wp_general_setting WHERE status = 1");
if(isset($_POST['general_setting_submit'])){
	if(count($getAllFieldsO) > 0){
		foreach($getAllFieldsO as $field){
			$updateQuery = $wpdb->query("UPDATE wp_general_setting SET value = '".$_POST[$field->field]."' WHERE field = '".$field->field."'");
			if($field->field == 'sms_quota') {
				if(isset($_POST[$field->field.'_status']) && $_POST[$field->field.'_status'] == 1){
					$updateQuery = $wpdb->query("UPDATE wp_general_setting SET is_rule_active = 1 WHERE field = '".$field->field."'");
				}else{
					$updateQuery = $wpdb->query("UPDATE wp_general_setting SET is_rule_active = 0 WHERE field = '".$field->field."'");
				}
			}
		}
	}
												
}
$getAllFields = $wpdb->get_results("SELECT * FROM wp_general_setting WHERE status = 1");

?>

<section id="main-content" class=" ">
  <section class="wrapper" >
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <?php 
						      	if(isset($new_general_setting_id) && $new_general_setting_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Added!!.</div>';
								}else if(isset($new_general_setting_id) && $new_general_setting_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
          <div class="row">
            <form id="add_general_setting_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
              <div class="col-md-12 col-sm-9 col-xs-10">
                <?php if(count($getAllFields) > 0){
												foreach($getAllFields as $field){
												?>
                <div class="form-group col-md-8">
                  <label class="form-label" for="<?php echo $field->field?>"><?php echo $field->field_title?>: *
                   <?php if($field->field_instruction != '') {?>
				   <span style="font-size: 11px;">(<?php echo $field->field_instruction;?>)</span>
				   <?php } ?>
                  </label>
                  <span class="desc"></span>
                  <div class="controls">
                    <?php if($field->type == 'text') {?>
                    <input type="text" class="form-control <?php echo $field->field?>" id="<?php echo $field->field?>" required="required" name="<?php echo $field->field?>" value="<?php echo $field->value?>">
                  <?php }else if($field->type == 'textarea') {?>
                    <textarea class="form-control <?php echo $field->field?>" id="<?php echo $field->field?>" required="required" name="<?php echo $field->field?>"><?php echo $field->value?></textarea>
                  <?php } ?>
                  </div>
                </div>
                <div class="form-group col-md-2">
                  <?php if($field->field == 'sms_quota') {?>
                  <label class="form-label" for="<?php echo $field->field?>_status">Rule Status</label>
                  <span class="desc"></span>
                  <div class="controls">
                    <input type="checkbox" class="form-control <?php echo $field->field?>_status" id="<?php echo $field->field?>_status"  name="<?php echo $field->field?>_status" value="1" <?php if($field->is_rule_active == 1){ echo 'checked="checked"';}?> >
                  </div>
                  <?php } ?>
                </div>
                <div class="clearfix"></div>
                <?php } }?>
                <div class="form-group col-md-8">
                  <input type="submit" class="btn btn-info btn-lg" name="general_setting_submit" value="Save"/>
                </div>
              </div>
            </form>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<!-- END CONTENT -->

<?php

get_footer(); 

?>
