<?php
/* Template Name: View Contests */
get_header(); 

$contest_cls	=	new DS_Contest_Controller();
$contests	=	$contest_cls->get_contests();

?>
<section id="main-content" class="">
	<section class="wrapper">
			<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
				<section class="box main-box">
			    	<header class="panel_header">
			    	
			        	<h2 class="title pull-left"><?php echo get_the_title(); ?> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="<?php echo home_url();?>/add-contest/" class="label label-default">Add Contest</a></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
					</header>
			        <div class="content-body">
			      
			      	
			      	<div class="table-responsive" data-pattern="priority-columns">
                                          
											 
											
											 <table id="view_contest_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
												<thead>
													<tr>
                                                        <th>Contest</th>
														<th data-priority="1">Schedule</th>
														<th data-priority="2">Status</th>
																											
                                                    </tr>
												</thead>
												<tbody>
												
<?php 

if($contests)
foreach ($contests as  $contest ){
$contest instanceof DS_Contest_SetGet;
?>	
	<tr>
														<td class="contest_title_td row_title_td">
															<input type="hidden" class="row_id" value="<?php echo $contest->getContest_id(); ?>"/>
															<?php echo $contest->getContest_title(); ?>
														</td>
														<td class="contest_schedule_td"><?php 
														if($contest->getContest_start_date() != 0 && $contest->getContest_start_date()){
															echo date("jS M, Y",strtotime($contest->getContest_start_date())).' - ';	
														}
														if($contest->getContest_end_date() != 0 && $contest->getContest_end_date()){
															echo date("jS M, Y",strtotime($contest->getContest_end_date()));
														}
														?></td>
														
														<td class="contest_actions_td">
															<a href="<?php echo home_url();?>/edit-contest?contest_id=<?php echo $contest->getContest_id(); ?>" class="label label-default"><i class="fa fa-pencil"></i></a>
															<a  href="#"  class="label label-danger delete_btn delete_post_row_btn"><i class="fa fa-trash"></i></a>
														</td>
														
														
													</tr>
<?php }?>													
													


												</tbody>
											</table>
									
                                        </div>  
					</div>
				</section>
			
			</div>     
	</section>
</section>          



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/contest-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 