$(document).ready(function() {
	var obj;
	
    $('#add_program_form').validate({
            focusInvalid: false,
            ignore: "",
            rules: {
        		field_name_value: {
        			minlength	:	2,
        			maxlength	:	100,
                    required	:	true
                },
                field_mobile_no_value: {
                	minlength	:	13,
        			maxlength	:	13,
                    required	:	true
                }
               
            },
            
        });
    
     
    $('.datepicker1S').datetimepicker({
    	format: 'DD/MM/YYYY'
    });
    $('.datepicker1E').datetimepicker({
    	format: 'DD/MM/YYYY',
        useCurrent: false //Important! See issue #1075
    });
	$('.datepicker1W').datetimepicker({
    	format: 'DD/MM/YYYY',
		//minDate: moment()
    });
    $(".datepicker1S").on("dp.change", function (e) {
        $('.datepicker1E').data("DateTimePicker").minDate(e.date);
    });
    $(".datepicker1E").on("dp.change", function (e) {
        $('.datepicker1S').data("DateTimePicker").maxDate(e.date);
    });
    
    $('.program_start_time').datetimepicker({
    	format: 'hh:mm A'
    });
    $('.program_end_time').datetimepicker({
    	format: 'hh:mm A'
    });
    
    
  
    
    $(document).on('click', '.delete_post_row_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var post_id			=	$('.row_id',current_tr).val();
		var row_title_td	=	$('.row_title_td',current_tr).text();
		var confirm_flag = confirm("Are you sure, Do you want to delete "+row_title_td+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	get_template_directory_uri()+'/ajax-delete.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {controller: 'program', action: 'delete', id : post_id }
			})
			  .done(function( data ) {
				 if(data){
			    	view_programs_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
	
});
