$(document).ready(function() {
    if ($.isFunction($.fn.validate)) {
    	
        $('#add_user_form').validate({
            focusInvalid: false,
            ignore: "",
            rules: {
        		display_name: {
        			minlength:	2,
        			maxlength:	100,
                    required: true
                },
                user_email: {
                	maxlength:	200,
                    email: true,
                  
                    remote: "../wp-content/themes/radiopanel/includes/ajax-check-unique-email.php?action=add",
                       
                	
                    required: true
                },
                user_pass: {
                	minlength:	5,
                    maxlength: 25,
                    required: true
                },
                user_conf_pass: {
                    maxlength: 25,
                    equalTo: "#user_pass",
                    required: true
                }
            },
            messages: {
				user_email: {					
					remote: jQuery.validator.format("This email is already in registered!")
				}
			}
        });
        if($('#edit_user_form').size()){
        	var user_id	=	$('#user_id').val();
	        $('#edit_user_form').validate({
	            focusInvalid: false,
	            ignore: "",
	            rules: {
	        		display_name: {
	        			minlength:	2,
	        			maxlength:	100,
	                    required: true
	                },
	                user_email: {
	                	maxlength:	200,
	                    email: true,
	                    remote: "../wp-content/themes/radiopanel/includes/ajax-check-unique-email.php?action=edit&user_id="+user_id,
	                    required: true
	                }
	            },
	            messages: {
					user_email: {					
						remote: jQuery.validator.format("This email is already in registered!")
					}
				}
	        });
	    }
    }
});
