<?php /* Template Name: Dashboard */
  get_header();
  
  $program_controller = new DS_Program_Controller();
  $programs = $program_controller -> get_programs(1);
  $user_controller = new DS_User_Controller();
  $user_setget = new DS_User_SetGet();
  $current_day = strtolower(date("D"));
  $current_time = date("H:i:s");
	$currentProgram = getCurrentProgramDetail();
	$currentProgramId = 0;
	$currentProgramEndTime = 0;
	if(count($currentProgram) > 0){
		$currentProgramId = $currentProgram->program_id;
		$currentProgramEndTime = $currentProgram->program_end_time;
	}
	//print_r($currentProgram);
	$_REQUEST['search_program'] = $currentProgram->program_id;
	$startTime = strtotime(date('Y-m-d').' '.$currentProgram->program_start_time);
	$endTime = strtotime(date('Y-m-d').' '.$currentProgram->program_end_time);
	$searchQuery = 'WHERE 1=1 AND blacklist=0 ';
	$searchQuery .= "AND program_id = ".$_REQUEST['search_program'];
	$searchQuery .= " AND (timestamp BETWEEN $startTime AND $endTime)";
 	$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);
      ?>

<section id="main-content" class=" ">
  <section class="wrapper" >
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> 
         </header>
        <div class="content-body">
        <div class="row">
          <div class="col-md-3">
            <div class="r1_graph4 db_box">
              <?php 
                     
                    
                        foreach ($programs as $programC){
                            $programC	instanceof  DS_Program_SetGet;
                            $programDayList = $programC->getProgram_program_days_id();
                            $program_program_days_id = array();
                            if($programDayList != ''){
                                $program_program_days_id	=	json_decode($programC->getProgram_program_days_id()); 
                            }
                            if(in_array($current_day,$program_program_days_id)){
                                
                                
                                
                                $program_start = date("H:i:s",strtotime($programC->getProgram_start_time()));
                                
                                $program_end = date("H:i:s",strtotime($programC->getProgram_end_time()));
                                
                                if($current_time >= $program_start && $current_time <= $program_end){
                                    
                                    $start_date = new DateTime($current_time);
                                    $since_start = $start_date->diff(new DateTime($program_end));
                                    $remaining_time = '';
                                    if($since_start->h > 0){
                                        $remaining_time .= $since_start->h.' Hour ';
                                    }
                                    if($since_start->i > 0){
                                        $remaining_time .= $since_start->i.' Min ';
                                    }
                                        $remaining_time .= $since_start->s.' Sec ';
                                        
                                        
                        ?>
              <script>
                      
                                          $(function(){
                        var calcNewYear = setInterval(function(){
                        date_future = new Date(<?php echo date("Y, n - 1, d, H, i, s",strtotime($programC->getProgram_end_time())) ?>)
                        date_start = new Date(<?php echo date("Y, n - 1, d, H, i, s",strtotime($programC->getProgram_start_time())) ?>
                          )
  
                          date_now = new Date();
  
                          seconds = Math.floor((date_future - (date_now)) / 1000);
                          minutes = Math.floor(seconds / 60);
                          hours = Math.floor(minutes / 60);
                          days = Math.floor(hours / 24);
  
                          hours = hours - (days * 24);
                          minutes = minutes - (days * 24 * 60) - (hours * 60);
                          seconds = seconds - (days * 24 * 60 * 60) - (hours * 60 * 60) - (minutes * 60);
  
                          var total = date_future - date_start;
                          var progress = date_now - date_start;
  
                          var progressdone = Math.round(progress / total * 100);
                          var progressremain = 100 - progressdone;
                          $("#leftTimeBar").html('<div class="progress-bar progress-bar-warning progress-bar-striped active" role="progressbar" aria-valuenow="' + progressremain + '" aria-valuemin="0" aria-valuemax="100" style="width: ' + progressdone + '%"> <span class="sr-only">' + progressdone + '% Complete</span> </div>');
  
                          var display_text = 'More ';
                          if (hours > 0) {
                              display_text = display_text + hours + " Hour "
                          }
                          if (minutes > 0) {
                              display_text = display_text + minutes + " Min "
                          }
                          display_text = display_text + seconds + " Sec "
                          var cur_date_j = pad(date_now.getHours()) + ":" + pad(date_now.getMinutes()) + ":" + pad(date_now.getSeconds());
                          var end_date_p = $("#current_end_date").val();
                          if (end_date_p > cur_date_j) {
                              $("#time").text(display_text);
                          }
  
                          },1000);
                          });
  
                        </script>
              <input type="hidden" name="current_end_date" id="current_end_date" value="<?php echo $programC -> getProgram_end_time(); ?>" />
              <p> <span class=''> CURRENT PROGRAM </span> </p>
              <p><span><span id="time">More <?php echo $remaining_time; ?></span> <i class='glyphicon glyphicon-time'></i> <?php echo date('hA', strtotime($programC -> getProgram_start_time())) . ' - ' . date('hA', strtotime($programC -> getProgram_end_time())); ?></span> </p>
              <div class="progress" id="leftTimeBar" style="margin-bottom:5px;">
                <div class="progress-bar progress-bar-warning progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 0%"> <span class="sr-only"></span> </div>
              </div>
              <div style="margin:0px 0 10px 0; padding:3px; color:#595656; font-size:16px; font-weight:bold; background-color:#fdb45c;"><?php echo $programC -> getProgram_title(); ?> with
                <?php $program_rjsC = json_decode($programC -> getProgram_program_rjs());
                      if (is_array($program_rjsC)) {
                          $rj_names_arrC = array();
  
                          foreach ($program_rjsC as $program_rjC) {
                              $user_setget -> setUser_id($program_rjC);
  
                              $user_d = $user_controller -> get_user_details_by_id($user_setget);
                              $rj_names_arrC[] = $user_d -> display_name;
                          }
                          echo implode(' and ', $rj_names_arrC);
                      }
                                ?>
              </div>
              <?php
                      break;
                      } } }
    ?>
              <?php 
                     
                        $next_program = 0;
                        foreach ($programs as $programN){
                            $programN	instanceof  DS_Program_SetGet;
                            $programDayList = $programN->getProgram_program_days_id();
                            $program_program_days_id = array();
                            if($programDayList != ''){
                                $program_program_days_id	=	json_decode($programN->getProgram_program_days_id()); 
                            }
        
                            
                            if(in_array($current_day,$program_program_days_id)){
                                
                                $program_start = date("H:i:s",strtotime($programN->getProgram_start_time()));
                                $program_end = date("H:i:s",strtotime($programN->getProgram_end_time()));
                            
                            
                                
                                $start_date = new DateTime($current_time);
                                $since_start = $start_date->diff(new DateTime($program_end));
                                $remaining_time = '';
                                if($since_start->h > 0){
                                    $remaining_time .= $since_start->h.' Hour(s) ';
                                }
                                if($since_start->i > 0){
                                    $remaining_time .= $since_start->i.' Min(s) ';
                                }
                                    $remaining_time .= $since_start->s.' Sec(s) ';
                                    if($next_program == 1){
                                ?>
              <span class=''> NEXT PROGRAM </span> <span><i class='glyphicon glyphicon-time'></i> <?php echo date('hA', strtotime($programN -> getProgram_start_time())) . ' - ' . date('hA', strtotime($programN -> getProgram_end_time())); ?></span>
              <div style="margin:5px 0 10px 0; padding:3px; color:#595656; font-size:16px; font-weight:bold; background-color:#fdb45c;"><?php echo $programN -> getProgram_title(); ?> with
                <?php $program_rjsN = json_decode($programN -> getProgram_program_rjs());
                      if (is_array($program_rjsN)) {
                          $rj_names_arrN = array();
  
                          foreach ($program_rjsN as $program_rjN) {
                              $user_setget -> setUser_id($program_rjN);
  
                              $user_d = $user_controller -> get_user_details_by_id($user_setget);
                              $rj_names_arrN[] = $user_d -> display_name;
                          }
                          echo implode(' and ', $rj_names_arrN);
                      }
                                ?>
              </div>
              <?php
                      break;
                      }
                      if($current_time >= $program_start && $current_time <= $program_end){
                      $next_program = 1;
                      }
                      } }
    ?>
            </div>
            <div class="r1_graph2 db_box"> TODAY SMS: <span class='bold'><?php echo getTotalSMSToday(); ?></span>
              <div class="clearfix"></div>
              YESTERDAY SMS: <span class='bold'><?php echo getTotalSMSYestrday(); ?></span>
              <div class="clearfix"></div>
              THIS MONTH SMS: <span class='bold'><?php echo getTotalSMSMonth(); ?></span> </div>
            <div class="r1_graph1 db_box"> TODAY WINNERS: <span class='bold'><?php echo getTotalBlockToday(); ?></span>
              <div class="clearfix"></div>
              YESTERDAY WINNERS: <span class='bold'><?php echo getTotalBlockYestrday(); ?></span>
              <div class="clearfix"></div>
              THIS MONTH WINNERS: <span class='bold'><?php echo getTotalBlockMonth(); ?></span> </div>
          </div>
          <div class="col-md-9">
            <div class="r3_notification db_box">
              <h2>PROGRAMS SCHEDULE FOR TODAY</h2>
              <ul class="list-unstyled notification-widget">
                <?php if($programs)
                        foreach ($programs as $program){
                            $program	instanceof  DS_Program_SetGet;
                            $program_program_days_id	=	json_decode($program->getProgram_program_days_id()); 
                            
                            $programDayList = $program->getProgram_program_days_id();
                            $program_program_days_id = array();
                            if($programDayList != ''){
                                $program_program_days_id	=	json_decode($program->getProgram_program_days_id()); 
                            }
                            
                            if(in_array($current_day,$program_program_days_id)){
                        ?>
                <li class=" status-away"> <a href="javascript:;">
                  <div class="user-img">
                    <?php $program_rjs = json_decode($program -> getProgram_program_rjs());
  
                          $user_setget -> setUser_id($program_rjs[0]);
                          $user_d = $user_controller -> get_user_details_by_id($user_setget);
                            ?>
                    <img src="<?php echo ($user_d -> _upload_profile_image_url != '') ? $user_d -> _upload_profile_image_url : get_template_directory_uri().'/assets/images/default-profile-pic.png'; ?>" alt="avatar-image" class="img-circle img-inline"> </div>
                  <div> <span class="name"> <strong><?php echo $program -> getProgram_title(); ?></strong> <span class="time small">- Today - <?php echo date('h:i A', strtotime($program -> getProgram_start_time())) . ' to ' . date('h:i A', strtotime($program -> getProgram_end_time())); ?></span> <span class="profile-status away pull-right"></span> </span> <span class="desc small"> with
                    <?php $program_rjs = json_decode($program -> getProgram_program_rjs());
                          if (is_array($program_rjs)) {
                              $rj_names_arr = array();
  
                              foreach ($program_rjs as $program_rj) {
                                  $user_setget -> setUser_id($program_rj);
  
                                  $user_d = $user_controller -> get_user_details_by_id($user_setget);
                                  $rj_names_arr[] = $user_d -> display_name;
                              }
                              echo implode(', ', $rj_names_arr);
                          }
                                ?>
                    . </span> </div>
                  </a> </li>
                <?php }
                          }
   ?>
              </ul>
            </div>
          </div>
        </div>
        <!-- End .row --> 
        
        <!--start table-->
        <div class="row">
          <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
            <section class="box ">
              <header class="panel_header">
                <h2 class="title pull-left"> Latest Interactions </h2>
                
              </header>
              <div class="content-body">
                <div class="row">
                  <div>
                    <div class="col-md-12 col-sm-12 col-xs-12">
                      <div id="interactions-table_wrapper" class="table-responsive" data-pattern="priority-columns">
                        <table cellspacing="0" id="tech-companies-1" class="table table-small-font table-bordered table-striped">
                          <thead>
                            <tr>
                              <th>Settings</th>
                              <th data-priority="1">Keyword</th>
                              <th data-priority="2">Number</th>
                              <th data-priority="2">Time</th>
                              <th data-priority="3">Message</th>
                              <th data-priority="4">Short Code</th>
                            </tr>
                          </thead>
                          <tbody>
                            <?php 
    global  $wpdb;
    //echo "SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC";
	$sms_rows = $wpdb->get_results("SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC LIMIT 0,15");
    
    foreach ($sms_rows as $sms_row){
                                  $total_history = $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."'");
                                  $button_success = '';
                                  $blockEndDate = '';
                                  $last_block = array();
                                  if($total_history > 0){
                                    $button_success = 'btn-success';
                                    $last_block = $wpdb->get_results("SELECT * FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."' ORDER BY id DESC LIMIT 0,1");
                                    if($last_block[0]->field_blocked_winner_value == 'Yes'){
                                        $currentDate = strtotime(date('Y-m-d 23:59:59'));
                                        $lastWinDate = $last_block[0]->field_win_date_value;
                                        
                                        //$blockEndDate = strtotime($lastWinDate .); 
                                        if($last_block[0]->field_blocked_time_value > 0){
                                            
                                            $blockEndDate = strtotime('+ '.$last_block[0]->field_blocked_time_value.' '.$last_block[0]->field_blocked_time_type, $lastWinDate);
                                            
                                        }else{
                                            $blockEndDate = $last_block[0]->field_blocked_winner_to_date;
                                        }
                                        
                                        
                                        if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
                                            $button_success = 'btn-danger';
                                            if($last_block[0]->is_quick_block == 1){
                                                $button_success = 'btn-warning';
                                            }
                                        }
                                        
                                    }
                                  }
    ?>
                            <tr>
                              <td><div class="btn-group">
                                  <button type="button" class="btn <?php echo $button_success; ?> dropdown-toggle toggle-button<?php echo $sms_row -> id; ?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-cog"></span> </button>
                                  <ul class="dropdown-menu">
                                    <li><a data-toggle="modal" href="#view-history-box" class="view-history-btn" data-sender_num="<?php echo $sms_row -> sender; ?>">View History</a></li>
                                  
                                    <li>
                                      <?php if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
                                            ?>
                                      <a data-toggle="modal" href="javascript:;" class="" data-sender_num="<?php echo $sms_row -> sender; ?>">Winner Blocked</a>
                                      <?php }else{ ?>
                                      <a data-toggle="modal" href="#quick-block-box" class="quick-block-btn" data-sender_num="<?php echo $sms_row -> id; ?>">Quick Block Winner</a>
                                      <?php } ?>
                                    </li>
                                    <li>
                                      <?php if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
                                            ?>
                                      <a data-toggle="modal" href="javascript:;" class="" data-sender_num="<?php echo $sms_row -> sender; ?>">Winner Blocked</a>
                                      <?php }else{ ?>
                                      <a href="<?php echo home_url(); ?>/add-history/?user_num=<?php echo $sms_row -> id; ?>" class="block-btn">Block Winner</a>
                                      <?php } ?>
                                    </li>
                                    <li><a data-toggle="modal" href="#black-list-box" class="black-list-btn" data-sender_num="<?php echo $sms_row -> sender; ?>" data-interaction_id="<?php echo $sms_row -> id; ?>">Black List</a></li>
                                    <li> <a data-toggle="modal" href="#short-list-box" class="short-list-btn" data-sender_num="<?php echo $sms_row -> sender; ?>" data-interaction_id="<?php echo $sms_row -> id; ?>">Shortlist</a> </li>
                                  </ul>
                                </div></td>
                              <td><a href="<?php echo home_url(); ?>/sms-interactions/?keywords=<?php echo $sms_row -> keyword; ?>"><?php echo $sms_row -> keyword; ?> </a>
                                <?php // echo ($blockEndDate != '') ? date('Y-m-d',$blockEndDate) : ''; ?></td>
                              <td><a href="<?php echo home_url(); ?>/trace/?no=<?php echo $sms_row -> sender; ?>"><?php echo $sms_row -> sender; ?></a></td>
                              <td><?php echo date('d/m/Y h:i A', $sms_row -> timestamp); ?></td>
                              <td><div><?php echo $sms_row -> message; ?></div></td>
                              <td><?php echo $sms_row -> shortcode; ?></td>
                            </tr>
                            <?php } ?>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <!--end table--> 
        </div>
        <div class="row" style="display:none;">
        <div class="col-md-8 col-sm-12 col-xs-12">
          <div class="wid-vectormap"></div>
        </div>
        <div class="col-md-4 col-sm-12 col-xs-12">
          <div class="r2_graph1 db_box">
            <form id="rickshaw_side_panel">
              <section>
                <div id="legend"></div>
              </section>
              <section>
                <div id="renderer_form" class="toggler"></div>
              </section>
              <section>
                <div id="offset_form">
                  <label for="stack">
                    <input type="radio" name="offset" id="stack" value="zero" checked>
                    <span>stack</span> </label>
                  <label for="stream">
                    <input type="radio" name="offset" id="stream" value="wiggle">
                    <span>stream</span> </label>
                  <label for="pct">
                    <input type="radio" name="offset" id="pct" value="expand">
                    <span>pct</span> </label>
                  <label for="value">
                    <input type="radio" name="offset" id="value" value="value">
                    <span>value</span> </label>
                </div>
                <div id="interpolation_form">
                  <label for="cardinal">
                    <input type="radio" name="interpolation" id="cardinal" value="cardinal" checked>
                    <span>cardinal</span> </label>
                  <label for="linear">
                    <input type="radio" name="interpolation" id="linear" value="linear">
                    <span>linear</span> </label>
                  <label for="step">
                    <input type="radio" name="interpolation" id="step" value="step-after">
                    <span>step</span> </label>
                </div>
              </section>
            </form>
            <div id="chart_container" class="rickshaw_ext">
              <div id="chart"></div>
              <div id="timeline"></div>
            </div>
            <div id='rickshaw_side_panel' class="rickshaw_sliders">
              <section>
                <div id="smoother"></div>
              </section>
              <section>
                <div id="preview" class="rickshaw_ext_preview"></div>
              </section>
            </div>
          </div>
          <!-- 
                   </div>
              </div>
              <!-- End .row -->
          
          <div class="row" style="display:none;">
            <div class="col-md-5 col-sm-12 col-xs-12">
              <div class="r1_maingraph db_box">
                <div id="db_morris_line_graph" style="height:272px;width:95%; display:none;"></div>
                <div id="db_morris_area_graph" style="height:272px;width:90%;display:none;"></div>
                <div id="db_morris_bar_graph" style="height:272px;width:90%;display:none;"></div>
              </div>
            </div>
          </div>
          <!-- End .row --> 
          
        </div>
      </section>
    </div>
  </section>
</section>
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/jquery.progressTimer.js" type="text/javascript"></script> 
<script type="text/javascript" language="javascript">
      $("#progressTimer").progressTimer({
          timeLimit : 50
      });
  
      function pad(n) {
          return n < 10 ? '0' + n : n
      }
  
      setInterval(function() {
          date_now = new Date();
          var cur_date_j = pad(date_now.getHours()) + ":" + pad(date_now.getMinutes()) + ":" + pad(date_now.getSeconds());
          var end_date_p = $("#current_end_date").val();
          //console.log((end_date_p) + ' <->' +pad(cur_date_j))
          if (end_date_p < cur_date_j) {
              location.reload();
          }
  
      }, 5000);
  
    </script>
<?php
  
  get_footer();
      ?>

<script type="text/javascript" language="javascript">
$( document ).ready(function() {
 $(function(){var calcNewYear = setInterval(function(){
	var checkLogin	=	get_template_directory_uri()+'/includes/get-ajax-interaction.php';
	var searchData = '<?php echo $searchQueryEncode?>';
	 $.ajax({
		  method: "POST",
		  url: checkLogin,
		  data: { searchdata:searchData,from:'dashboard' },
			success: function(data) {
				
			$("#interactions-table_wrapper").html(data);		
		}
	  });
 },1 * 10 * 1000);});
});

</script>