

<?php
/* Template Name: Edit Program */
get_header(); 
global $wpdb;
$program_controller	=	new DS_Program_Controller();

if(isset($_POST['submit'])){
	
	$oldDetails = $wpdb->get_row("SELECT * FROM wp_program WHERE program_id = ".$_REQUEST['program_id']);
	
	$new_program_id		=	$program_controller->save_program();
	$newDetails = $wpdb->get_row("SELECT * FROM wp_program WHERE program_id = ".$_REQUEST['program_id']);
	
	$activity_type = 'update';
	$activity_on = 'program';
	$activity_id = $new_program_id;
	$activity_desc = 'Update Program';
	
	
	if($oldDetails->program_title != $newDetails->program_title){
		$updatedVal = 1;
		$updatedDetails['program_title'] = $oldDetails->program_title;
	}
	
	if($oldDetails->program_genre != $newDetails->program_genre){
		$updatedVal = 1;
		$updatedDetails['program_genre'] = $oldDetails->program_genre;
	}
	
	if($oldDetails->program_description != $newDetails->program_description){
		$updatedVal = 1;
		$updatedDetails['program_description'] = $oldDetails->program_description;
	}
	
	if($oldDetails->program_time_span != $newDetails->program_time_span){
		$updatedVal = 1;
		$updatedDetails['program_time_span'] = $oldDetails->program_time_span;
	}
	
	if($oldDetails->program_start_time != $newDetails->program_start_time){
		$updatedVal = 1;
		$updatedDetails['program_start_time'] = $oldDetails->program_start_time;
	}
	
	if($oldDetails->program_end_time != $newDetails->program_end_time){
		$updatedVal = 1;
		$updatedDetails['program_end_time'] = $oldDetails->program_end_time;
	}
	
	if($oldDetails->program_start_date != $newDetails->program_start_date){
		$updatedVal = 1;
		$updatedDetails['program_start_date'] = $oldDetails->program_start_date;
	}
	
	if($oldDetails->program_end_date != $newDetails->program_end_date){
		$updatedVal = 1;
		$updatedDetails['program_end_date'] = $oldDetails->program_end_date;
	}
	
	if($oldDetails->program_program_days_id != $newDetails->program_program_days_id){
		$updatedVal = 1;
		$updatedDetails['program_program_days_id'] = $oldDetails->program_program_days_id;
	}
	if($oldDetails->program_program_rjs != $newDetails->program_program_rjs){
		$updatedVal = 1;
		$updatedDetails['program_program_rjs'] = $oldDetails->program_program_rjs;
	}
	if($oldDetails->program_active != $newDetails->program_active){
		$updatedVal = 1;
		$updatedDetails['program_active'] = $oldDetails->program_active;
	}
	if($oldDetails->program_status != $newDetails->program_status){
		$updatedVal = 1;
		$updatedDetails['program_status'] = $oldDetails->program_status;
	}
	
	if(count($updatedDetails) > 0 && $updatedVal == 1){
		currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	}
	header('location: ' . home_url().'/view-programs');
	exit;
}

$user_controller	=	new DS_User_Controller();
$user_list	=	$user_controller->get_panel_users();

if(isset($_REQUEST['program_id'])){
	$program_id	=	$_REQUEST['program_id'];
	
	
	$program_setget	=	new DS_Program_SetGet();
	$program_setget->setProgram_id($program_id);
	
	$program_setget	=	$program_controller->get_program_details_by_id($program_setget);
	if($program_setget){
		$program_id					=	$program_setget->getProgram_id();
		$program_title				=	$program_setget->getProgram_title();
		$program_description		=	$program_setget->getProgram_description();
		$program_genre				=	$program_setget->getProgram_genre();
		$program_time_span			=	$program_setget->getProgram_time_span();
		$program_start_time			=	$program_setget->getProgram_start_time();
		$program_end_time			=	$program_setget->getProgram_end_time();
		$program_start_date			=	$program_setget->getProgram_start_date();
		$program_end_date			=	$program_setget->getProgram_end_date();
		$program_program_days_id	=	$program_setget->getProgram_program_days_id();
		$program_program_rjs		=	$program_setget->getProgram_program_rjs();
		
		if($program_program_rjs){
			$program_program_rjs		=	$program_program_rjs;
		}
		if($program_program_days_id){
			$program_program_days_id	=	$program_program_days_id;
		}
	}
}
?>

 <section id="main-content" class=" ">
                <section class="wrapper" >

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                        <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left">Create Program</h2>
                               <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                            </header>
                            <div class="content-body">
                            <?php 
					      	if(isset($new_program_id) && $new_program_id == true){
								echo '<div class="alert alert-success alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Success:</strong> Updated!!.</div>';
							}else if(isset($new_program_id) && $new_program_id == false){
								echo '<div class="alert alert-danger alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Error:</strong> Please try again!.</div>';
							}
					      	?>
                                <div class="row">
                                	<form id="add_program_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-8">
                                                <label class="form-label" for="program_title">Program *</label>
                                                <span class="desc">e.g. "New Program Name"</span>
                                                <div class="controls">
                                                    <input type="text" class="form-control" id="program_title" name="program_title" value="<?php if(isset($program_title)) echo $program_title;?>">
                                                    <input type="hidden" id="program_id" name="program_id" value="<?php if($program_id) echo $program_id;?>">
                                                </div>
                                            </div>
											
											<div class="clearfix"></div>
                                            <div class="form-group col-md-8">
                                                <label class="form-label" for="program_genre">Genre: *</label>
                                                <span class="desc">e.g. "A free-form description of the musical genre"</span>
                                                <div class="controls">
                                                    <input value="<?php if(isset($program_genre)) echo $program_genre;?>" type="text" class="form-control" id="program_genre" name="program_genre">
                                                </div>
                                            </div>
											
                                            
											<div class="clearfix"></div>
											
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_time_span">Time Span: *</label>
                                                <span class="desc">in Mins</span>
                                                <div class="controls">
													 <input value="<?php if(isset($program_time_span)) echo $program_time_span;?>" type="text" class="form-control" id="program_time_span" name="program_time_span"> 
                                                </div>
                                            </div>
											
											
											<div class="clearfix"></div>
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_start_time">Program Start Time: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group program_start_time' id=''>
														<input value="<?php if(isset($program_start_time)) echo date('H:i A',strtotime($program_start_time));?>" type='text' class="form-control" id="program_start_time" name="program_start_time" />
														<span class="input-group-addon">
															<span class="glyphicon glyphicon-time"></span>
														</span>
													</div>
													<div class="errorTxt"></div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_end_time">Program End Time: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group program_end_time' id=''>
														<input value="<?php if(isset($program_end_time)) echo date('H:i A',strtotime($program_end_time));?>" type='text' class="form-control"  id="program_end_time" name="program_end_time"/>
														<span class="input-group-addon">
															<span class="glyphicon glyphicon-time"></span>
														</span>
													</div>
                                                </div>
                                            </div>
										
											
                                            <div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_start_date">Program Start Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date program_start_date' id=''>
														<input value="<?php if($program_start_date && $program_start_date != '0000-00-00') echo date('d/m/Y',strtotime($program_start_date));?>" type='text' class="form-control"  id="program_start_date" name="program_start_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
											<div class="form-group col-md-3 ">
                                                <label class="form-label" for="program_end_date">Program End Date: </label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                     <div class='input-group date program_end_date' id=''>
														<input value="<?php if($program_end_date  && $program_end_date != '0000-00-00') echo date('d/m/Y',strtotime($program_end_date));?>" type='text' class="form-control" id="program_end_date" name="program_end_date"/>
														<span class="input-group-addon">
															 <span class="glyphicon glyphicon-calendar"></span>
														</span>
													</div>
                                                </div>
                                            </div>
                                           <div class="clearfix"></div>
											<div class="">
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="sun" id="program_day_sun" name="program_days[]" class="">
													<label class="form-label" for="program_day_sun">Sunday</label>
												</div>	
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="mon" id="program_day_mon" name="program_days[]" class="">
													<label class="form-label" for="program_day_mon">Monday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="tue" id="program_day_tue" name="program_days[]" class="">
													<label class="form-label" for="program_day_tue">Tuesday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="wed" id="program_day_wed" name="program_days[]" class="">
													<label class="form-label" for="program_day_wed">Wednesday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="thu" id="program_day_thu" name="program_days[]" class="">
													<label class="form-label" for="program_day_thu">Thrusday</label>
												</div>	
												<div class=" col-md-2 ">
													<input tabindex="5" type="checkbox" value="fri" id="program_day_fri" name="program_days[]" class="">
													<label class="form-label" for="program_day_fri">Friday</label>
												</div>	
												<div class="col-md-2 ">
													<input tabindex="5" type="checkbox" value="sat" id="program_day_sat" name="program_days[]" class="">
													<label class="form-label" for="program_day_sat">Saturday</label>
												</div>	
												<input type="hidden" id="program_days_prev" name="program_days_prev" value='<?php if($program_program_days_id) echo $program_program_days_id;?>'/>
											</div>
											<div class="clearfix margin10"></div>
											<div class="form-group col-md-12">
												<label class="form-label" for="program_description">Description *</label>
												<span class="desc">e.g. "Enter any size of text description here"</span>
												<div class="controls">
													<textarea class="bootstrap-wysihtml5-textarea" id="program_description" name="program_description" placeholder="Enter text ..." style="width: 100%; height: 250px; font-size: 14px; line-height: 23px;padding:15px;"><?php if(isset($program_description)) echo $program_description;?></textarea>
												</div>
											</div>
											<div class="form-group col-md-8">
                                                <label class="form-label" for="program_rjs">RJ's *</label>
												<span class="desc"></span>
                                                <div class="controls">
                                                	<select class="" id="program_rjs" name="program_rjs[]" multiple>
													<?php 
														if($user_list)
														foreach ($user_list->results as $user){
															echo '<option value="'.$user->ID.'">'.$user->display_name.'</option>';
														}
													?>
													</select>
                                                </div>
                                                <input type="hidden" id="program_rjs_prev" name="program_rjs_prev" value='<?php if($program_program_rjs) echo $program_program_rjs;?>'/>
                                            </div>											
											<div class="form-group col-md-8">
												<input type="submit" name="submit"	class="btn btn-info btn-lg" value="Save" />
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->
             



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/program-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 

