<?php
/* Template Name: SMS Reports*/
get_header(); 
global  $wpdb;

$searchQuery = 'WHERE 1=1 ';
//require get_template_directory() . '/views/blocks/search-data-code.php';
$total_records = $wpdb->get_var("SELECT COUNT(*) FROM wp_sms_reports $searchQuery");
$page = (get_query_var('page')) ? get_query_var('page') : 1;
if ($page <= 0) $page = 1;
 
$per_page = 20; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+20;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;
	
//echo "SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_sms_reports $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page";
$sms_rows = $wpdb->get_results("SELECT r.*,u.display_name FROM wp_sms_reports r LEFT JOIN wp_users u ON u.ID = r.uid $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page");
$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);

?>


<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?> (<?php echo $total_records?>)</h2>
        </header>
        <div class="content-body">
          <div class="row">
            <div> </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="row">
                
                <div class="col-md-12 col-sm-12 col-xs-12">
                
                  <div class="table-responsive" data-pattern="priority-columns">
                    <div id="interactions-table_wrapper" class="dataTables_wrapper form-inline no-footer">
                      <table id="interactions-table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
                        <thead>
                          <tr>
                            <th>Date</th>
                            <th data-priority="1">Sender ID</th>
                            <th data-priority="2">To No</th>
                            <th data-priority="2">From</th>
                            <th data-priority="3">Message</th>
                            
                          </tr>
                        </thead>
                        <tbody>
                          <?php foreach ($sms_rows as $sms_row){
							 
?>
                          <tr>
                            <td><?php echo date('d/m/Y h:i A',$sms_row->timestamp); ?></td>
                            <td><?php echo $sms_row->sender_id; ?></td>
                            <td><?php echo $sms_row->number; ?></td>
                            <td><?php echo $sms_row->display_name; ?></td>
                             <td><?php echo $sms_row->msg; ?></td>
                            
                          </tr>
                          <?php } ?>
                        </tbody>
                      </table>
                      <div class="row">
                        <div class="col-xs-6">
                          <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                        </div>
                        <div class="col-xs-6">
                          <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                            <?php 
								pagination($total_records, $per_page,$page,'');
							?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>

