<?php
/* Template Name: Panel Users */
get_header(); 


$user_roles = currentUserRoleIds();
if(!in_array(5,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}
$user_controller	=	new DS_User_Controller();
$user_list	=	$user_controller->get_panel_users();



	

$edit_user = false;
$delete_user = false;
if(in_array(25,$user_roles) || get_current_user_id() == 1 )
	$edit_user = true;

if(in_array(26,$user_roles) || get_current_user_id() == 1 )
	$delete_user = true;
	
?>

<section id="main-content" class=" ">
  <section class="wrapper">
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="table-responsive" data-pattern="priority-columns">
            <table id="view_panel_user_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
              <thead>
                <tr>
                  <th width="10%">Name</th>
                  <th width="9%">Email</th>
                  <th width="15%" data-priority="1">Roles</th>
                  <th width="22%" data-priority="1">Email  Notification</th>
                  <th width="16%" data-priority="2">Status</th>
                  <th width="15%" data-priority="3">Last Login</th>
                  <th width="13%" data-priority="4">Actions</th>
                </tr>
              </thead>
              <tbody>
                <?php 

if($user_list)
foreach ($user_list->results as $user){
	$user_roles = $wpdb->get_row("SELECT * FROM wp_roles WHERE ID=".$user->user_role_id);
		$role = $user_roles->role_title;
		
?>
                <tr>
                  <td class="display_name_td"><input type="hidden" class="user_id_td" value="<?php echo $user->ID; ?>"/>
                    <?php echo $user->display_name; ?></td>
                  <td class="user_email_td"><?php echo $user->user_email; ?></td>
                  <td class="user_email_td"><?php echo stripcslashes($role);?></td>
                  <td class="user_email_td"><?php echo($user->receive_email_noti == 1) ? 'Active' : 'Inactive';?></td>
                  <td class="user_status_td"><?php if(get_user_meta( $user->ID, '_user_status', true )) echo 'Active'; else echo 'Deactive'; ?></td>
                  <td class="last_login_td"><?php if($last_login =	get_user_meta( $user->ID, '_last_login', true )) echo $last_login; else echo '-'; ?></td>
                  <td class="actions_td"><?php if($edit_user == true) {?>
                    <a href="<?php echo home_url();?>/edit-panel-user?userid=<?php echo $user->ID; ?>" class="label label-default"><i class="fa fa-pencil"></i></a>
                    <?php }  if($delete_user == true) {?>
                    <a href="<?php echo home_url();?>/delete-panel-user?userid=<?php echo $user->ID; ?>"  class="label label-danger delete_btn delete_user_btn"><i class="fa fa-trash"></i></a></td>
                  <?php } ?>
                </tr>
                <?php }?>
              </tbody>
            </table>
          </div>
        </div>
      </section>
    </div>
  </section>
</section>
<?php

get_footer(); 

?>
<script>
$(document).ready(function(){
	
		view_panel_user_table	=	$("#view_panel_user_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false,
	});
	$(document).on('click', '.delete_user_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var user_id			=	$('.user_id_td',current_tr).val();
		var display_name	=	$('.display_name_td',current_tr).text();
		
		var confirm_flag = confirm("Are you sure, Do you want to delete "+display_name+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	'<?php echo home_url();?>'+'/wp-content/themes/radiopanel/includes/ajax-delete-user.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {user_id : user_id}
			})
			  .done(function( data ) {
			    if(data){
					view_panel_user_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
});
</script> 
