$(document).ready(function() {
	$('.auto-replay').change(function(){
		smsuid_updates(false);
	});
	$('.get_new_smsid').click(function(){
		smsuid_updates(true);
	});
	function smsuid_updates(force_update){
		var new_keyword = $('.keyword_input').val().trim();
		if($('[name="keyword_auto_replay"]:checked').val() == '1'){
			$('.response_textarea').addClass('required').removeAttr('disabled','disabled');
			new_keyword	=	new_keyword.replace(/ /g, '');
			if(new_keyword != ''){
				if($.trim($('.response_textarea').val()) == '' || force_update){
					var ajax_url	=	 "../wp-content/themes/suno1024/includes/ajax-get-smsuid.php";
					$.ajax({
						  method: "POST",
						  url: ajax_url,
					})
					  .done(function( msg ) {
						  msg	=	$.trim(msg);
						  smsuid	=	new_keyword+''+msg;
						  alert(smsuid);
						  var res_txt	='Your ID is ['+smsuid+']';
						  $('#keyword_response').val(res_txt);
						  $('#keyword_smsuid').val(smsuid);
					});
				}
			}
		}else{
			$('.response_textarea').html('').removeClass('required').attr('disabled','disabled');
		}
	}
	if($('#keyword_auto_replay_hidden').size() && $('#keyword_auto_replay_hidden').val() != ''){
		$('[name="keyword_auto_replay"][value="'+$('#keyword_auto_replay_hidden').val()+'"]').attr('checked','checked');
	}
	if($('#keyword_active_hidden').size() && $('#keyword_active_hidden').val() != ''){
		$('[name="keyword_active"][value="'+$('#keyword_active_hidden').val()+'"]').attr('checked','checked');
	}
	$('.auto-replay').trigger('change');
    $('#add_keyword_form').validate({
            focusInvalid: false,
            ignore: "",
            rules: {
        		keyword_title: {
        			minlength	:	2,
        			maxlength	:	100,
                    required	:	true
                },
                keyword_response: {
                
        			maxlength	:	160,
                   
                },
               
                keyword_active: {
                	required	:	true
                }
			}
           
        });
    
        
   
    $('.keyword_start_date').datetimepicker({
    	
    	format: 'DD/MM/YYYY'
    });
    $('.keyword_end_date').datetimepicker({
    	format: 'DD/MM/YYYY',
        useCurrent: false //Important! See issue #1075
    });
   
	view_keywords_table	=	$("#view_keywords_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false,
	});
    $(document).on('click', '.delete_post_row_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var post_id			=	$('.row_id',current_tr).val();
		var row_title_td	=	$('.row_title_td',current_tr).text();
		var confirm_flag = confirm("Are you sure, Do you want to delete "+row_title_td+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	get_template_directory_uri()+'/ajax-delete.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {controller: 'keyword', action: 'delete', id : post_id }
			})
			  .done(function( data ) {
			    if(data){
			    	view_keywords_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
	
});
