<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
require get_template_directory() . '/views/blocks/common-function.php';
global $wpdb;
$keyword_controller	=	new DS_Keyword_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$searchQuery = 'WHERE 1=1 AND blacklist=0 ';
$keywordsS = '';
if(isset($_REQUEST['search_keyword']) && $_REQUEST['search_keyword'] != ''){
	$searchQuery .= " AND keyword='$_REQUEST[search_keyword]'";
	$keywordsS = $_REQUEST['search_keyword'];
}

if(isset($_REQUEST['searchdata']) && $_REQUEST['searchdata'] != ''){
	//$searchQuery = stripcslashes(urldecode($_GET['search']));
	$searchQuery = encrypt_decrypt('decrypt', $_REQUEST['searchdata']);
}

$total_records = $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions $searchQuery");
if(isset($_REQUEST['from']) && $_REQUEST['from'] == 'smspage'){
$page = 1;
if ($page <= 0) $page = 1;
 
$per_page = 50; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+50;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;

//echo "SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page";
$sms_rows = $wpdb->get_results("SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page");
}else{
	
	$sms_rows = $wpdb->get_results("SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC");
}
$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);

?>
 <table id="interactions-table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
                        <thead>
                          <tr>
                            <th>Settings</th>
                            <th data-priority="1">Keyword</th>
                            <th data-priority="2">Number</th>
                            <th data-priority="2">Time</th>
                            <th data-priority="3">Message</th>
                            <th data-priority="4">Short Code</th>
                          </tr>
                        </thead>
                        <tbody id="sms_interaction_data">
                          <?php foreach ($sms_rows as $sms_row){
							  $total_history = $wpdb->get_var("SELECT COUNT(*) FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."'");
							  $button_success = '';
							  $blockEndDate = '';
							  $last_block = array();
							  if($total_history > 0){
							  	$button_success = 'btn-success';
							  	$last_block = $wpdb->get_results("SELECT * FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."' ORDER BY id DESC LIMIT 0,1");
								if($last_block[0]->field_blocked_winner_value == 'Yes'){
									$currentDate = strtotime(date('Y-m-d 23:59:59'));
									$lastWinDate = $last_block[0]->field_win_date_value;
									
									//$blockEndDate = strtotime($lastWinDate .); 
									if($last_block[0]->field_blocked_time_value > 0){
										
										$blockEndDate = strtotime('+ '.$last_block[0]->field_blocked_time_value.' '.$last_block[0]->field_blocked_time_type, $lastWinDate);
										
									}else{
										$blockEndDate = $last_block[0]->field_blocked_winner_to_date;
									}
									
									
									if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
										$button_success = 'btn-danger';
										if($last_block[0]->is_quick_block == 1){
											$button_success = 'btn-warning';
										}
									}
									
								}
							  }
?>
                          <tr>
                            <td><div class="btn-group">
                                <button type="button" class="btn <?php echo $button_success;?> dropdown-toggle toggle-button<?php echo $sms_row->id; ?>" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-cog"></span> </button>
                                <ul class="dropdown-menu">
                                  <li><a data-toggle="modal" href="#view-history-box" class="view-history-btn" data-sender_num="<?php echo $sms_row->sender; ?>">View History</a></li>
                                  <li><a data-toggle="modal" href="#reply-box" class="reply-btn" data-sender_num="<?php echo $sms_row->sender; ?>" data-interaction_id="<?php echo $sms_row->id; ?>">Reply</a></li>
                                  <li>
                                  <?php if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
										?> <a data-toggle="modal" href="javascript:;" class="" data-sender_num="<?php echo $sms_row->sender; ?>">Winner Blocked</a> <?php 
									}else{?>
                                  <a data-toggle="modal" href="#quick-block-box" class="quick-block-btn" data-sender_num="<?php echo $sms_row->id; ?>">Quick Block Winner</a> <?php } ?></li>
                                  <li>
                                  <?php if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
										?> <a data-toggle="modal" href="javascript:;" class="" data-sender_num="<?php echo $sms_row->sender; ?>">Winner Blocked</a> <?php 
									}else{?>
                                  <a href="<?php echo home_url();?>/add-history/?user_num=<?php echo $sms_row->id; ?>" class="block-btn">Block Winner</a> <?php } ?></li>
                                  
                                  <li><a data-toggle="modal" href="#black-list-box" class="black-list-btn" data-sender_num="<?php echo $sms_row->sender; ?>" data-interaction_id="<?php echo $sms_row->id; ?>">Black List</a></li>
                                  
                                   <li>
                                  
									<a data-toggle="modal" href="#short-list-box" class="short-list-btn" data-sender_num="<?php echo $sms_row->sender; ?>" data-interaction_id="<?php echo $sms_row->id; ?>">Shortlist</a>
									
                                    </li>
                                </ul>
                              </div></td>
                            <td><a href="<?php echo home_url();?>/sms-interactions/?keywords=<?php echo $sms_row->keyword; ?>"><?php echo $sms_row->keyword; ?> </a> <?php // echo ($blockEndDate != '') ? date('Y-m-d',$blockEndDate) : '';?></td>
                            <td><a href="<?php echo home_url();?>/trace/?no=<?php echo $sms_row->sender; ?>"><?php echo $sms_row->sender; ?></a></td>
                            <td><?php echo date('d/m/Y h:i A',$sms_row->timestamp); ?></td>
                            <td><div><?php echo $sms_row->message; ?></div></td>
                            <td><?php echo $sms_row->shortcode; ?></td>
                          </tr>
                          <?php } ?>
                        </tbody>
                      </table>
                      <?php if(isset($_REQUEST['from']) && $_REQUEST['from'] == 'smspage'){?>
                      <div class="row">
                        <div class="col-xs-6">
                          <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                        </div>
                        <div class="col-xs-6">
                          <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                            <?php 
								pagination($total_records, $per_page,$page,urlencode($searchQueryEncode),$keywordsS);
							?>
                          </div>
                        </div>
                      </div>
                      <?php } ?>
  <script type="text/javascript">
							$(document).ready(function() {
				 
				  var maxLength = 160;
					$('#reply_message').keyup(function() {
					  var length = $(this).val().length;
					  var length = maxLength-length;
					  $('#display_count').text(length);
					});

				}); 
				$(document).ready(function() {
					$( ".black-list-btn" ).click(function() {
						$('#black_list_no').val($(this).data( "sender_num"));
						$('.interaction_id').val($(this).data( "interaction_id"));
					});
				
					$( ".reply-btn" ).click(function() {
						$('#reciver_num').val($(this).data( "sender_num"));
						$('#reply_message').val('');
						$('.interaction_id').val($(this).data( "interaction_id"));
					});
					
					$( ".view-history-btn" ).click(function() {
					 	var user_num =  $(this).data( "sender_num");
						$.ajax({
							url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-user-history-list.php',
							type: 'POST',
							data: {user_num:user_num},
							success: function(data) {
								if (data != '')
								{
									$('#history-content').html(data);
									
								}
							}
						});
					});
					$( ".delete_history" ).click(function() {
					 	var history_id =  $(this).data( "delete_id");
						$.ajax({
							url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-user-history-delete.php',
							type: 'POST',
							data: {history_id:history_id},
							success: function(data) {
								if (data.trim() == 'SUCCESS')
								{
									$( ".delete-history-"+history_id ).remove();
									
								}
							}
						});
					});
					$( ".quick-block-btn" ).click(function() {
					 	var user_num =  $(this).data( "sender_num");
						$.ajax({
							url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-quick-block.php',
							type: 'POST',
							data: {user_num:user_num},
							success: function(data) {
								if (data != '')
								{
									$('#quick-block-box-inner').html(data);
									
								}
							}
						});
					});
					$( ".short-list-btn" ).click(function() {
					 	var user_num =  $(this).data( "sender_num");
						var interaction_id =  $(this).data( "interaction_id");
						$.ajax({
							url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-short-list.php',
							type: 'POST',
							data: {user_num:user_num,interaction_id:interaction_id},
							success: function(data) {
								if (data != '')
								{
									$('#short-list-box-inner').html(data);
									
								}
							}
						});
					});
				});
				function addToBlackList(){
					
					var str = $( "#form-black-list" ).serialize();
					$.ajax({
						url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-add-black-list.php',
						type: 'POST',
						data: str,
						success: function(data) {
							if (data.trim() == 'OK')
								location.reload();
							else
								alert('Something goes wrong !!!');
						}
					});
					
				}
				function sendReplyToSMS(){
					
					var str = $( "#form-send-sms" ).serialize();
					$.ajax({
						url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/send-sms-reply.php',
						type: 'POST',
						data: str,
						success: function(data) {
							if (data.trim() == 'OK'){
								showSuccess('Your message has been sent');
								$(".btn-close-modal").click();
							}else if (data.trim() == 'SMS LIMIT'){
								alert('SMS Quota exceeded, Please upgrade');
								return false;
							}else{
								alert('Something goes wrong !!!');
								return false;
							}
						}
					});
					
				}
				function checkOther(reason){
					if(reason == 'Other')
						$( ".other-reason" ).removeClass('hidden');
					else
						$( ".other-reason" ).addClass('hidden');
				
					return true;
				}
                            </script>