<?php

function ds_save_keyword(){
	if(isset($_REQUEST['keyword_id'])){
		$keyword_id	=	$_REQUEST['keyword_id'];
	}else{
		$keyword_id	=	false;
	}
	$keyword_title				=	$_REQUEST['keyword_title'];
	$keyword_response			=	$_REQUEST['keyword_response'];
	$keyword_status				=	$_REQUEST['keyword_status'];
	
	$keyword_admin_only			=	$_REQUEST['keyword_admin_only'];
	$keyword_auto_replay		=	$_REQUEST['keyword_auto_replay'];
	$keyword_start_date			=	$_REQUEST['keyword_start_date'];
	$keyword_end_date			=	$_REQUEST['keyword_end_date'];
	$keyword_smsuid				=	$_REQUEST['keyword_smsuid'];
	
	
	
	$keyword_details = array(
		'post_title'    => $keyword_title,
		'post_content'  => $keyword_response,
		'post_type'		=> 'keyword_post',
		'post_status'	=>	$keyword_status,
		'post_author'   => get_current_user_id(),
	);
	
	// Insert the post into the database
	if($keyword_id){
		$keyword_details['ID']	=	$keyword_id;
		$keyword_id	=	wp_update_post( $keyword_details );
	}else{
		$keyword_id	=	wp_insert_post( $keyword_details );
	}
	if($keyword_id){
		update_post_meta( $keyword_id, '_keyword_admin_only'	, $keyword_admin_only);
		update_post_meta( $keyword_id, '_keyword_auto_replay'	, $keyword_auto_replay);
		update_post_meta( $keyword_id, '_keyword_start_date'	, $keyword_start_date);
		update_post_meta( $keyword_id, '_keyword_end_date'		, $keyword_end_date);
		if($keyword_smsuid	&& $keyword_smsuid != ''){
			update_post_meta( $keyword_id, '_keyword_smsuid'		, $keyword_smsuid);
		}
	}
	return $keyword_id;
}
function ds_get_keywords(){
	
	$args = array(
	 	'posts_per_page'   => 20,
		'offset'           => 0,
		'category'         => '',
		'category_name'    => '',
		'orderby'          => 'date',
		'order'            => 'DESC',
		'include'          => '',
		'exclude'          => '',
		'meta_key'         => '',
		'meta_value'       => '',
		'post_type'        => 'keyword_post',
		'post_mime_type'   => '',
		'post_parent'      => '',
		'author'	   => '',
		'post_status'      => 'publish,draft',
		'suppress_filters' => true 
	);
	$keywords_array = get_posts( $args ); 
	if($keywords_array) return $keywords_array; else return false;
}
function ds_get_keyword_details_by_id($keyword_id){
	if($keyword_details	=	get_post($keyword_id)){
		
		$keyword_details->keyword_admin_only		=	get_post_meta($keyword_id, '_keyword_admin_only', 	true );
		$keyword_details->keyword_auto_replay		=	get_post_meta($keyword_id, '_keyword_auto_replay', 	true );
		$keyword_details->keyword_start_date		=	get_post_meta($keyword_id, '_keyword_start_date', 	true );
		$keyword_details->keyword_end_date			=	get_post_meta($keyword_id, '_keyword_end_date', 	true );
		
		return $keyword_details;
	}else{
		return false;
	}
}