<?php
Class DS_On_Air_Model{
	public function update_contest(){
		global $wpdb;
		$table	=	$wpdb->prefix.'on_air_contest';
		$db_transaction_flag	=	true;
		$data	=	array( 
			'contest_title'		=>	$_REQUEST['contest_title'],
			'contest_start_date'	=>	$_REQUEST['contest_start_date'],
			'contest_end_date'		=>	$_REQUEST['contest_end_date'],
			'contest_keyword'		=>	$_REQUEST['contest_keyword'],
			'contest_suggested_answer'	=>	$_REQUEST['contest_suggested_answer'],
			'contest_answer'		=>	$_REQUEST['contest_answer'],
			'contest_active'		=>	$_REQUEST['contest_active'],
			'contest_response'		=>	$_REQUEST['contest_response'],	
		);
					
					
		//$wpdb->query('START TRANSACTION');
		 			
		if($_REQUEST['contest_id']){
			$contest_id	=	$_REQUEST['contest_id'];
			$where	=	array('contest_id'	=> $contest_id);
			$update_flag	=	$wpdb->update( $table,  $data , $where);
			if($update_flag	=== false){
				$db_transaction_flag	=	$contest_id	=	false;			
			}
		}else{
			$insert_flag	=	$wpdb->insert(	$table,	$data	);
			if($insert_flag){
				$contest_id	=	$wpdb->insert_id;	
			}else{
				$db_transaction_flag	=	false;
			}
			
		}
		
		if($db_transaction_flag){
			//$wpdb->query('COMMIT');		
		}else{
			//$wpdb->query('ROLLBACK');
			$contest_id	=	false;
		}
		return $contest_id;
	}
	
	public function get_contests(){
		global $wpdb;
		$contest_list_arr	=	array();
		$table	=	$wpdb->prefix.'on_air_contest';
		
		$contest_list = $wpdb->get_results( 
			"SELECT 
			
			contest_id, 
			contest_title, 
			contest_start_date, 
			contest_end_date, 
			contest_keyword, 
			contest_answer, 
			contest_suggested_answer, 
			contest_response, 
			contest_created_date, 
			contest_updated_date, 
			contest_active,
			is_winner
			FROM $table
			WHERE contest_status = 1 ORDER BY contest_id desc"	);
		
		return $contest_list;
	}
	public function get_contest_details_by_id($contest_id){
		if($contest_id){
			global $wpdb;
			$table	=	$wpdb->prefix.'on_air_contest';
			$contest_list_arr	=	array();
			$poll = $wpdb->get_row( 
				"SELECT 
				
				*
				
				FROM $table
				WHERE contest_id = $contest_id and contest_status = 1 "	);
			
			
			return $poll;
			
		}else{
			return false;
		}
	}
	
	public function delete(){
		if($contest_obj->getContest_id()){
			global $wpdb;
			$table	=	$wpdb->prefix.'on_air_contest';
			$contest_id	=	$contest_obj->getContest_id();
			$data	=	array( 
						'contest_status' 	=> 0 
					);
			$where		=	array('contest_id'	=> $contest_id);
			$contest_update_return		=	$wpdb->update( $table,  $data , $where);
			return $contest_update_return;
		}else{
			return false;
		}
	}
	
	public function contest_vote($userId,$contest_id,$contest_choice_id){
		
			global $wpdb;
			$table	=	$wpdb->prefix.'contest_votes';
		
		
		$data	=	array( 
						'contest_id' 		=> $contest_id, 
						'contest_choice_id' 		=> $contest_choice_id,
						'user_id' 	=> $userId,
						'ip_address' 	=> $_SERVER['REMOTE_ADDR'],
						'created' 	=> time(),	
					);
					$this->update_contest_vote_count($contest_choice_id,'add');
			$contest_update_return		=	$wpdb->insert( $table,  $data);
			return $contest_update_return;
		
	}
	
	public function contest_vote_cancel($userId,$contest_id,$contest_choice_id){
		
			global $wpdb;
			$this->update_contest_vote_count($contest_choice_id,'remove');
			$wpdb->query( "DELETE FROM wp_contest_votes WHERE user_id=$userId AND contest_id = $contest_id");
			return 1;
		
	}
	
}
?>