<?php
/* Template Name: Add History */
get_header(); 

$history_controller	=	new DS_History_Controller();
$program_controller	=	new DS_Program_Controller();
$user_controller	=	new DS_User_Controller();
$contest_controller	=	new DS_Contest_Controller();

if(isset($_POST['history_submit'])){	
$new_id		=	$history_controller->save_history();
$activity_type = 'insert';
$activity_on = 'block';
$activity_id = $new_id;
$activity_desc = 'Block';
currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'');
	
header('location: ' . home_url().'/sms-interactions');
exit;
}
$rj_list	=	$user_controller->get_rj_list();
$programs	=	$program_controller->get_programs(1);
$contests	=	$contest_controller->get_contests_by_date();
$continent_list = $wpdb->get_results("SELECT * FROM wp_continents ORDER BY order_by ASC");

if(isset($_GET['user_num'])){
	$user_numI = $_GET['user_num'];
}
$currentProgramId = 0;
$currentRjId = 0;

$getInteractionDetail = $wpdb->get_row("SELECT * FROM wp_radio_interactions WHERE id = $user_numI");
$user_num = $getInteractionDetail->sender;
$currentProgramId = $getInteractionDetail->program_id;
$currentRjId = $getInteractionDetail->user_id;
if (substr($user_num, 0, 1) === '+') {
}else{
	$user_num = '+'.$user_num;
}
?>

<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left">Create History / Block Winner</h2>
        </header>
        <div class="content-body">
        <?php 
					      	if(isset($new_id) && $new_id == true){
								echo '<div class="alert alert-success alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Success:</strong> Updated!!.</div>';
							}else if(isset($new_id) && $new_id == false){
								echo '<div class="alert alert-danger alert-dismissible fade in">
						                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
						             <strong>Error:</strong> Please try again!.</div>';
							}
					      	?>
          <div class="row">
          <form id="edit_history_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
           <input type="hidden" id="interaction_id" name="interaction_id" value="<?php if($getInteractionDetail->id) echo $getInteractionDetail->id;?>">
            <div class="col-md-12 col-sm-9 col-xs-10">
            <?php //print_r($history_details);?>
              <div class="form-group col-md-6">
                <label class="form-label" for="formfield1">Name *</label>
                <span class="desc"></span>
                <div class="controls">
                  <input type="text" class="form-control" id="field_name_value" name="field_name_value" value="<?php echo $history_details->field_name_value?>">
                  
                </div>
              </div>
              <div class="form-group col-md-6 ">
                <label class="form-label" for="formfield1">Number: *</label>
                <span class="desc"></span>
                <div class="controls">
                  <input type="text" class="form-control" id="field_mobile_no_value" name="field_mobile_no_value" value="<?php echo $user_num;?>">
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Program: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="field_program_nid" id="field_program_nid" class="form-control">
                    <?php 
													if($programs){
													foreach ($programs as $program){
														$program	instanceof  DS_Program_SetGet;
													?>
                    <option value="<?php echo $program->getProgram_id(); ?>" <?php if($currentProgramId == $program->getProgram_id()) {?> selected="selected" <?php } ?>><?php echo $program->getProgram_title(); ?></option>
                    <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Rj: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="field_rj_uid" id="field_rj_uid" class="form-control">
                    <?php 
														if($rj_list){
															foreach ($rj_list->results as $user){
														?>
                    <option value="<?php echo $user->ID; ?>" <?php if($currentRjId == $user->ID) {?> selected="selected" <?php } ?> ><?php echo $user->display_name; ?></option>
                    <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 ">
                <label class="form-label" for="formfield1">Contest: </label>
                <span class="desc"></span>
                <div class="controls">
                  <select name="contest_id" class="form-control contest-dp" id="contest_id" onchange="return changeContestPrize(this.value);">
                    <option value="">- None -</option>
                    <?php 
						if($contests){
						foreach ($contests as $contest){
							$contest	instanceof  DS_Contest_SetGet;
						?>
                        <option value="<?php echo $contest->getContest_id(); ?>" ><?php echo $contest->getContest_title(); ?></option>
                        <?php } }?>
                  </select>
                </div>
              </div>
              <div class="form-group col-md-3 contest-prize-block" style="display:block;">
                <label class="form-label" for="formfield1">Contest Prizes: </label>
                <span class="desc"></span>
                <div class="controls" id="contest_price_block">
                  <select name="contest_prize_id" class="form-control contest-dp" id="contest_prize_id">
                     <option value="">- None -</option>
                     
                    
                    </select>

                </div>
              </div>
              <div class="form-group col-md-6">
                <label class="form-label" for="formfield1">Country:</label>
                <span class="desc"></span>
                <div class="controls">
                <select name="field_country_value" class="form-control" id="field_country_value">
                 <?php 
                     if($continent_list && count($continent_list) > 0) {
                         foreach ($continent_list as $continent){
                    ?>
                      <optgroup label="<?php echo $continent->name?>">
                      <?php $country_list = $wpdb->get_results("SELECT * FROM wp_countries WHERE continent_code = '$continent->code' ORDER BY name ASC"); 
						   if($country_list && count($country_list) > 0) {
							 foreach ($country_list as $country){ ?>
							<option value="<?php echo $country->name?>" <?php if(strtolower($country->name) == strtolower('United Arab Emirates')) {?> selected="selected" <?php } ?>><?php echo $country->name?></option>
							<?php }
						}
					  ?>
                      </optgroup>  
                    
                    <?php } } ?>
                </select>
                  
                </div>
              </div>
              <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Wining/Block Date: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1W' id=''>
                        <input type='text' name="field_win_date_value" id="field_win_date_value" class="form-control date-block1" value="<?php echo date('d/m/Y'); ?>"/>
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
              <div class="clearfix">
                <div>
                  <div class="form-group col-md-12 ">
                    <label class="form-label" for="formfield1">Gender:</label>
                    <span class="desc"></span>
                    <input tabindex="5" type="radio" value="Male" id="flat-radio-1" name="field_gender_value" class="skin-flat-blue" checked="checked">
                    <label class="iradio-label form-label" for="flat-radio-1" >Male</label>
                    <input tabindex="5" type="radio" value="Female" id="flat-radio-2"  name="field_gender_value" class="skin-flat-blue" >
                    <label class="iradio-label form-label" for="flat-radio-2">Female</label>
                  </div>
                  <div class="form-group col-md-12">
                    <label class="form-label" for="formfield1">Block Winner: *</label>
                    <span class="desc"></span>
                    <input tabindex="5" type="radio" value="Yes" id="flat-radio-1" name="field_blocked_winner_value" class="skin-flat-blue" checked="checked">
                    <label class="iradio-label form-label" for="flat-radio-1" >Yes</label>
                    <input tabindex="5" type="radio" value="No" id="flat-radio-2"  name="field_blocked_winner_value" class="skin-flat-blue">
                    <label class="iradio-label form-label" for="flat-radio-2">No</label>
                  </div>
                  <div class="form-group col-md-5">
                    <label class="form-label" for="formfield1">Block Winner By Days / Weeks / Months / Years: </label>
                    <span class="desc"></span>
                    <div class="controls form-inline">
                      <div class="form-group">
                        <input type="text" class="form-control date-block2" style="width:100px;" id="field_blocked_time_value" name="field_blocked_time_value" value="" placeholder="Ex: 10">
                        <select name="field_blocked_time_type" id="field_blocked_time_type" class="form-control input-md date-block2">
                          <option value="0" selected="selected">-- Select --</option>
                          <option value="Days" >Day/Days</option>
                          <option value="Weeks" >Week/Weeks</option>
                          <option value="Months" >Month/Months</option>
                          <option value="Years" >Year/Years</option>
                        </select>
                      </div>
                      <span style="float:right;">OR</span>
                    </div>
                  </div>
                  <?php // field_blocked_winner_from_date ?>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">Block Winner From: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1S' id=''>
                        <input type='text' name="field_blocked_winner_from_date" id="field_blocked_winner_from_date" class="form-control date-block1" value=""/>
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <div class="form-group col-md-3 ">
                    <label class="form-label" for="formfield1">To: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <div class='input-group date datepicker1E' id=''>
                        <input type='text' class="form-control date-block1" name="field_blocked_winner_to_date" id="field_blocked_winner_to_date" value="" />
                        <span class="input-group-addon"> <span class="glyphicon glyphicon-calendar"></span> </span> </div>
                    </div>
                  </div>
                  <!--<div class="form-group col-md-4 ">
                    <label class="form-label" for="formfield1">Prize Won: </label>
                    <span class="desc"></span>
                    <div class="controls">
                      <input type='text' class="form-control"  />
                    </div>
                  </div>-->
                  <div class="form-group col-md-12">
                    <label class="form-label" for="field-6">Remark:</label>
                    <span class="desc"></span>
                    <div class="controls">
                      <textarea name="field_remarks_value" id="field_remarks_value" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
                    </div>
                  </div>
                  <div class="form-group col-md-8">
                    <input type="submit" class="btn btn-info btn-lg" name="history_submit" value="Save"/>
                  </div>
                </div>
              </div>
            </div>
          </form>
          </div>
        </div>
        <!-- End .row --> 
        
      </section>
    </div>
  </section>
</section>

<!-- END CONTENT -->

<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/history-page.js" type="text/javascript"></script> 
<script>
	
	function changeContestPrize(contest_id){
		$.ajax({
			url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/change-contest-prize-list.php',
			type: 'POST',
			data: {contest_id:contest_id},
			success: function(data) {
				if (data != '')
				{
					$('#contest_price_block').html(data);
					
				}
			}
		});
						
	}
</script> 

<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 

