<?php 
/* Template Name: BlackList SMS Interaction */
get_header(); 
global  $wpdb;

$searchQuery = 'WHERE 1=1 AND blacklist=1 ';
//require get_template_directory() . '/views/blocks/search-data-code.php';
$total_records = $wpdb->get_var("SELECT COUNT(*) FROM wp_radio_interactions $searchQuery");
$page = (get_query_var('page')) ? get_query_var('page') : 1;
if ($page <= 0) $page = 1;
 
$per_page = 20; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+20;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;
	
//echo "SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page";
$sms_rows = $wpdb->get_results("SELECT id, keyword, message, sender, shortcode, timestamp FROM wp_radio_interactions $searchQuery ORDER BY id DESC LIMIT $startpoint,$per_page");
$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);

?>


<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="row">
            <div> </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="row">
                    <div class="col-md-9">
                      <div class="btn-group pull-left bottom15">
                        <button type="button" class="btn btn-primary">Export</button>
                        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false"> <span class="fa fa-download"></span> <span class="sr-only">Toggle Dropdown</span> </button>
                        <ul class="dropdown-menu" role="menu">
                         
                          <li><a href="<?php echo get_template_directory_uri().'/includes/export-interaction-blacklist.php'?>">Export All </a></li>
                        </ul>
                      </div>
                    </div>
                    <div class="col-md-3">
                   
                    </div>
                    
                  </div>
              <div class="row">
                
                <div class="col-md-12 col-sm-12 col-xs-12">
                
                  <div class="table-responsive" data-pattern="priority-columns">
                    <div id="interactions-table_wrapper" class="dataTables_wrapper form-inline no-footer">
                      <table id="interactions-table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
                        <thead>
                          <tr>
                            <th>Settings</th>
                            <th data-priority="1">Keyword</th>
                            <th data-priority="2">Number</th>
                            <th data-priority="2">Time</th>
                            <th data-priority="3">SMS</th>
                            <th data-priority="4">Short Code</th>
                          </tr>
                        </thead>
                        <tbody>
                          <?php foreach ($sms_rows as $sms_row){
							  $button_success = '';
							  $blockEndDate = '';
							  $last_block = array();
							  if($total_history > 0){
							  	$button_success = 'btn-success';
							  	$last_block = $wpdb->get_results("SELECT * FROM wp_interaction_history ih WHERE ih.field_mobile_no_value = '+".$sms_row->sender."' ORDER BY id DESC LIMIT 0,1");
								if($last_block[0]->field_blocked_winner_value == 'Yes'){
									$currentDate = strtotime(date('Y-m-d 23:59:59'));
									$lastWinDate = $last_block[0]->field_win_date_value;
									
									//$blockEndDate = strtotime($lastWinDate .); 
									if($last_block[0]->field_blocked_time_value > 0){
										
			$blockEndDate = strtotime('+ '.$last_block[0]->field_blocked_time_value.' '.$last_block[0]->field_blocked_time_type, $lastWinDate);
			
		}else{
			$blockEndDate = $last_block[0]->field_blocked_winner_to_date;
		}
									
									
									if(($blockEndDate != '') && ($currentDate <= $blockEndDate)){
										$button_success = 'btn-danger';
									}
									
								}
							  }
?>
                          <tr>
                            <td><div class="btn-group">
                                <button type="button" class="btn <?php echo $button_success;?> dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="fa fa-cog"></span> </button>
                                <ul class="dropdown-menu">
                                  <li><a data-toggle="modal" href="#view-history-box" class="view-history-btn" data-sender_num="<?php echo $sms_row->sender; ?>">View History</a></li>
                                  <li><a data-toggle="modal" href="#reply-box" class="reply-btn">Reply</a></li>
                                </ul>
                              </div></td>
                            <td><a href="<?php echo home_url();?>/sms-interactions/?search_keyword=<?php echo $sms_row->keyword; ?>"><?php echo $sms_row->keyword; ?> </a> <?php // echo ($blockEndDate != '') ? date('Y-m-d',$blockEndDate) : '';?></td>
                            <td><a href="<?php echo home_url();?>/trace/?no=<?php echo $sms_row->sender; ?>"><?php echo $sms_row->sender; ?>(<?php echo $total ?>)</a></td>
                            <td><?php echo date('d/m/Y h:i A',$sms_row->timestamp); ?></td>
                            <td><div><?php echo $sms_row->message; ?></div></td>
                            <td><?php echo $sms_row->shortcode; ?></td>
                          </tr>
                          <?php } ?>
                        </tbody>
                      </table>
                      <div class="row">
                        <div class="col-xs-6">
                          <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                        </div>
                        <div class="col-xs-6">
                          <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                            <?php 
								pagination($total_records, $per_page,$page,'');
							?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>

