<?php
/* Template Name: Edit User */
get_header(); 

$login_user_details = get_userdata(get_current_user_id());

$user_roles = array();
if($login_user_details->user_roles != '')
	$user_roles = explode(',',trim($login_user_details->user_roles));
$user_id	=	$_REQUEST['userid'];
if(get_current_user_id() == 1 || get_current_user_id() == $user_id){

}else{
	wp_redirect( home_url());
	exit;
}
$currentUserId = get_current_user_id();
$program_controller	=	new DS_Program_Controller();
$programs	=	$program_controller->get_programs(1);
$user_controller	=	new DS_User_Controller();

if(isset($_REQUEST['submit'])){
	
	
	$user_registration_flag	=	$user_controller->user_registration() ;
	//$role_id = $_POST['role_id'];
	//$updateRole = $wpdb->query("UPDATE wp_users SET user_role_id = $role_id WHERE ID = ".$_POST['user_id']);
}	
if(isset($_REQUEST['userid'])){
	
	$user_setget	=	new DS_User_SetGet();
	$user_setget->setUser_id($user_id);
	$user_details	=	$user_controller->get_user_details_by_id($user_setget);
	
	if($user_details){
		$display_name		=	$user_details->data->display_name;
		$user_email			=	$user_details->data->user_login;
		$profile_pic_url	=	$user_details->data->_upload_profile_image_url;
		$designation		=	$user_details->data->_designation;
		$user_status		=	(int)$user_details->data->_user_status;
		$email_notification		=	(int)$user_details->data->receive_email_noti;
		$user_role			=	$user_details->data->_role;
		$user_role_id		=	$user_details->data->user_role_id;
		$is_login_outside = $user_details->data->is_login_outside;
		$is_auto_logout = $user_details->data->is_auto_logout;
		$user_pass = $user_details->data->user_pass;
	}
	
	$userDetail = $wpdb->get_row("SELECT * FROM wp_users WHERE ID = ".$_REQUEST['userid']);
	
}

	



?>

<section id="main-content" class=" ">
	<section class="wrapper" >
			<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
				<section class="box main-box">
			    	<header class="panel_header">
			        	<h2 class="title pull-left"><?php echo get_the_title(); ?></h2>
                        <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
					</header>
			        <div class="content-body">			      	
			      	<?php 
					$user_programs = $userDetail->user_programs_list;
			      	if(isset($user_registration_flag) && $user_registration_flag == true){
						echo '<div class="alert alert-success alert-dismissible fade in">
				                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
				             <strong>Success:</strong> Updated!!.</div>';
					}else if(isset($user_registration_flag) && $user_registration_flag == false){
						echo '<div class="alert alert-danger alert-dismissible fade in">
				                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
				             <strong>Error:</strong> Please try again!.</div>';
					}
			      	
			      	
			      	?>
			      	<form id="edit_user_form" action="" novalidate="novalidate" method="post"  enctype="multipart/form-data">
							<div class="row">
	                                    <div class="col-md-8 col-sm-9 col-xs-10">
	
												<div class="form-group">
														<div class="col-md-3 col-sm-9 col-xs-10"> 
															<img src="<?php if(isset($profile_pic_url) && $profile_pic_url  != '') echo $profile_pic_url; else echo home_url().'/wp-content/themes/suno1024/assets/images/default-profile-pic.png';?>" class="img-responsive img-circle profile_pic_element" id="profile_pic_element">
														</div>
														<div class="col-md-9 col-sm-9 col-xs-10"> 
															
															<label class="form-label" for="formfield1">Profile Picture</label>
														   	<span class="desc">Recomended  Size: 120 X 120</span>
															<div class="controls">
																<input type="file" class="form-control" id="profile_pic_url" name="profile_pic_url">
															</div>
														</div>	
														
													
	                                            </div>
												<div class="clearfix" style="padding: 20px;"></div>
												<div class="form-group">
	                                                <label class="form-label" for="display_name">Name *</label>
	                                                <span class="desc">e.g. "RJ Pallavi"</span>
	                                                <div class="controls">
	                                                	<input type="hidden" class="form-control" id="user_id" name="user_id" value="<?php if(isset($user_id))echo $user_id;?>">
                                                        
                                                        <input type="hidden" class="form-control" id="user_pass" name="user_pass" value="<?php if(isset($user_pass))echo $user_pass;?>">
                                                        
	                                                    <input type="text" class="form-control" id="display_name" name="display_name" value="<?php if(isset($display_name))echo $display_name;?>">
	                                                </div>
	                                            </div>
												<div class="clearfix" ></div>
	                                            <div class="form-group">
	                                                <label class="form-label" for="user_email">Email *</label>
	                                                <span class="desc">e.g. "some@example.com"</span>
	                                                <div class="controls">
	                                                    <input type="text" class="form-control" id="user_email" name="user_email" value="<?php if(isset($user_email))echo $user_email;?>">
	                                                    <a class="btn btn-info btn-sm pull-right change_password" data-toggle="modal" href="#update-password" data-sender_num="<?php echo $sms_row->sender; ?>" style="margin-top:10px;">Change Password</a>
	                                                </div>
	                                            </div>
												<div class="clearfix" ></div>
	                                            
	                                            <div class="clearfix" ></div>
												<div class="form-group">
	                                                <label class="form-label" for="formfield9">Designation</label>
	                                                <span class="desc"></span>
	                                                <div class="controls">
	                                                    <input type="text" class="form-control" id="designation" name="designation"  value="<?php if(isset($designation))echo $designation;?>" <?php echo (get_current_user_id() == 1 ) ? '' : 'readonly="readonly"';?> >
	                                                 </div>
	                                            </div>
												<div class="clearfix" ></div>
												<div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
													<label class="form-label" for="formfield1">User Status:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="user_status_active" value="1" name="user_status" class="skin-flat-blue" <?php  if(isset($user_status) && $user_status == '1') echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="user_status_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="user_status_deactive" value="0" name="user_status" class="skin-flat-blue"  <?php if(isset($user_status) && $user_status == '0') echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="user_status_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                <div class="clearfix" ></div>
												<div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
													<label class="form-label" for="formfield1">Email Notification:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="email_notification_active" value="1" name="receive_email_noti" class="skin-flat-blue" <?php  if(isset($email_notification) && $email_notification == 1) echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="user_status_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="email_notification_deactive" value="0" name="receive_email_noti" class="skin-flat-blue"  <?php if(isset($email_notification) && $email_notification == '0') echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="user_status_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                
												  <div class="clearfix" ></div>
												<div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
													<label class="form-label" for="formfield1">Login From Outside Office:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="is_login_outside_active" value="1" name="is_login_outside" class="skin-flat-blue" <?php  if(isset($is_login_outside) && $is_login_outside == 1) echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="is_login_outside_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="is_login_outside_deactive" value="0" name="is_login_outside" class="skin-flat-blue"  <?php if(isset($is_login_outside) && $is_login_outside == '0') echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="is_login_outside_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                
                                                <div class="clearfix" ></div>
												<div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
													<label class="form-label" for="formfield1">Do not logout after current program over:</label>
													<ul class="list-unstyled">
														<li>
															<input tabindex="5" type="radio" id="is_auto_logout_active" value="1" name="is_auto_logout" class="skin-flat-blue" <?php  if(isset($is_auto_logout) && $is_auto_logout == 1) echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="is_auto_logout_active">Active</label>
														</li>
														<li>
															<input tabindex="5" type="radio" id="is_auto_logout_deactive" value="0" name="is_auto_logout" class="skin-flat-blue"  <?php if(isset($is_auto_logout) && $is_auto_logout == '0') echo 'checked="checked"';?>>
															<label class="iradio-label form-label" for="is_auto_logout_deactive">Inactive</label>
														</li>
													</ul>
												</div>
                                                <div class="clearfix" ></div>	
                                                <?php if($user_id > 1){?>
												<div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
	                                                <label class="form-label" for="role_chk">Roles </label>
	                                                
													<select class="form-control" name="role_id" id="role_id">
														<option value="">None</option>
														<?php
															$roles = $wpdb->get_results('SELECT * FROM `wp_roles` WHERE 1=1 ORDER BY `id` ASC');
															
															foreach($roles as $role){ ?>
																<option value='<?php echo $role->id ?>' <?php if($role->id == $user_role_id) { echo 'selected="selected"';}?> ><?php echo stripslashes($role->role_title) ?></option>
															<?php }
														?>
													</select>
													<input type="hidden" name="prev_role_selected" value="<?php echo $user_role;?>"/>
	                                               	<a href="<?php echo home_url();	?>/manage-roles/" type="button" class="btn btn-info btn-sm " style="margin-top:5px;">Create Manual Role</a>
	                                            </div>
                                                
                                                <div class="form-group" style="display:<?php echo (get_current_user_id() == 1 ) ? 'block' : 'none';?>">
	                                                <label class="form-label" for="role_chk">Attached Programs </label>
	                                                
													<select class="" id="user_programs" name="user_programs[]" multiple>
													 <?php 
													if($programs){
													foreach ($programs as $program){
														$program	instanceof  DS_Program_SetGet;
														
														
													?>
													<option value="<?php echo $program->getProgram_id(); ?>"><?php echo $program->getProgram_title(); ?></option>	
														
													<?php 
													} }?>
													</select>
													<input type="hidden" id="user_programs_prev" name="user_programs_prev" value='<?php if($user_programs) echo $user_programs;?>'/>
	                                               	
	                                            </div>
                                               
                                               
                                               <?php 
                                               }else{
													echo '<input type="hidden" name="role_id" id="role_id"  value="0"/>';
												} ?>
                                               <input type="hidden" name="role" id="role" value="<?php echo $user_role?>" />
                    
                                                <div class="form-group">
													<input type="submit" class="btn btn-info btn-lg" name="submit" value="Submit" />
												</div>
	                                     </div>
	                                </div>
							</form>
					</div>
				</section>
			
			</div>     
	</section>
</section>          



<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/user-form-validation.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
<script>

function readURL(input) {

    if (input.files && input.files[0]) {
        var reader = new FileReader();

        reader.onload = function (e) {
            $('#profile_pic_element').attr('src', e.target.result);
        }

        reader.readAsDataURL(input.files[0]);
    }
}

$(document).ready(function(){

	$("#profile_pic_url").change(function(){
	    readURL(this);
	});
	prev_role_selected	=	$('#edit_user_form [name="prev_role_selected"]').val();
	$('#edit_user_form [name="role"] option[value="'+prev_role_selected+'"]').attr({'selected':'selected'});	
});

</script>
<div class="modal fade" id="update-password"  tabindex="-1" role="dialog" aria-labelledby="ultraModal-Label" aria-hidden="true">
<form name="update-password-form" id="update-password-form" method="post" action="">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Update Password</h4>
      </div>
      <div class="modal-body">
        <div class="row">
        <?php if(get_current_user_id() != 1){?>
          <div class="col-md-12">
            <div class="form-group">
              <label for="field-1" class="control-label">Old Password *</label>
              <input type="password" class="form-control" id="old_password" name="old_password" placeholder="Old Password" required="required">
            </div>
          </div>
          <?php } ?>
          <div class="col-md-12">
            <div class="form-group">
              <label for="field-2" class="control-label">New Password *</label>
              <input type="password" class="form-control" id="password" name="password" placeholder="New Password" required="required">
            </div>
          </div>
          <div class="col-md-12">
            <div class="form-group">
              <label for="field-2" class="control-label">Retype Password *</label>
              <input type="password" class="form-control" id="re_password" name="re_password" placeholder="Retype Password" required="required">
            </div>
          </div>
        </div>
        
      </div>
      <div class="modal-footer">
       <input type="hidden" name="cp_user_id" class="cp_user_id" id="cp_user_id" value="<?php if(isset($user_id))echo $user_id;?>" />
          <button type="button" class="btn btn-info update-password">Update</button>
        <!--button type="button" class="btn btn-info" data-dismiss="modal" onclick="showSuccess('Your message has been succeeded')">Send</button -->
        <button type="button" class="btn btn-info close-button" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
  </form>
</div>

<script type="text/javascript">
$(document).ready(function() {
	
	$( ".update-password" ).click(function() {
	
		var str = $( "#update-password-form" ).serialize();
		$.ajax({
			url: '<?php echo home_url();?>/wp-content/themes/suno1024/includes/ajax-quick-update-password.php',
			type: 'POST',
			data: str,
			success: function(data) {
				if (data.trim() != '')
				{
					if (data.trim() == 'PASSWORD'){
						alert("Current password not matched.");
						return false;
					}else if (data.trim() == 'BLANK'){
						alert("Fields can not be blank.");
						return false;
					}else if (data.trim() == 'REPASSWORD'){
						alert("New Password and Retype Password not matched.");
						return false;
					}else{
						$(".close").click();
						showSuccess("Updated Successfully!");
					}
				}
			}
		});
					
	});
	
	
	if($('#user_programs_prev').size() && $('#user_programs_prev').val() != ''){
		var user_programs_prev	=	jQuery.parseJSON($('#user_programs_prev').val());
		
		if(user_programs_prev){
			$.each( user_programs_prev, function( key, value ) {
					
				  $('#user_programs option[value="'+value+'"]').attr('selected','selected');
			});
		}
	}
	
	
	$("#user_programs").select2({
        placeholder: 'Select Program\'s',
        allowClear: true
    }).on('select2-open', function() {
        // Adding Custom Scrollbar
        $(this).data('select2').results.addClass('overflow-hidden').perfectScrollbar();
    });
    
});
</script>