<?php 
/* Template Name: Email Notification List */
get_header(); 
global  $wpdb;



$sms_rows = $wpdb->get_results("SELECT * FROM wp_email_table ORDER BY id DESC");



?>


<section id="main-content" class=" ">
  <section class="wrapper">
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="table-responsive" data-pattern="priority-columns">
            <table id="view_panel_user_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
              <thead>
                <tr>
                  <th width="10%">Sr. No</th>
                  <th width="9%">Dated on </th>
                 <th width="9%">View Content</th>
                 
                </tr>
              </thead>
              <tbody>
                <?php 

if($sms_rows){
	$i = 1;
foreach ($sms_rows as $email){
	
		
?>
                <tr>
                  
                  <td class="user_email_td"><?php echo $i; ?></td>
                  <td class="user_email_td"><?php echo $email->date;?></td>
                  <td class="user_email_td"><a href="<?php echo home_url().'/view-notification-email?id=';?><?php echo $email->id;?>" onclick="window.open(this.href,'targetWindow','toolbar=no,location=no,status=no,menubar=no, scrollbars=yes, resizable=yes,width=600,height=800');return false;"> View </a></td>
                  
                  
                  
                </tr>
                <?php $i++; } }?>
              </tbody>
            </table>
          </div>
        </div>
      </section>
    </div>
  </section>
</section>
<?php

get_footer(); 

?>
<script>
$(document).ready(function(){
	
		view_panel_user_table	=	$("#view_panel_user_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false,
	});
	$(document).on('click', '.delete_user_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var user_id			=	$('.user_id_td',current_tr).val();
		var display_name	=	$('.display_name_td',current_tr).text();
		
		var confirm_flag = confirm("Are you sure, Do you want to delete "+display_name+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	'<?php echo home_url();?>'+'/wp-content/themes/suno1024/includes/ajax-delete-user.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {user_id : user_id}
			})
			  .done(function( data ) {
			    if(data){
					view_panel_user_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
});
</script> 


 