<?php
/* Template Name: Shortlisted Users*/
get_header(); 
$login_user_details = get_userdata(get_current_user_id());
$user_roles = array();
if($login_user_details->user_roles != '')
	$user_roles = explode(',',trim($login_user_details->user_roles));

$delete_user = false;
if(in_array(48,$user_roles) || get_current_user_id() == 1 )
	$delete_user = true;
	
	
if((isset($_REQUEST['action']) && $_REQUEST['action'] == 'delete') && $_REQUEST['id'] != '' && $delete_user == true){
	$id = $_REQUEST['id'];
	$oldDetails = $wpdb->get_row("SELECT * FROM wp_shortlist WHERE id = ".$_REQUEST['id']);
	$activity_type = 'delete';
	$activity_on = 'short_listed_user';
	$activity_id = $_REQUEST['id'];
	$activity_desc = 'Delete Short Listed User';
	$updatedDetails = (array)$oldDetails;
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	
	$wpdb->query("DELETE FROM wp_shortlist WHERE id=".$id);
	wp_redirect( home_url().'/shortlist-users/');
	exit;
}
if(!in_array(41,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}

$shortlist_num = $wpdb->get_results("SELECT s.*,c.contest_title FROM wp_shortlist s LEFT JOIN wp_contest c ON c.contest_id = s.contest_id WHERE 1=1 ORDER BY id DESC");

?>

<section id="main-content" class="">
  <section class="wrapper">
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box main-box">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
          <div class="table-responsive" data-pattern="priority-columns">
            <table id="view_shortlist_table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
              <thead>
                <tr>
                  <th>Number</th>
                  <th data-priority="1">Name</th>
                  <th data-priority="1">Contest</th>
                  <th data-priority="1">Shortlisted On</th>
                  <?php if($delete_user == true) {?>
                  <th data-priority="2">Actions</th>
                  <?php } ?>
                </tr>
              </thead>
              <tbody>
                <?php 

if($shortlist_num)
foreach ($shortlist_num as $shortlist){

?>
                <tr>
                  <td class="row_title_td"><input type="hidden" class="row_id" value="<?php echo $shortlist->id; ?>"/>
                    <?php echo $shortlist->number; ?></td>
                  <td class="shortlist_response_td"><?php echo $shortlist->name; ?></td>
                  <td class="shortlist_response_td"><?php echo $shortlist->contest_title; ?></td>
                  <td class="shortlist_response_td"><?php echo date('Y-m-d H:i:s',$shortlist->shortlist_on); ?></td>
                  <?php 
					if($delete_user == true) {?>
                  <td class="actions_td"><a href="javascript:;" onclick="return confirmDeleteBlacklist('<?php echo $shortlist->id; ?>');"  class="label label-danger"><i class="fa fa-trash"></i></a> 
                    <!-- --></td>
                  <?php } ?>
                </tr>
                <?php }?>
              </tbody>
            </table>
          </div>
        </div>
      </section>
    </div>
  </section>
</section>
<script type="text/javascript">
function confirmDeleteBlacklist(id){
	var r = confirm('Are you sure you want to delete?');

	 if (r == true) {
		window.location = '<?php echo home_url();?>/shortlist-users?id='+id+'&action=delete';
	
	 }

}
</script>
<?php

get_footer(); 

?>
