$(document).ready(function() {

    $('#add_notification_form').validate({
            focusInvalid: false,
            ignore: "",
            rules: {
    			notification_title: {
        			minlength	:	2,
        			maxlength	:	100,
                    required	:	true
                },
                notification_time: {
                	required	:	true
                },
                notification_date: {
                	required	:	true
                },
                notification_description: {
                	maxlength	:	1000,
                }
                
			}
           
        });
    
        
    if($('#notification_status_hidden').size() && $('#notification_status_hidden').val() != ''){
		$('[name="notification_status"][value="'+$('#notification_status_hidden').val()+'"]').attr('checked','checked');
	}
    $('.notification_time').datetimepicker({
    	format: 'hh:mm A'
    });
    $('.notification_date').datetimepicker({
    	format: 'DD/MM/YYYY',
        useCurrent: false //Important! See issue #1075
    });

    view_notifications_table	=	$("#view_notifications_table").DataTable({
		bSort: false,
	    responsive: true,
	   
	    aLengthMenu: [
	        [10, 25, 50, 100, -1],
	        [10, 25, 50, 100, "All"]
	    ],
		"dom": '<"top"iflp<"clear">>rt<"bottom"iflp<"clear">>',
		bFilter: false,
		"bLengthChange": false,
	});
    $(document).on('click', '.delete_post_row_btn',  function(){

		
		var current_tr		=	$(this).parents('tr');
		var post_id			=	$('.row_id',current_tr).val();
		var row_title_td	=	$('.row_title_td',current_tr).text();
		//alert(post_id);
		var confirm_flag = confirm("Are you sure, Do you want to delete "+row_title_td+"?");
		if (confirm_flag == true) {
			var delete_ajax_url	=	home_url()+'/wp-content/themes/radiopanel/includes/ajax-delete-post.php';
			$.ajax({
				  method: "POST",
				  url: delete_ajax_url,
				  data: {post_id : post_id}
			})
			  .done(function( data ) {
			    if(data){
			    	view_notifications_table.row(current_tr).remove().draw( false );
					showSuccess("Deleted Successfully!");
			    }else{
			    	showSuccess('Please try again!');
			    }
			});
		} else {
		   
		}
		return false;
	});
	
});
