<?php
define('WP_USE_THEMES', false);
require_once('wp-path.php');
global $wpdb;
$current_user = wp_get_current_user();
//print_r($current_user_contests);
			
require_once get_template_directory() . '/assets/plugins/PHPExcel/PHPExcel.php';
$searchQuery = 'WHERE 1=1  ';


function encrypt_decrypt($action, $string) {
    $output = false;

    $encrypt_method = "AES-256-CBC";
    $secret_key = 'This is my secret key';
    $secret_iv = 'This is my secret iv';

    // hash
    $key = hash('sha256', $secret_key);
    
    // iv - encrypt method AES-256-CBC expects 16 bytes - else you will get a warning
    $iv = substr(hash('sha256', $secret_iv), 0, 16);

    if( $action == 'encrypt' ) {
        $output = openssl_encrypt($string, $encrypt_method, $key, 0, $iv);
        $output = base64_encode($output);
    }
    else if( $action == 'decrypt' ){
        $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
    }

    return $output;
	}

if(isset($_GET['search']) && $_GET['search'] != ''){
	//$searchQuery = stripcslashes(urldecode($_GET['search']));
	$searchQuery = encrypt_decrypt('decrypt', $_GET['search']);
	//echo $searchQuery;
}

 $searchQueryMain = "SELECT h.*,c.contest_title,cp.contest_prize_title,p.program_title,u.display_name 
FROM wp_interaction_history h 
LEFT JOIN wp_contest c ON c.contest_id = h.contest_id 
LEFT JOIN wp_contest_prize cp ON cp.contest_prize_id = h.contest_prize_id 
LEFT JOIN wp_users u ON u.ID = h.field_rj_uid 
LEFT JOIN wp_program p ON p.program_id = h.field_program_nid 
$searchQuery ORDER BY h.id DESC";

$user_history_list = $wpdb->get_results($searchQueryMain);

$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()
	->setCreator('Fujairah FM '.$current_user->display_name)
	->setLastModifiedBy('Fujairah FM '.$current_user->display_name)
	->setTitle("Fujairah FM Radio Panel Blocked History")
	->setSubject("Fujairah FM Radio Panel Blocked History")
	->setCategory("Fujairah FM Radio Panel Blocked History");
	
// Add some data
$objPHPExcel->setActiveSheetIndex(0);

$objPHPExcel->getActiveSheet()->setCellValue('A1', "S.No");
$objPHPExcel->getActiveSheet()->setCellValue('B1', "Name");
$objPHPExcel->getActiveSheet()->setCellValue('C1', "Number");
$objPHPExcel->getActiveSheet()->setCellValue('D1', "Gender");
$objPHPExcel->getActiveSheet()->setCellValue('E1', "Email");
$objPHPExcel->getActiveSheet()->setCellValue('F1', "Program");
$objPHPExcel->getActiveSheet()->setCellValue('G1', "Rj");
$objPHPExcel->getActiveSheet()->setCellValue('H1', "Contest");
$objPHPExcel->getActiveSheet()->setCellValue('I1', "Contest Prize");
$objPHPExcel->getActiveSheet()->setCellValue('J1', "Win Date");
//$objPHPExcel->getActiveSheet()->setCellValue('G1', "Is Blocked");

if($user_history_list){
	$i	=	1;
	$iXls = 2;
	foreach($user_history_list as $sms){
		$objPHPExcel->getActiveSheet()->setCellValue('A' . $iXls, $i)
		  ->setCellValue('B' . $iXls, $sms->field_name_value)
		  ->setCellValue('C' . $iXls, $sms->field_mobile_no_value)
		  ->setCellValue('D' . $iXls, $sms->field_gender_value)
		  ->setCellValue('E' . $iXls, $sms->field_history_email_value)
		  ->setCellValue('F' . $iXls, $sms->program_title)
		  ->setCellValue('G' . $iXls, $sms->display_name)
		  ->setCellValue('H' . $iXls, $sms->contest_title)
		  ->setCellValue('I' . $iXls, $sms->contest_prize_title)
		   ->setCellValue('J' . $iXls, date('d/m/Y h:i A',$sms->field_win_date_value));
		  // ->setCellValue('G' . $iXls, $sms->shortcode)
		
		$iXls++;
		$i++;
	}
}
$objPHPExcel->getActiveSheet()->setTitle('Block  List');
$objPHPExcel->setActiveSheetIndex(0);

$file_name = date('Y_m_d_H_i_s').'_block_list.xlsx';

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$file_name.'"');
header('Cache-Control: max-age=0');
header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

// Save Excel 2007 file
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
/*if (file_exists($upload_path.$file_name)) {
    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-Disposition: attachment; filename='.basename($upload_path.$file_name));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($upload_path.$file_name));
    ob_clean();
    flush();
    readfile($upload_path.$file_name);
    exit;
}*/
exit;

?>