<?php
/* Template Name: Add On Air Contest */
get_header(); 

if(isset($_POST['contest_submit'])){
	
	$contest_controller	=	new DS_On_Air_Controller();
	$new_contest_id		=	$contest_controller->save_contest();
	$updateQuiz = $wpdb->query("UPDATE wp_keyword SET connected_type = 'on_air_contest', connected_id = $new_contest_id WHERE keyword_id = ".$_POST['contest_keyword']);
	$activity_type = 'insert';
	$activity_on = 'on_air_contest';
	$activity_id = $new_contest_id;
	$activity_desc = 'Added New on Air Contest';
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'');
	header('location: ' . home_url().'/view-on-air');
	exit;

}
$keyword_controller	=	new DS_Keyword_Controller();
$keyword_list		=	$keyword_controller->get_keywords('contest');

?>
</style>
		   <section id="main-content" class=" ">
                <section class="wrapper">

                   
                  
					<div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
                         <section class="box main-box">
                            <header class="panel_header">
                                <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
                               
                            </header>
                            <div class="content-body">
                            	<?php 
						      	if(isset($new_contest_id) && $new_contest_id == true){
									echo '<div class="alert alert-success alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Success:</strong> Added!!.</div>';
								}else if(isset($new_contest_id) && $new_contest_id == false){
									echo '<div class="alert alert-danger alert-dismissible fade in">
							                  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
							             <strong>Error:</strong> Please try again!.</div>';
								}
						      	?>
                                <div class="row">
                                	<form action="#" method="post" id="contest_form">
                                    <div class="col-md-12 col-sm-9 col-xs-10">
											
											<div class="form-group col-md-10">
                                                <label class="form-label" for="contest_title">Question *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input type="text" class="form-control contest_title" id="contest_title" name="contest_title">
                                                </div>
                                            </div>
											
											<div class="form-group col-md-10">
                                                <label class="form-label" for="contest_answer">Answer *</label>
                                                <span class="desc"></span>
                                                <div class="controls">
                                                    <input type="text" class="form-control contest_answer" id="contest_answer" name="contest_answer">
                                                </div>
                                            </div>
                                            
                                            <div class="form-group col-md-10">
                                                <label class="form-label" for="contest_suggested_answer">Suggested Answers *</label>
                                                <span class="desc">Comma (,)Saperated</span>
                                                <div class="controls">
                                                    <textarea class="form-control contest_suggested_answer" id="contest_suggested_answer" name="contest_suggested_answer" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
                                                </div>
                                            </div>
                                            <div class="form-group col-md-10 ">
													
												
												
												
												
												<div class="row">
													<div class="form-group col-md-4">
														<label class="form-label" for="formfield1">Contest Status:</label>
														<ul class="list-unstyled">
															<li>
																<input tabindex="5" type="radio" id="contest_active-1" name="contest_active" class="skin-flat-blue" value="1" checked>
																<label class="iradio-label form-label" for="contest_active-1">Active</label>
															</li>
															<li>
																<input tabindex="5" type="radio" id="contest_active-0"  name="contest_active" value="0" class="skin-flat-blue">
																<label class="iradio-label form-label" for="contest_active-0">Closed</label>
															</li>
														</ul>
													</div>
												</div>
												<div class="row">
														<div class="form-group col-md-12 ">
															<b>Contest duration</b>
														</div>
														
														<div class="form-group col-md-4 ">
															<label class="form-label" for="contest_start_date">From: </label>
															<span class="desc"></span>
															<div class="controls">
																 <div class='input-group date contest_start_date' id=''>
																	<input type='text' class="form-control" id="contest_start_date" name="contest_start_date"  />
																	<span class="input-group-addon">
																		 <span class="glyphicon glyphicon-calendar"></span>
																	</span>
																</div>
															</div>
														</div>
														<div class="form-group col-md-4 ">
															<label class="form-label" for="contest_end_date">To: </label>
															<span class="desc"></span>
															<div class="controls">
																 <div class='input-group date contest_end_date' id=''>
																	<input type='text' class="form-control" id="contest_end_date" name="contest_end_date" />
																	<span class="input-group-addon">
																		 <span class="glyphicon glyphicon-calendar"></span>
																	</span>
																</div>
															</div>
														</div>
														
													</div>
													<div class="row">
														<div class="form-group col-md-10">
															<label class="form-label" for="contest_keyword">Keyword *</label>
															<span class="desc"></span>
															<div class="controls">
																<select class="form-control contest_keyword" id="contest_keyword" name="contest_keyword">
																	<option value="">Select Keyword</option>
																	<?php 
																		if($keyword_list)
																		foreach ($keyword_list as $keyword){
																			$keyword instanceof  DS_Keyword_SetGet;
																			echo '<option value="'.$keyword->getKeyword_id().'">'.$keyword->getKeyword_title().'</option>';
																		}
																	?>
																</select>
															</div>
														</div>
													</div>	
													
													<div class="row">
														<div class="form-group col-md-12">
															<label class="form-label" for="contest_response">Response:</label>
															<span class="desc">e.g. "To Generate MIXID Type [MIXID] and for Numberic Type [NUMID]"</span>
															<div class="controls">
																<textarea id="contest_response" name="contest_response" class="contest_response" style="width: 100%; height: 150px; font-size: 14px; line-height: 23px;padding:15px;"></textarea>
															</div>
														</div>
													</div>
												</div>
											
																				
											<div class="form-group col-md-8">
												<input type="submit" name="contest_submit" class="btn btn-info btn-lg" value="Save"/>
											</div>
                                     </div>
                                     </form>
                                </div>
								

                            </div>
                        </section>
					</div>
					
                      <!-- End .row -->	
                    
                    
                    



                </section>
            </section>
            <!-- END CONTENT -->

<?php

get_footer(); 

?>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - START --> 
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/on-air-contest-page.js" type="text/javascript"></script>
<!-- OTHER SCRIPTS INCLUDED ON THIS PAGE - END --> 
