<?php 
/* Template Name: Import User Page */
get_header(); 

$user_roles = currentUserRoleIds();
if(!in_array(53,$user_roles) && get_current_user_id() != 1 ){
	wp_redirect( home_url());
	exit;
}


global  $wpdb;

if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'delete' && is_numeric($_REQUEST['id'])){
	
	$oldDetails = $wpdb->get_row("SELECT * FROM wp_import_users WHERE id = ".$_REQUEST['id']);
	$activity_type = 'delete';
	$activity_on = 'imported_user';
	$activity_id = $_REQUEST['id'];
	$activity_desc = 'Delete Imported User';
	$updatedDetails = (array)$oldDetails;
	currentUserActivity($activity_type,$activity_on,$activity_id,'',$activity_desc,'',$updatedDetails);
	
	$wpdb->query("DELETE FROM wp_import_users WHERE id = ".$_REQUEST['id']);
	wp_redirect( home_url().'/import-users');
	exit;
}
if(isset($_REQUEST['upload_uniq_user']) && isset($_FILES)){
require_once get_template_directory() . '/assets/plugins/PHPExcel/PHPExcel.php';
move_uploaded_file($_FILES["random_numbers"]["tmp_name"],$_FILES["random_numbers"]["name"]);
$objPHPExcel = PHPExcel_IOFactory::load($_FILES["random_numbers"]["name"]);
$objPHPExcelRead = new PHPExcel();
	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
		$worksheetTitle     = $worksheet->getTitle();
		$highestRow         = $worksheet->getHighestRow(); // e.g. 10
		$highestColumn      = $worksheet->getHighestColumn(); // e.g 'F'
		$highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn);
		$nrColumns = ord($highestColumn) - 64;
	   
		$importNum = 0;
		$totalNum = 0;
		for ($row = 2; $row <= $highestRow; ++ $row) {
			$totalNum++;
			$cell = $worksheet->getCellByColumnAndRow(1, $row);
		   	$number = $cell->getValue();
		   	$cell = $worksheet->getCellByColumnAndRow(0, $row);
		   	$name = $cell->getValue();
			
			if($number != ''){
				$number_already = $wpdb->get_row( "SELECT * FROM wp_import_users WHERE number = '$number'" );
				if($number_already && count($number_already) > 0){
					//$wpdb->query("UPDATE wp_random_numbers SET flag = 1, name='".$name."', date_register='".$date."' WHERE id = ".$number_already->id);
				}else{
					$number_already_interaction = $wpdb->get_row( "SELECT * FROM wp_radio_interactions WHERE sender = '$number'" );
					if($number_already_interaction && count($number_already_interaction) > 0){}else{
						$data	=	array( 
							'name' 	=>	$name, 
							'number' 	=>	$number,  
							'created' 	=>	time()
						);
						$insert_id_flag	=	$wpdb->insert('wp_import_users',$data);
						$importNum++;
					}
				}
			}
		  }
		  
		
	}
	
	unlink($_FILES["random_numbers"]["name"]);
}

$total_records_count = $wpdb->get_results("SELECT id FROM wp_import_users");
$total_records = count($total_records_count);
$page = (get_query_var('page')) ? get_query_var('page') : 1;
if ($page <= 0) $page = 1;
 
$per_page = 20; // Set how many records do you want to display per page.
 
$startpoint = ($page * $per_page) - $per_page;
$showingstart = $startpoint+1;
$showingend = $startpoint+100;
if($total_records < $showingend)
	$showingend = $total_records;
if($total_records <= 0)
	$showingstart = 0;
$sms_rows = $wpdb->get_results("SELECT * FROM wp_import_users ORDER BY id DESC LIMIT $startpoint,$per_page");
$searchQueryEncode = encrypt_decrypt('encrypt', $searchQuery);

?>


<section id="main-content" class=" ">
  <section class="wrapper" style='margin-top:60px;display:inline-block;width:100%;padding:15px 0 0 15px;'>
    <div class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      <section class="box ">
        <header class="panel_header">
          <h2 class="title pull-left"><?php echo get_the_title(); ?></h2> <h2 class="title pull-right"><a class="view-help-context" data-toggle="modal" href="#help-content-popup" data-module_slug="<?php echo get_post( $post )->post_name;?>" style="margin-top:10px;"> <img src="<?php echo TEMPLATE_PATH_URI; ?>/assets/images/question4.png" width="40" height="40" /></a>
           </h2>
        </header>
        <div class="content-body">
        <?php 
			if(isset($importNum) && $importNum > 0){
				echo '<div class="alert alert-success alert-dismissible fade in">
						  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">x</span></button>
					 '.$importNum.' user imported succesfully!!.</div>';
			}
			?>
          <div class="row">
            <div> </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
              <div class="row">
                
                <div class="col-md-12 col-sm-12 col-xs-12">
                <form name="search_form" action="<?php echo get_permalink() ?>" method="post" enctype="multipart/form-data">
                  <div class="row">
                    <div class="form-group col-md-6 ">
                      <label class="form-label" for="formfield1">Upload excel format file: </label>
                      <span class="desc">Download <a href="<?php echo home_url().'/wp-content/uploads/2016/02/demo_user_list.xlsx'?>">demo from here</a></span>
                      <div class="controls">
                        <input required="required" type="file" onchange="checkfile(this);"  accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" class="contest_web_flag" id="random_numbers" name="random_numbers" >
                      </div>
                    </div>
                    
                    
                    <div class="form-group col-md-3 ">
                      <label class="form-label" for="formfield1">&nbsp; </label>
                      <span class="desc"></span>
                      <div class="controls">
                        <div class='input-group date datetimepicker1' id=''>
                          <input type="hidden" name="upload_uniq_user" id="upload_uniq_user" value="upload_users"/>
                      <button type="submit" class="btn btn-info pull-right bottom15">Import</button>
                           </div>
                      </div>
                    </div>
                  </div>
                 
                  <div class="row">
                    <div class="col-md-9">
                      <div class="btn-group pull-left bottom15">
                        <button type="button" class="btn btn-primary">Export</button>
                        <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false"> <span class="fa fa-download"></span> <span class="sr-only">Toggle Dropdown</span> </button>
                        <ul class="dropdown-menu" role="menu">
                          
                          <li><a href="<?php echo get_template_directory_uri().'/includes/export-imported-users.php'?>">Export All </a></li>
                        </ul>
                      </div>
                    </div>
                    
                    
                  </div>
                  </form>
                  <div class="table-responsive" data-pattern="priority-columns">
                    <div id="interactions-table_wrapper" class="dataTables_wrapper form-inline no-footer">
                      <table id="interactions-table" class="table table-striped table-small-font table-bordered dt-responsive display" cellspacing="0" width="99%">
                        <thead>
                          <tr>
                            <th width="10%">Sr No.</th>
                            <th width="31%" data-priority="1">Name</th>
                            <th width="20%" data-priority="2">Number</th>
                            <th width="25%" data-priority="3">Added On</th>
                             <th width="14%" data-priority="4">Action</th>
                            
                          </tr>
                        </thead>
                        <tbody>
                          <?php 
						  $i = 0;
						  foreach ($sms_rows as $sms_row){
							  $i++;
?>
                          <tr>
                            <td><?php echo $i;?></td>
                            <td><?php echo $sms_row->name; ?></td>
                            <td><a href="<?php echo home_url();?>/trace/?no=<?php echo $sms_row->number; ?>"><?php echo $sms_row->number; ?></a></td>
                            <td><?php echo date('d/m/Y h:i A',$sms_row->created); ?></td>
                            <td><a href="<?php echo home_url();?>/edit-import-user?id=<?php echo  $sms_row->id; ?>" class="label label-default"><i class="fa fa-pencil"></i></a>
															<a  href="<?php echo home_url();?>/import-users?id=<?php echo  $sms_row->id; ?>&action=delete"  class="label label-danger"><i class="fa fa-trash"></i></a></td>
                            
                            
                          </tr>
                          <?php } ?>
                        </tbody>
                      </table>
                      <div class="row">
                        <div class="col-xs-6">
                          <div class="dataTables_info" id="interactions-table_info" role="status" aria-live="polite">Showing <?php echo $showingstart;?> to <?php echo $showingend; ?> of <?php echo $total_records?> entries</div>
                        </div>
                        <div class="col-xs-6">
                          <div class="dataTables_paginate paging_bootstrap" id="interactions-table_paginate">
                            <?php 
								pagination($total_records, $per_page,$page,'');
							?>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
    
    <!-- End .row --> 
    
  </section>
</section>
<?php 
	get_footer();
?>
<script type="text/javascript">
function checkfile(sender) {
    var validExts = new Array(".xlsx", ".xls");
    var fileExt = sender.value;
    fileExt = fileExt.substring(fileExt.lastIndexOf('.'));
    if (validExts.indexOf(fileExt) < 0) {
      alert("Invalid file selected, valid files are of " +
               validExts.toString() + " types.");
      return false;
    }
    else return true;
}
</script>
